# Generated by Makefile. Do not edit.

2018-06-28 18:23:51 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix settings copy & paste bug

M	src/orca/orca_gui_prefs.py

2018-05-15 08:16:45 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add explicit handling for "document web" role

M	src/orca/formatting.py
M	src/orca/scripts/web/speech_generator.py

2018-05-04 17:50:16 +0000 Tim Sabsch <tim@sabsch.com>

        Update German translation

M	help/de/de.po

2018-04-24 11:41:30 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix brlmon regression introduced by 71b63379f

M	src/orca/braille.py

2018-04-25 11:53:36 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure usedDescriptionForName is reset

M	src/orca/generator.py

2018-04-24 18:50:12 +0200 Marek Cernocky <marek_cernocky@conel.cz>

        Updated Czech translation

M	help/cs/cs.po

2018-04-21 08:57:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2018-04-21 08:55:44 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for 3.28.1 release

M	NEWS
M	README
M	configure.ac

2018-04-20 12:18:38 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore name-change events from canvas and icon

M	src/orca/event_manager.py

2018-04-20 11:46:28 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore children-changed events from layered panes

M	src/orca/event_manager.py

2018-04-03 14:34:32 -0400 Samuel Thibault <samuel.thibault@ens-lyon.org>

        Release device when braille is deactivated for some applications

M	src/orca/braille.py

2018-04-05 23:25:07 +0200 Samuel Thibault <samuel.thibault@ens-lyon.org>

        braille: fix bogus dots appearing after text

M	src/orca/braille.py

2018-04-20 10:44:52 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Update Swedish translation

M	help/sv/sv.po

2018-04-14 11:53:20 +0200 Anders Jonsson <anders.jonsson@norsjovallen.se>

        help: Fix a typo

M	help/C/preferences_gecko.page

2018-03-27 08:15:21 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore new "busy" event for editable content in Thunderbird

M	src/orca/scripts/apps/Thunderbird/script.py

2018-03-26 10:28:16 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2018-03-26 10:23:08 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Release prep

M	NEWS
M	README
M	configure.ac

2018-03-22 12:18:28 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Remove redundant method

M	src/orca/scripts/default.py

2018-03-21 13:54:26 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Grab focus on image links during caret navigation

M	src/orca/scripts/web/script_utilities.py

2018-03-21 13:38:57 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Make determination about grabbing focus before finding first caret context

M	src/orca/scripts/web/script_utilities.py

2018-03-21 13:19:38 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't reclaim scripts upon window creation

M	src/orca/event_manager.py

2018-03-21 12:09:29 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        More debugging information

M	src/orca/event_manager.py

2018-03-21 09:59:33 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add some debugging information

M	src/orca/script_utilities.py

2018-03-19 16:57:43 +0800 Mingcong Bai <jeffbai@aosc.xyz>

        Update zh_CN translation

M	po/zh_CN.po

2018-03-17 12:42:27 +0100 Andre Klapper <a9016009@gmx.de>

        Fix broken markup in German translation

M	help/de/de.po

2018-03-14 22:33:30 +0100 Claude Paroz <claude@2xlibre.net>

        Updated French help translation

M	help/fr/fr.po

2018-03-11 20:07:44 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Update Swedish translation

M	po/sv.po

2018-03-10 22:28:37 +0000 Милош Поповић <gpopac@gmail.com>

        Update Serbian Latin translation

M	po/sr@latin.po

2018-03-10 20:32:00 +0100 Matej Urbančič <mateju@svn.gnome.org>

        Updated Slovenian translation

M	po/sl.po

2018-03-10 10:42:00 +0200 Rūdolfs Mazurs <rudolfsm@src.gnome.org>

        Update Latvian translation

M	po/lv.po

2018-03-09 15:18:55 +0000 Марко Костић <marko.m.kostic@gmail.com>

        Update Serbian translation

M	po/sr.po

2018-03-08 19:14:30 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Update Swedish translation

M	help/sv/sv.po

2018-03-04 23:15:10 +0000 Gábor Kelemen <kelemeng@openscope.org>

        Update Hungarian translation

M	help/hu/hu.po

2018-03-03 19:53:20 +0000 GNOME Translation Robot <gnome-sysadmin@gnome.org>

        Update Dutch translation

M	po/nl.po

2018-03-03 16:53:33 +0100 Alan Mortensen <alanmortensen.am@gmail.com>

        Updated Danish translation

M	po/da.po

2018-03-02 18:02:45 +0100 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	help/cs/cs.po
M	po/cs.po

2018-02-28 12:46:25 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Improve heuristic to identify spellcheck dialog

M	src/orca/scripts/apps/soffice/spellcheck.py

2018-02-28 12:58:35 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure list name is presented for ancestor lists

M	src/orca/formatting.py

2018-02-27 22:46:49 +0200 Aurimas Černius <aurisc4@gmail.com>

        Updated Lithuanian translation

M	po/lt.po

2018-02-26 08:01:05 +0000 Milo Casagrande <milo@ubuntu.com>

        Update Italian translation

M	po/it.po

2018-02-25 15:57:47 +0000 Emin Tufan Çetin <etcetin@gmail.com>

        Update Turkish translation

M	po/tr.po

2018-02-24 00:40:22 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Fix Spanish translation header

M	help/es/es.po
M	po/es.po

2018-02-23 22:22:44 +0000 Balázs Úr <balazs@urbalazs.hu>

        Update Hungarian translation

M	po/hu.po

2018-02-23 21:56:59 +0100 Claude Paroz <claude@2xlibre.net>

        Updated French translation

M	po/fr.po

2018-02-22 18:53:45 +0000 Tim Sabsch <tim@sabsch.com>

        Update German translation

M	help/de/de.po

2018-02-22 12:58:50 +0100 Daniel Mustieles <daniel.mustieles.contractor@bbva.com>

        Updated Spanish translation

M	help/es/es.po

2018-02-21 15:48:04 +0000 Jiri Grönroos <jiri.gronroos@iki.fi>

        Update Finnish translation

M	po/fi.po

2018-02-21 15:56:03 +0100 Daniel Mustieles <daniel.mustieles.contractor@bbva.com>

        Updated Spanish translation

M	po/es.po

2018-02-19 12:25:19 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2018-02-19 12:21:32 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Release prep

M	NEWS
M	README
M	configure.ac

2018-02-18 12:52:27 +0000 Tim Sabsch <tim@sabsch.com>

        Update German translation

M	po/de.po

2018-02-16 02:05:09 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Update Polish translation

M	po/pl.po

2018-02-14 22:24:57 +0000 Fran Dieguez <frandieguez@gnome.org>

        Update Galician translation

M	po/gl.po

2018-02-10 15:01:25 +0000 Kukuh Syafaat <syafaatkukuh@gmail.com>

        Update Indonesian translation

M	po/id.po

2018-02-08 16:04:40 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Suppress the Editable Content announcement for caret nav keys

M	src/orca/scripts/web/speech_generator.py

2018-02-08 14:09:41 -0500 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Fix issues in Orca's documentation

M	help/C/commands_reading.page
M	help/C/howto_documents.page
M	help/C/howto_key_bindings.page
M	help/C/howto_live_regions.page
M	help/C/howto_tables.page
M	help/C/preferences_chat.page
M	help/C/preferences_gecko.page
M	help/C/preferences_speech.page
M	help/C/preferences_spellcheck.page
M	help/C/preferences_table_navigation.page
M	help/C/preferences_text_attributes.page

2018-02-08 11:57:02 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Work around https://bugs.documentfoundation.org/show_bug.cgi?id=109398

M	src/orca/script_utilities.py
M	src/orca/scripts/apps/soffice/script_utilities.py
M	src/orca/scripts/default.py

2018-02-08 01:19:29 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Update Polish translation

M	po/pl.po

2018-02-07 22:33:01 +0000 Enrico Nicoletto <liverig@gmail.com>

        Update Brazilian Portuguese translation

M	po/pt_BR.po

2018-02-07 15:27:19 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Be sure the text interface is implemented before asking for the character count

M	src/orca/scripts/web/script.py

2018-02-07 15:21:54 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't descend entries with children upon first presentation of the entry

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2018-02-07 14:41:06 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't re-announce focus when entry children emit caret-moved events

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2018-02-07 14:24:55 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't use the description when inferring labels for unlabeled fields

M	src/orca/label_inference.py

2018-02-07 13:39:25 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix issue causing Orca to skip over certain table content in SayAll

M	src/orca/speech_generator.py

2018-02-07 11:36:33 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Treat editable elements as entries for the purpose of structural navigation

M	src/orca/structural_navigation.py

2018-02-07 10:49:49 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Present "editable content" role for non-entry items which are editable

M	src/orca/object_properties.py
M	src/orca/scripts/web/speech_generator.py

2018-02-07 10:20:40 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Prevent contenteditable content from being guessed as a functional label

M	src/orca/label_inference.py

2018-02-06 09:20:22 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Make braille "word wrap" feature configurable via GUI

M	help/C/preferences_braille.page
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py
M	src/orca/settings.py

2018-01-27 23:18:47 +0000 Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>

        Update Esperanto translation

M	po/eo.po

2018-01-24 15:01:27 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Adjust character-boundary hack

M	src/orca/scripts/web/script_utilities.py

2018-01-24 12:28:04 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove hack around for text issue

M	src/orca/scripts/web/script_utilities.py

2018-01-24 11:53:44 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Do explicit null check for text boundary

M	src/orca/scripts/web/script_utilities.py

2018-01-16 15:35:43 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate double-presentation of spin button value changes

M	src/orca/scripts/default.py

2018-01-16 13:27:40 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Sanity-check focus events for tables after leaving typeahead search

M	src/orca/scripts/toolkits/GAIL/script.py
M	src/orca/scripts/toolkits/gtk/script.py

2018-01-16 13:10:38 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Only present text changes from typeahead entries if they are focused

M	src/orca/script_utilities.py

2018-01-16 12:20:30 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure combo boxes are never treated as layout only

M	src/orca/script_utilities.py

2018-01-16 12:05:23 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate some chattiness resulting from redundant focus claims from tables

M	src/orca/scripts/toolkits/GAIL/script.py
M	src/orca/scripts/toolkits/gtk/script.py

2018-01-16 11:39:32 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure field labels are displayed when the field first gets focus

M	src/orca/braille.py

2018-01-16 08:54:04 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove old, obsolete hack

M	src/orca/scripts/web/script_utilities.py

2018-01-16 07:40:52 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't adjust ranges for braille word wrap if they exceed the display size

M	src/orca/braille.py

2018-01-15 13:20:09 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fall back on the description for displayed text in dialogs and alerts

M	src/orca/formatting.py
M	src/orca/scripts/web/speech_generator.py

2018-01-15 16:35:47 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Update POTFILES.in

M	po/POTFILES.in

2018-01-15 10:14:35 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Treat redundant named frames as layout only

M	src/orca/scripts/apps/soffice/script_utilities.py

2018-01-15 09:02:53 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove old, unsupported, unmaintained scripts

M	configure.ac
M	src/orca/scripts/apps/Makefile.am
D	src/orca/scripts/apps/gnome-mud/Makefile.am
D	src/orca/scripts/apps/gnome-mud/__init__.py
D	src/orca/scripts/apps/gnome-mud/script.py
D	src/orca/scripts/apps/liferea/Makefile.am
D	src/orca/scripts/apps/liferea/__init__.py
D	src/orca/scripts/apps/liferea/script.py
D	src/orca/scripts/apps/planner/Makefile.am
D	src/orca/scripts/apps/planner/__init__.py
D	src/orca/scripts/apps/planner/braille_generator.py
D	src/orca/scripts/apps/planner/script.py
D	src/orca/scripts/apps/planner/speech_generator.py

2018-01-15 08:38:19 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Implement initial support for braille "word wrap"

M	src/orca/braille.py
M	src/orca/settings.py

2018-01-12 11:42:23 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove unused, unsupported settings and associated code

M	src/orca/braille.py
M	src/orca/settings.py

2018-01-12 10:26:24 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove spammy debugging line

M	src/orca/braille.py

2018-01-11 10:11:01 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Re-enable announcement of page tab switches in Firefox

M	src/orca/scripts/web/script.py

2018-01-11 09:28:37 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Improve presentation of locations in file chooser dialog

M	src/orca/script_utilities.py
M	src/orca/scripts/apps/soffice/script_utilities.py
M	src/orca/scripts/toolkits/gtk/script_utilities.py
M	src/orca/speech_generator.py

2018-01-11 08:54:51 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Be more aggressive in finding labels for Gtk+ listbox items

M	src/orca/scripts/toolkits/gtk/script_utilities.py

2018-01-11 07:43:13 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove deprecated and redundant properties from UI

M	src/orca/orca-find.ui
M	src/orca/orca-setup.ui

2017-12-20 18:20:56 +0100 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	help/es/es.po

2017-12-18 22:43:46 +0100 Claude Paroz <claude@2xlibre.net>

        Updated French translation

M	po/fr.po

2017-12-16 10:32:43 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Bump minimum version of AT-SPI2

M	configure.ac

2017-12-15 15:51:22 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Expand the lists of object and container roles for structural navigation

M	src/orca/structural_navigation.py

2017-12-13 18:06:12 +0000 Андрій Бандура <andriykopanytsia@gmail.com>

        Update Ukrainian translation

M	po/uk.po

2017-12-11 14:05:02 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2017-12-11 14:01:23 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for the 3.27.3 release

M	NEWS
M	README
M	configure.ac

2017-12-07 08:02:09 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove sanity check for changed lines in content editable objects

M	src/orca/scripts/web/script.py

2017-12-06 20:13:14 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add debugging line

M	src/orca/braille.py

2017-12-03 12:03:56 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix regression from previously-committed workaround

M	src/orca/scripts/web/script.py

2017-12-02 17:24:50 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix presentation of char at end of links in content editable objects

M	src/orca/scripts/apps/Thunderbird/script.py
M	src/orca/scripts/web/script_utilities.py

2017-12-02 16:57:15 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't notify when focus changes due to char nav in content editable objects

M	src/orca/scripts/web/script.py

2017-12-02 15:00:13 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Check that line has changed before re-presenting it in content-editable objects

M	src/orca/scripts/web/script.py

2017-12-02 14:27:58 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Do full update of braille if region contains embedded object characters

M	src/orca/scripts/web/script.py

2017-12-02 13:30:05 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Work around Thunderbird not exposing STATE_EDITABLE on all editable objects

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2017-12-02 12:22:46 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure we generate braille for valid offset in content editable objects

M	src/orca/scripts/web/script.py

2017-12-02 11:41:05 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Explicitly handle line generation in content editable

M	src/orca/scripts/web/script.py

2017-12-01 18:24:38 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Hack around lack of window:activate events for ARIA dialogs

M	src/orca/scripts/web/script.py

2017-11-21 15:42:27 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Move whereAmI support into the default script

M	src/orca/Makefile.am
M	src/orca/script.py
M	src/orca/script_utilities.py
M	src/orca/scripts/default.py
D	src/orca/where_am_I.py

2017-11-21 14:05:49 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove unused variable

M	src/orca/where_am_I.py

2017-11-21 14:03:37 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Move spellcheck whereAmI call to default script

M	src/orca/scripts/apps/Thunderbird/script.py
M	src/orca/scripts/apps/gedit/script.py
M	src/orca/scripts/apps/soffice/script.py
M	src/orca/scripts/default.py
M	src/orca/where_am_I.py

2017-11-21 12:46:27 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Do explicit, just-in-case notification when focus leaves Firefox find toolbar

M	src/orca/scripts/web/script.py

2017-11-21 12:31:38 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Work around missing text-selection-changed events for Firefox find

M	src/orca/scripts/web/script.py

2017-11-21 11:18:41 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Adjust heuristic for change in Firefox chrome

M	src/orca/scripts/web/script_utilities.py

2017-11-21 11:01:18 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate accessible event spewage from debugging tool

M	src/orca/brlmon.py

2017-11-20 09:05:06 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't include off-screen labels in Gtk+ listboxes

M	src/orca/scripts/toolkits/gtk/script_utilities.py

2017-11-08 20:48:56 +0100 Kjartan Maraas <kmaraas@gnome.org>

        Updated Norwegian bokmål translation.

M	po/nb.po

2017-11-02 14:08:15 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't clear the oldFocus even if it's a Zombie when locusOfFocus changes

M	src/orca/scripts/web/script.py

2017-10-29 22:16:46 +0100 Marek Cernocky <marek_cernocky@conel.cz>

        Updated Czech translation

M	help/cs/cs.po

2017-10-29 22:14:19 +0100 Marek Cernocky <marek_cernocky@conel.cz>

        Updated Czech translation

M	help/cs/cs.po

2017-10-27 15:00:56 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Attempt to identify and navigate around non-navigable embedded documents

M	src/orca/scripts/web/script_utilities.py

2017-10-27 11:18:04 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate incorrect presentation of previous panel

M	src/orca/speech_generator.py

2017-10-27 10:15:31 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't try to recover upon deletion of focused link

M	src/orca/scripts/web/script.py

2017-10-25 20:12:40 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Update Swedish translation

M	help/sv/sv.po

2017-10-22 20:45:45 +0000 Muhammet Kara <muhammetk@gmail.com>

        Update Turkish translation

M	po/tr.po

2017-10-22 20:43:09 +0000 olcay aşcı <olcay.ashchi@gmail.com>

        Update Turkish translation

M	po/tr.po

2017-10-15 11:31:50 +0000 Pawan Chitrakar <chautari@gmail.com>

        Update Nepali translation

M	po/ne.po

2017-10-05 13:52:11 +0200 Xavi Ivars <xavi.ivars@gmail.com>

        [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

2017-10-01 21:14:41 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Update Swedish translation

M	po/sv.po

2017-10-01 17:03:58 +0200 Piotr Drąg <piotrdrag@gmail.com>

        help: Remove unused translated screenshots

D	help/de/figures/main_window.png
D	help/de/figures/orca_find.png
D	help/de/figures/preferences_Orca_modifier_keys.png
D	help/de/figures/preferences_abbreviated_role_names.png
D	help/de/figures/preferences_braille_contracted.png
D	help/de/figures/preferences_braille_indicators.png
D	help/de/figures/preferences_braille_verbosity.png
D	help/de/figures/preferences_break_speech_into_chunks.png
D	help/de/figures/preferences_character_echo.png
D	help/de/figures/preferences_chat.png
D	help/de/figures/preferences_date_and_time.png
D	help/de/figures/preferences_disable_eol_symbol.png
D	help/de/figures/preferences_enable_braille_monitor.png
D	help/de/figures/preferences_enable_braille_support.png
D	help/de/figures/preferences_enable_speech.png
D	help/de/figures/preferences_gecko_find_options.png
D	help/de/figures/preferences_gecko_page_navigation.png
D	help/de/figures/preferences_key_bindings_table.png
D	help/de/figures/preferences_key_echo.png
D	help/de/figures/preferences_keyboard_layout.png
D	help/de/figures/preferences_only_speak_displayed_text.png
D	help/de/figures/preferences_present_tooltips.png
D	help/de/figures/preferences_profiles.png
D	help/de/figures/preferences_progress_bar_updates.png
D	help/de/figures/preferences_pronunciation.png
D	help/de/figures/preferences_punctuation_level.png
D	help/de/figures/preferences_quit_Orca_without_confirmation.png
D	help/de/figures/preferences_rate_pitch_volume.png
D	help/de/figures/preferences_say_all_by.png
D	help/de/figures/preferences_show_Orca_main_window.png
D	help/de/figures/preferences_speak_multicase_strings_as_words.png
D	help/de/figures/preferences_speak_object_under_mouse.png
D	help/de/figures/preferences_speech_verbosity.png
D	help/de/figures/preferences_system_voice_options.png
D	help/de/figures/preferences_table_navigation.png
D	help/de/figures/preferences_table_rows.png
D	help/de/figures/preferences_text_attributes_braille.png
D	help/de/figures/preferences_text_attributes_rearranging.png
D	help/de/figures/preferences_text_attributes_table.png
D	help/de/figures/preferences_tts_options.png
D	help/de/figures/preferences_word_and_sentence_echo.png
D	help/de/figures/profiles_conflict.png
D	help/de/figures/profiles_load.png
D	help/de/figures/profiles_save_as.png
D	help/el/figures/main_window.png
D	help/el/figures/orca_find.png
D	help/el/figures/preferences_Orca_modifier_keys.png
D	help/el/figures/preferences_abbreviated_role_names.png
D	help/el/figures/preferences_braille_contracted.png
D	help/el/figures/preferences_braille_indicators.png
D	help/el/figures/preferences_braille_verbosity.png
D	help/el/figures/preferences_break_speech_into_chunks.png
D	help/el/figures/preferences_character_echo.png
D	help/el/figures/preferences_chat.png
D	help/el/figures/preferences_date_and_time.png
D	help/el/figures/preferences_disable_eol_symbol.png
D	help/el/figures/preferences_enable_braille_monitor.png
D	help/el/figures/preferences_enable_braille_support.png
D	help/el/figures/preferences_enable_speech.png
D	help/el/figures/preferences_gecko_find_options.png
D	help/el/figures/preferences_gecko_page_navigation.png
D	help/el/figures/preferences_key_bindings_table.png
D	help/el/figures/preferences_key_echo.png
D	help/el/figures/preferences_keyboard_layout.png
D	help/el/figures/preferences_only_speak_displayed_text.png
D	help/el/figures/preferences_present_tooltips.png
D	help/el/figures/preferences_profiles.png
D	help/el/figures/preferences_progress_bar_updates.png
D	help/el/figures/preferences_pronunciation.png
D	help/el/figures/preferences_punctuation_level.png
D	help/el/figures/preferences_quit_Orca_without_confirmation.png
D	help/el/figures/preferences_rate_pitch_volume.png
D	help/el/figures/preferences_say_all_by.png
D	help/el/figures/preferences_show_Orca_main_window.png
D	help/el/figures/preferences_speak_multicase_strings_as_words.png
D	help/el/figures/preferences_speak_object_under_mouse.png
D	help/el/figures/preferences_speech_verbosity.png
D	help/el/figures/preferences_start_Orca_when_you_login.png
D	help/el/figures/preferences_system_voice_options.png
D	help/el/figures/preferences_table_navigation.png
D	help/el/figures/preferences_table_rows.png
D	help/el/figures/preferences_text_attributes_braille.png
D	help/el/figures/preferences_text_attributes_rearranging.png
D	help/el/figures/preferences_text_attributes_table.png
D	help/el/figures/preferences_tts_options.png
D	help/el/figures/preferences_word_and_sentence_echo.png
D	help/el/figures/profiles_conflict.png
D	help/el/figures/profiles_load.png
D	help/el/figures/profiles_save_as.png
D	help/fr/figures/main_window.png
D	help/fr/figures/orca_find.png
D	help/fr/figures/preferences_Orca_modifier_keys.png
D	help/fr/figures/preferences_abbreviated_role_names.png
D	help/fr/figures/preferences_braille_contracted.png
D	help/fr/figures/preferences_braille_indicators.png
D	help/fr/figures/preferences_braille_verbosity.png
D	help/fr/figures/preferences_break_speech_into_chunks.png
D	help/fr/figures/preferences_character_echo.png
D	help/fr/figures/preferences_chat.png
D	help/fr/figures/preferences_date_and_time.png
D	help/fr/figures/preferences_disable_eol_symbol.png
D	help/fr/figures/preferences_enable_braille_monitor.png
D	help/fr/figures/preferences_enable_braille_support.png
D	help/fr/figures/preferences_enable_speech.png
D	help/fr/figures/preferences_gecko_find_options.png
D	help/fr/figures/preferences_gecko_page_navigation.png
D	help/fr/figures/preferences_key_bindings_table.png
D	help/fr/figures/preferences_key_echo.png
D	help/fr/figures/preferences_keyboard_layout.png
D	help/fr/figures/preferences_only_speak_displayed_text.png
D	help/fr/figures/preferences_present_tooltips.png
D	help/fr/figures/preferences_profiles.png
D	help/fr/figures/preferences_progress_bar_updates.png
D	help/fr/figures/preferences_pronunciation.png
D	help/fr/figures/preferences_punctuation_level.png
D	help/fr/figures/preferences_quit_Orca_without_confirmation.png
D	help/fr/figures/preferences_rate_pitch_volume.png
D	help/fr/figures/preferences_say_all_by.png
D	help/fr/figures/preferences_show_Orca_main_window.png
D	help/fr/figures/preferences_speak_multicase_strings_as_words.png
D	help/fr/figures/preferences_speak_object_under_mouse.png
D	help/fr/figures/preferences_speech_verbosity.png
D	help/fr/figures/preferences_system_voice_options.png
D	help/fr/figures/preferences_table_navigation.png
D	help/fr/figures/preferences_table_rows.png
D	help/fr/figures/preferences_text_attributes_braille.png
D	help/fr/figures/preferences_text_attributes_rearranging.png
D	help/fr/figures/preferences_text_attributes_table.png
D	help/fr/figures/preferences_tts_options.png
D	help/fr/figures/preferences_word_and_sentence_echo.png
D	help/fr/figures/profiles_conflict.png
D	help/fr/figures/profiles_load.png
D	help/fr/figures/profiles_save_as.png
D	help/pt_BR/figures/preferences_Orca_modifier_keys.png
D	help/pt_BR/figures/preferences_abbreviated_role_names.png
D	help/pt_BR/figures/preferences_braille_contracted.png
D	help/pt_BR/figures/preferences_braille_indicators.png
D	help/pt_BR/figures/preferences_braille_verbosity.png
D	help/pt_BR/figures/preferences_break_speech_into_chunks.png
D	help/pt_BR/figures/preferences_character_echo.png
D	help/pt_BR/figures/preferences_date_and_time.png
D	help/pt_BR/figures/preferences_disable_eol_symbol.png
D	help/pt_BR/figures/preferences_enable_braille_monitor.png
D	help/pt_BR/figures/preferences_enable_braille_support.png
D	help/pt_BR/figures/preferences_enable_speech.png
D	help/pt_BR/figures/preferences_key_bindings_table.png
D	help/pt_BR/figures/preferences_key_echo.png
D	help/pt_BR/figures/preferences_keyboard_layout.png
D	help/pt_BR/figures/preferences_only_speak_displayed_text.png
D	help/pt_BR/figures/preferences_present_tooltips.png
D	help/pt_BR/figures/preferences_profiles.png
D	help/pt_BR/figures/preferences_progress_bar_updates.png
D	help/pt_BR/figures/preferences_pronunciation.png
D	help/pt_BR/figures/preferences_punctuation_level.png
D	help/pt_BR/figures/preferences_rate_pitch_volume.png
D	help/pt_BR/figures/preferences_say_all_by.png
D	help/pt_BR/figures/preferences_speak_multicase_strings_as_words.png
D	help/pt_BR/figures/preferences_speak_object_under_mouse.png
D	help/pt_BR/figures/preferences_speech_verbosity.png
D	help/pt_BR/figures/preferences_system_voice_options.png
D	help/pt_BR/figures/preferences_table_rows.png
D	help/pt_BR/figures/preferences_text_attributes_braille.png
D	help/pt_BR/figures/preferences_text_attributes_rearranging.png
D	help/pt_BR/figures/preferences_text_attributes_table.png
D	help/pt_BR/figures/preferences_tts_options.png
D	help/pt_BR/figures/preferences_word_and_sentence_echo.png
D	help/pt_BR/figures/profiles_conflict.png
D	help/pt_BR/figures/profiles_load.png
D	help/pt_BR/figures/profiles_save_as.png

2017-09-23 22:38:24 +0200 Andre Klapper <a9016009@gmx.de>

        help: Remove id parameter from p element, to pass 'yelp-check validate'

M	help/C/preferences_pronunciation.page

2017-09-23 22:37:22 +0200 Andre Klapper <a9016009@gmx.de>

        help: Remove title-less section as there is only one, to pass 'yelp-check validate'

M	help/C/howto_setting_up_orca.page

2017-09-23 22:34:38 +0200 Andre Klapper <a9016009@gmx.de>

        help: Remove invalid title type to pass 'yelp-check validate'

M	help/C/commands_controlling_orca.page

2017-09-23 22:33:00 +0200 Andre Klapper <a9016009@gmx.de>

        help: Add section IDs to pass 'yelp-check validate'

M	help/C/howto_forms.page
M	help/C/howto_live_regions.page
M	help/C/howto_text_attributes.page
M	help/C/preferences_braille.page
M	help/C/preferences_chat.page
M	help/C/preferences_gecko.page
M	help/C/preferences_general.page
M	help/C/preferences_introduction.page
M	help/C/preferences_key_echo.page
M	help/C/preferences_speech.page
M	help/C/preferences_spellcheck.page
M	help/C/preferences_table_navigation.page
M	help/C/preferences_voice.page

2017-09-17 14:41:45 +0200 Andre Klapper <a9016009@gmx.de>

        Fix 'Extra element link in interleave' validation error

M	help/C/howto_tables.page

2017-09-15 10:13:45 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2017-09-15 10:11:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for 3.26.0 release

M	NEWS
M	README
M	configure.ac

2017-09-10 22:35:30 +0200 Kenneth Nielsen <k.nielsen81@gmail.com>

        Updated Danish translation

M	po/da.po

2017-09-10 11:14:46 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Update Swedish translation

M	po/sv.po

2017-09-10 08:43:27 +0000 Christian Kirbach <Christian.Kirbach@gmail.com>

        Update German translation

M	po/de.po

2017-09-10 09:13:33 +0200 Jordi Mas <jmas@softcatala.org>

        Fixes to Catalan translation

M	po/ca.po

2017-09-10 00:29:35 +0000 Attila Hammer <hammera@pickup.hu>

        Update Hungarian translation

M	po/hu.po

2017-09-09 20:20:07 +0000 Emin Tufan Çetin <etcetin@gmail.com>

        Update Turkish translation

M	po/tr.po

2017-09-08 06:49:11 +0000 Milo Casagrande <milo@ubuntu.com>

        Update Italian translation

M	po/it.po

2017-09-08 03:19:41 +0000 Tiago Casal <tcasal@intervox.nce.ufrj.br>

        Update Brazilian Portuguese translation

M	po/pt_BR.po

2017-09-07 16:58:30 +0000 Alain Lojewski <allomervan@gmail.com>

        Update French translation

M	po/fr.po

2017-09-05 18:10:27 +0200 Marek Cernocky <marek_cernocky@conel.cz>

        Updated Czech translation

M	po/cs.po

2017-09-05 09:44:32 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Remove a broken-text-recovery attempt for plain-text content

M	src/orca/scripts/web/script_utilities.py

2017-09-04 11:19:37 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Force presentation when caret moves due to page up/page down in plain text

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2017-09-04 10:32:27 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix issue jumping to end of plain text content

M	src/orca/scripts/web/script_utilities.py

2017-09-03 10:04:34 +0200 Jordi Mas <jmas@softcatala.org>

        Update Catalan translation

M	po/ca.po

2017-08-30 16:39:52 +0000 Jiri Grönroos <jiri.gronroos@iki.fi>

        Update Finnish translation

M	po/fi.po

2017-08-30 01:21:02 +0200 Jordi Mas <jmas@softcatala.org>

        Fixes to Catalan translation

M	po/ca.po

2017-08-29 18:23:43 +0000 Милош Поповић <gpopac@gmail.com>

        Update Serbian Latin translation

M	po/sr@latin.po

2017-08-29 18:22:39 +0000 Марко Костић <marko.m.kostic@gmail.com>

        Update Serbian translation

M	po/sr.po

2017-08-29 18:26:53 +0300 Rūdolfs Mazurs <rudolfsm@src.gnome.org>

        Update Latvian translation

M	po/lv.po

2017-08-28 01:24:37 +0000 Rafael Fontenelle <rafaelff@gnome.org>

        Update Brazilian Portuguese translation

M	po/pt_BR.po

2017-08-24 03:03:14 +0200 Piotr Drąg <piotrdrag@gmail.com>

        Update Polish translation

M	po/pl.po

2017-08-23 15:45:10 +0000 Fabio Tomat <f.t.public@gmail.com>

        Update Friulian translation

M	po/fur.po

2017-08-20 20:48:15 +0000 Anish Sheela <aneesh.nl@gmail.com>

        Update Malayalam translation

M	po/ml.po

2017-08-20 18:11:13 +0000 Mario Blättermann <mario.blaettermann@gmail.com>

        Update German translation

M	po/de.po

2017-08-16 17:51:38 +0200 Мирослав Николић <miroslavnikolic@rocketmail.com>

        Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

2017-08-16 15:08:48 +0200 Bastien Nocera <hadess@hadess.net>

        Remove unneeded try/except around Gdk.notify_startup_complete()

M	src/orca/orca.py

2017-08-15 22:22:25 +0300 Aurimas Černius <aurisc4@gmail.com>

        Updated Lithuanian translation

M	po/lt.po

2017-08-11 12:45:42 +0200 Matej Urbančič <mateju@svn.gnome.org>

        Updated Slovenian translation

M	po/sl.po

2017-08-09 05:27:50 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Move check to not present old ancestors if in a dialog to default generator

M	src/orca/scripts/apps/soffice/speech_generator.py
M	src/orca/speech_generator.py

2017-08-07 22:25:29 +0000 Fran Dieguez <frandieguez@gnome.org>

        Update Galician translation

M	po/gl.po

2017-08-07 13:53:41 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around event-ordering issue in LibreOffice

M	src/orca/scripts/apps/soffice/script.py

2017-08-07 13:41:17 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't present old ancestors if in a dialog

M	src/orca/scripts/apps/soffice/speech_generator.py

2017-08-07 13:01:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Filter out checked event from LibreOffice window which isn't active

M	src/orca/scripts/apps/soffice/script.py

2017-08-06 18:35:10 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Revert "Fix issue loading correct script in multi-toolkit application"

M	src/orca/script_manager.py

2017-08-06 10:47:40 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Force use of app script for status bars

M	src/orca/script_manager.py

2017-08-04 23:59:24 +0200 Marek Cernocky <marek_cernocky@conel.cz>

        Updated Czeach translation

M	po/cs.po

2017-08-03 12:52:08 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix issue loading correct script in multi-toolkit application

M	src/orca/script_manager.py

2017-08-03 11:05:01 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add support for aria-errormessage

M	src/orca/generator.py
M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py

2017-08-03 06:32:56 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add support for aria-keyshortcuts

M	src/orca/scripts/web/script_utilities.py

2017-07-31 14:38:04 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2017-07-31 14:34:19 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for Orca 3.25.4

M	NEWS
M	README
M	configure.ac

2017-07-31 14:02:24 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Treat the combobox name as the label when there is no displayed label

M	src/orca/scripts/apps/soffice/speech_generator.py

2017-07-31 13:49:24 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Process focus changes from objects even if they claim to manage descendants

M	src/orca/scripts/apps/soffice/script.py

2017-07-27 05:17:59 +0000 Baurzhan Muftakhidinov <baurthefirst@gmail.com>

        Update Kazakh translation

M	po/kk.po

2017-07-26 15:57:56 +0000 Pawan Chitrakar <chautari@gmail.com>

        Update Nepali translation

M	po/ne.po

2017-07-26 16:57:22 +0200 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore layout-only ancestors when identifying top-level browser chrome alerts

M	src/orca/scripts/web/script_utilities.py

2017-07-26 08:15:49 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Update Spanish translation

M	help/es/es.po

2017-07-25 20:18:21 +0200 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2017-07-24 12:54:20 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Update Spanish translation

M	po/es.po

2017-07-23 02:34:57 +0000 Andika Triwidada <atriwidada@gnome.org>

        Update Indonesian translation

M	po/id.po

2017-07-21 12:48:48 +0200 Joanmarie Diggs <jdiggs@igalia.com>

        Tweak translator note for DPub ARIA "leaving" messages

M	src/orca/messages.py

2017-07-21 12:44:05 +0200 Joanmarie Diggs <jdiggs@igalia.com>

        Add custom localized role names for ARIA feed and figure roles

M	src/orca/generator.py
M	src/orca/messages.py
M	src/orca/object_properties.py
M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/speech_generator.py

2017-07-21 10:05:42 +0200 Joanmarie Diggs <jdiggs@igalia.com>

        Add support for DPub ARIA roles

M	src/orca/formatting.py
M	src/orca/generator.py
M	src/orca/messages.py
M	src/orca/object_properties.py
M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py
M	src/orca/speech_generator.py

2017-07-19 00:03:28 +0200 Joanmarie Diggs <jdiggs@igalia.com>

        Update locusOfFocus to active window even in the case of broken hierarchy

M	src/orca/scripts/default.py

2017-07-18 23:58:27 +0200 Joanmarie Diggs <jdiggs@igalia.com>

        Work around missing events for popup menus

M	src/orca/scripts/default.py

2017-07-18 13:13:27 +0200 Joanmarie Diggs <jdiggs@igalia.com>

        Treat articles as large objects for the purpose of structural navigation

M	src/orca/formatting.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/structural_navigation.py

2017-07-18 11:15:44 +0200 Joanmarie Diggs <jdiggs@igalia.com>

        Don't automatically exclude text block elements from position presentation

M	src/orca/scripts/web/speech_generator.py

2017-06-14 15:04:57 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't double-present name of widgets which descend from label element

M	src/orca/scripts/web/script_utilities.py

2017-06-14 14:10:12 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Do not descend checkboxes and radio buttons when building line contents

M	src/orca/scripts/web/script_utilities.py

2017-06-06 18:44:55 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around Gecko not pruning alt="" images from accessibility tree

M	src/orca/scripts/web/script_utilities.py

2017-05-21 22:07:34 +0000 Attila Hammer <hammera@pickup.hu>

        Update Hungarian translation

M	help/hu/hu.po

2017-05-09 12:19:14 -0400 = <=>

        Don't use the default _generateRealActiveDescendantDisplayedText() on web

M	src/orca/scripts/web/speech_generator.py

2017-05-08 05:07:35 -0400 = <=>

        Attempt to piece together content from cells with multiple renderers

M	src/orca/generator.py
M	src/orca/script_utilities.py

2017-04-29 11:38:17 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Handle yet another Atspi "The process appears to be hung" exception

M	src/orca/script_utilities.py

2017-04-29 11:28:17 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add check for dead accessibles before attempting to generate presentation

M	src/orca/generator.py

2017-04-28 15:35:39 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Handle another Atspi "The process appears to be hung" exception

M	src/orca/scripts/default.py

2017-04-27 06:35:11 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Return immediately in isLayoutOnly() if obj is dead

M	src/orca/script_utilities.py

2017-04-27 05:28:52 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Defer to superscript's selectedChildren() when selection changes in spreadsheet

M	src/orca/scripts/apps/soffice/script_utilities.py

2017-04-21 07:32:14 +0000 Attila Hammer <hammera@pickup.hu>

        Update Hungarian translation

M	po/hu.po

2017-04-09 13:35:53 +0300 Rūdolfs Mazurs <rudolfsm@src.gnome.org>

        Update Latvian translation

M	po/lv.po

2017-03-27 06:05:37 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Stop using fake roles for ROLE_STATIC, ROLE_MATH_FRACTION, and ROLE_MATH_ROOT

M	README
M	configure.ac
M	src/orca/formatting.py
M	src/orca/generator.py
M	src/orca/script_utilities.py
M	src/orca/scripts/web/braille_generator.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/sound_generator.py
M	src/orca/scripts/web/speech_generator.py

2017-03-24 06:18:10 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Handle missing events from submenus

M	src/orca/scripts/toolkits/GAIL/script.py
M	src/orca/scripts/toolkits/gtk/script.py

2017-03-24 06:02:09 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore focus: events coming from ancestor of locusOfFocus

M	src/orca/scripts/toolkits/GAIL/script.py
M	src/orca/scripts/toolkits/gtk/script.py

2017-03-24 00:19:49 +0200 Ville Skyttä <ville.skytta@iki.fi>

        Python 3.6 invalid escape sequence deprecation fixes

M	src/orca/flat_review.py
M	src/orca/script_utilities.py
M	src/orca/scripts/terminal/script_utilities.py
M	src/orca/scripts/toolkits/GAIL/script_utilities.py
M	src/orca/scripts/toolkits/gtk/script_utilities.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/speechdispatcherfactory.py
M	test/keystrokes/firefox/label_inference_bugzilla_search.py
M	test/keystrokes/firefox/line_nav_bugzilla_search_down.py
M	test/keystrokes/firefox/line_nav_bugzilla_search_up.py
M	test/keystrokes/firefox/line_nav_iframes_nested.py
M	test/keystrokes/firefox/line_nav_wiki_down.py
M	test/keystrokes/firefox/line_nav_wiki_up.py
M	test/keystrokes/firefox/say_all_wiki.py
M	test/keystrokes/firefox/say_all_wiki_no_context.py
M	test/keystrokes/firefox/selection_wiki.py
M	test/keystrokes/firefox/ui_role_accel_label.py
M	test/keystrokes/firefox/ui_role_menu_bar.py
M	test/keystrokes/gnome-clocks/stop_watch_flat_review.py
M	test/keystrokes/gnome-clocks/timer_flat_review.py
M	test/keystrokes/gnome-terminal/nano.py
M	test/keystrokes/gnome-terminal/nano_flat_review.py
M	test/keystrokes/gnome-terminal/vim-append.py

2017-03-23 23:55:40 +0200 Ville Skyttä <ville.skytta@iki.fi>

        Spelling fixes

M	NEWS
M	pylintrc
M	src/orca/braille.py
M	src/orca/debug.py
M	src/orca/formatting.py
M	src/orca/generator.py
M	src/orca/liveregions.py
M	src/orca/orca.py
M	src/orca/pronunciation_dict.py
M	src/orca/scripts/apps/metacity/script.py
M	src/orca/scripts/default.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/speechdispatcherfactory.py
M	src/orca/structural_navigation.py

2017-03-23 14:43:00 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Also rely more upon deprecated focus events for Gtk+ 2

M	src/orca/scripts/toolkits/GAIL/script.py

2017-03-23 14:13:06 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Rely more upon the long-since-deprecated focus: event for Gtk+ 3

M	src/orca/scripts/toolkits/gtk/script.py

2017-03-22 13:57:14 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Sanity-check values app provides in response to getTextAtOffset()

M	src/orca/scripts/default.py

2017-03-22 07:47:54 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Only treat menus as layout only if they are combobox children

M	src/orca/script_utilities.py

2017-03-21 16:19:44 +0000 Claude Paroz <claude@2xlibre.net>

        Update French translation

M	po/fr.po

2017-03-21 07:46:32 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around more brokenness coming from Gecko apps with Gtk+ 3 dialogs

M	src/orca/event_manager.py
M	src/orca/scripts/toolkits/Gecko/script.py
M	src/orca/scripts/web/script.py

2017-03-21 06:48:45 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        More aggressively work around missing events from Gecko dialogs

M	src/orca/script_utilities.py
M	src/orca/scripts/toolkits/Gecko/script.py

2017-03-21 04:18:36 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Include text widgets when presenting listbox items

M	src/orca/speech_generator.py

2017-03-21 03:59:01 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Announce item count for newly-focused listboxes

M	src/orca/speech_generator.py

2017-03-20 15:20:15 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around missing window-activate events from Gecko dialogs

M	src/orca/scripts/default.py

2017-03-20 15:16:13 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2017-03-20 15:12:16 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for Orca v3.24.0 release

M	NEWS
M	README
M	configure.ac

2017-03-20 11:35:53 +0000 Mario Blättermann <mario.blaettermann@gmail.com>

        Update German translation

M	help/de/de.po

2017-03-19 10:59:51 +0000 Mario Blättermann <mario.blaettermann@gmail.com>

        Update German translation

M	help/de/de.po

2017-03-18 22:38:56 +0100 Kenneth Nielsen <k.nielsen81@gmail.com>

        Updated Danish translation

M	po/da.po

2017-03-18 09:28:31 +0100 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	help/cs/cs.po
M	po/cs.po

2017-03-16 02:53:16 +0000 Andika Triwidada <atriwidada@gnome.org>

        Update Indonesian translation

M	po/id.po

2017-03-15 19:11:42 +0000 Peter Vágner <pvdeejay@gmail.com>

        Update Slovak translation

M	po/sk.po

2017-03-14 02:29:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix another regression which resulted from the MATE Panel hackaround

M	src/orca/scripts/default.py

2017-03-13 18:28:19 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix regression resulting from trying to hack around MATE Panel issues.

M	src/orca/scripts/default.py

2017-03-13 09:02:15 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Sanity check our attempt to hack around broken text from Gecko

M	src/orca/scripts/web/script_utilities.py

2017-03-13 11:03:10 +0000 Milo Casagrande <milo@ubuntu.com>

        Update Italian translation

M	po/it.po

2017-03-11 13:59:23 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Attempt to handle children-changed:add event flood from menus

M	src/orca/event_manager.py

2017-03-11 13:49:07 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Improve presentation when Page_Up/Page_Down is used in editable combo boxes

M	src/orca/script_utilities.py

2017-03-11 13:42:10 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Only update focused object info upon text insertion for autotext events

M	src/orca/scripts/default.py

2017-03-11 11:40:10 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Perform more aggressive checks on the windows of widgets claiming focus

M	src/orca/scripts/default.py

2017-03-11 11:18:59 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle instance in which the "end" of a container is the container's ancestor

M	src/orca/structural_navigation.py

2017-03-11 10:40:05 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Be sure we have contents to display before attempting to display them

M	src/orca/scripts/web/script.py

2017-03-11 10:34:56 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Always notify script when updating locus of focus in contenteditable content

M	src/orca/scripts/web/script.py

2017-03-11 10:12:02 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate double-presentation of selection changes in editable comboboxes

M	src/orca/scripts/default.py

2017-03-11 10:09:24 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix c&p error in previous commit

M	src/orca/script_utilities.py

2017-03-11 09:48:27 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't present caret-moved events from editable comboboxes as line nav

M	src/orca/script_utilities.py

2017-03-11 09:26:15 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Save focused object info when text inserted in current locus of focus

M	src/orca/scripts/default.py

2017-03-11 09:14:28 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Treat text changes in editable combo boxes as autotext events

M	src/orca/script_utilities.py

2017-03-10 07:47:18 +0000 Attila Hammer <hammera@pickup.hu>

        Update Hungarian translation

M	po/hu.po

2017-03-09 14:41:22 +0000 Fabio Tomat <f.t.public@gmail.com>

        Update Friulian translation

M	po/fur.po

2017-03-09 09:12:01 +0000 Fabio Tomat <f.t.public@gmail.com>

        Update Friulian translation

M	po/fur.po

2017-03-07 22:35:20 +0000 Fabio Tomat <f.t.public@gmail.com>

        Update Friulian translation

M	po/fur.po

2017-03-01 14:08:25 +0000 Mario Blättermann <mario.blaettermann@gmail.com>

        Update German translation

M	po/de.po

2017-03-01 08:46:06 +0100 Claude Paroz <claude@2xlibre.net>

        Fixed 'flat review' translation in French

M	po/fr.po

2017-02-27 04:20:17 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2017-02-27 04:17:43 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for 3.23.91 release

M	NEWS
M	README
M	configure.ac

2017-02-26 21:28:55 +0000 Fran Dieguez <frandieguez@gnome.org>

        Update Galician translation

M	po/gl.po

2017-02-26 14:07:54 +0200 Aurimas Černius <aurisc4@gmail.com>

        Updated Lithuanian translation

M	po/lt.po

2017-02-26 10:11:48 +0100 Мирослав Николић <miroslavnikolic@rocketmail.com>

        Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

2017-02-26 09:41:01 +0100 Мирослав Николић <miroslavnikolic@rocketmail.com>

        Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

2017-02-25 09:53:45 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Skip sanity checking for event types often seen in event floods

M	src/orca/event_manager.py

2017-02-25 09:18:59 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Make sanity checking when getting scripts optional

M	src/orca/event_manager.py
M	src/orca/script_manager.py

2017-02-23 10:46:53 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        More work on trying to handle bogus/duplicate accessible application instances

M	src/orca/event_manager.py
M	src/orca/script_manager.py
M	src/orca/scripts/web/script_utilities.py

2017-02-23 08:22:04 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Detect, and clean up scripts for, duplicate/bogus accessible applications

M	src/orca/event_manager.py
M	src/orca/script_manager.py
M	src/orca/scripts/web/script_utilities.py

2017-02-23 06:29:48 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove some ancient script-mapping entries

M	src/orca/script_manager.py

2017-02-23 06:21:14 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove no-longer-valid import

M	src/orca/scripts/apps/Thunderbird/script.py

2017-02-23 10:47:07 +0000 Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>

        Update Chinese (Taiwan) translation

M	po/zh_TW.po

2017-02-23 05:05:37 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle issues associated with using Gecko apps with Gtk+ 3

M	src/orca/script_manager.py
M	src/orca/script_utilities.py
M	src/orca/scripts/toolkits/gtk/script.py
M	src/orca/scripts/toolkits/gtk/script_utilities.py

2017-02-23 04:03:16 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Be sure we have sayAll contents before attempting fast forward or rewind

M	src/orca/scripts/web/script.py

2017-02-22 15:18:10 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Try to prevent SeaMonkey Mail composition from unexpectedly entering browse mode

M	src/orca/scripts/apps/SeaMonkey/script.py
M	src/orca/scripts/apps/Thunderbird/script.py
M	src/orca/scripts/toolkits/Gecko/script_utilities.py

2017-02-22 13:42:37 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add more debugging output

M	src/orca/scripts/web/script.py

2017-02-22 13:27:32 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Include mode states when recovering from Gecko window destruction+recreation

M	src/orca/scripts/web/script.py

2017-02-22 13:13:10 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Sanity-check the active window before processing caret-moved events

M	src/orca/scripts/web/script.py

2017-02-22 13:05:20 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Move the code which sanity checks the active window into a separate method

M	src/orca/scripts/web/script_utilities.py

2017-02-21 14:15:06 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't generate unrelated labels for objects which implement the document interface

M	src/orca/script_utilities.py

2017-02-21 12:31:15 +0000 Rafael Fontenelle <rafaelff@gnome.org>

        Update Brazilian Portuguese translation

M	po/pt_BR.po

2017-02-21 05:22:40 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't use the pyatspi cache for descriptions

M	src/orca/scripts/default.py

2017-02-20 17:58:27 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Never generate unrelated labels for web content

M	src/orca/scripts/web/script_utilities.py

2017-02-20 06:10:31 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Attempt to update state when Gecko windows get new accessible objects

M	src/orca/script.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2017-02-19 07:28:27 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Present labels which label other labels

M	src/orca/formatting.py

2017-02-19 07:08:52 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle documentFrames which do not implement the document interface

M	src/orca/scripts/web/script_utilities.py

2017-02-18 12:34:14 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Check for duplicate segments when building words from embedded objects

M	src/orca/scripts/web/script_utilities.py

2017-02-18 17:13:45 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Update Swedish translation

M	help/sv/sv.po

2017-02-18 17:12:59 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Update Swedish translation

M	po/sv.po

2017-02-18 11:46:21 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't adjust character offset when it's the character count

M	src/orca/scripts/web/script_utilities.py

2017-02-18 10:44:04 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Take hyphens into account when hacking around Gecko text-interface bugs

M	src/orca/scripts/web/script_utilities.py
A	test/harness/__init__.py
A	test/html/list-with-anchors-and-hyphens.html
A	test/keystrokes/firefox/line_nav_list_with_anchors_and_hyphens.params
A	test/keystrokes/firefox/line_nav_list_with_anchors_and_hyphens.py

2017-02-16 14:32:59 +0100 Ask Hjorth Larsen <asklarsen@gmail.com>

        Updated Danish translation

M	po/da.po

2017-02-16 08:08:53 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't present new column header when reading full row

M	src/orca/speech_generator.py

2017-02-15 16:13:29 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Replace some old table-related code with new utility methods

M	src/orca/scripts/default.py
M	src/orca/speech_generator.py

2017-02-14 20:36:19 +0100 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2017-02-14 05:42:42 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        More work on recovery from zombified elements

M	src/orca/scripts/web/script.py

2017-02-14 04:26:57 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't treat insertions as auto-text events if the source is no longer focused

M	src/orca/script_utilities.py

2017-02-13 10:31:55 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't set locusOfFocus to top-level webapp when browse mode is sticky

M	src/orca/scripts/web/script.py

2017-02-13 08:28:27 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Update caret context in addition to locusOfFocus if context is zombified

M	src/orca/scripts/web/script.py

2017-02-13 08:05:54 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add more debugging

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2017-02-13 07:49:51 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add debugging line

M	src/orca/scripts/web/script.py

2017-02-13 12:15:03 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Update Spanish translation

M	help/es/es.po

2017-02-13 05:11:05 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Update location when zombie replicant is announced to us via focus change

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2017-02-13 03:57:20 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't generate leaving message when also leaving document content

M	src/orca/scripts/web/speech_generator.py

2017-02-13 00:18:36 +0100 Kjartan Maraas <kmaraas@gnome.org>

        Updated Norwegian bokmål translation.

M	po/nb.po

2017-02-12 14:59:30 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Update Polish translation

M	po/pl.po

2017-02-10 09:40:44 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix bug presenting existing context as new context

M	src/orca/speech_generator.py

2017-02-10 06:15:26 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Do not generate unrelated labels for forms

M	src/orca/formatting.py

2017-02-10 05:42:28 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove old column-header presentation suppression for Thunderbird

M	src/orca/scripts/apps/Thunderbird/Makefile.am
D	src/orca/scripts/apps/Thunderbird/speech_generator.py

2017-02-10 04:06:40 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't present loading messages if document is neither showing nor visible

M	src/orca/scripts/web/script.py

2017-02-10 03:55:00 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Verify we're not in a focused object before updating focus to context object

M	src/orca/scripts/web/script.py

2017-02-10 03:27:06 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add yet another sanity check for yet another mate-panel-triggered bogus event

M	src/orca/scripts/default.py

2017-02-09 03:56:57 +0000 Baurzhan Muftakhidinov <baurthefirst@gmail.com>

        Update Kazakh translation

M	po/kk.po

2017-02-07 17:43:40 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Set windowActivateTime when we have to hack around mate-panel's event ordering

M	src/orca/scripts/default.py
M	src/orca/scripts/toolkits/GAIL/script.py
M	src/orca/scripts/toolkits/gtk/script.py

2017-02-07 16:46:06 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Set the active window explicitly when in a menubar menu

M	src/orca/scripts/toolkits/GAIL/script.py
M	src/orca/scripts/toolkits/gtk/script.py

2017-02-07 15:00:24 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Sanity check windows which claim to be active

M	src/orca/scripts/default.py

2017-02-07 14:50:57 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't present new ancestors of menu bars

M	src/orca/speech_generator.py

2017-02-07 14:14:53 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Explicitly activate script when selection changes in focused menu

M	src/orca/event_manager.py

2017-02-07 07:40:36 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore bogus window:activate events from Gecko apps

M	src/orca/scripts/toolkits/Gecko/script.py

2017-02-07 07:32:39 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Update the active window when locusOfFocus changes due to non-active app

M	src/orca/scripts/default.py

2017-02-07 07:28:06 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Sanity check window:activate events from Gecko before setting active script

M	src/orca/scripts/toolkits/Gecko/script.py

2017-02-07 06:43:41 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore bogus state-changed:active events for Gecko application frames

M	src/orca/scripts/toolkits/Gecko/script.py

2017-02-07 06:21:59 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Update the active window and conditionally present mouse-triggered focus changes

M	src/orca/scripts/default.py

2017-02-07 04:31:15 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Set the active window if it is null when locusOfFocus changes

M	src/orca/scripts/default.py

2017-02-06 13:14:21 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        New test case

A	test/html/containers.html
A	test/keystrokes/firefox/html_struct_nav_containers.params
A	test/keystrokes/firefox/html_struct_nav_containers.py

2017-02-06 10:56:14 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add structural navigation commands to move to start and end of current container

M	help/C/commands_structural_navigation.page
M	src/orca/cmdnames.py
M	src/orca/messages.py
M	src/orca/script_utilities.py
M	src/orca/scripts/toolkits/WebKitGtk/script.py
M	src/orca/scripts/web/script.py
M	src/orca/structural_navigation.py

2017-02-06 16:41:51 +0800 Mandy Wang <wangmychn@gmail.com>

        Update zh_CN translation

M	po/zh_CN.po

2017-02-05 15:14:33 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Update Polish translation

M	po/pl.po

2017-02-04 21:34:06 +0100 Christian Kirbach <christian.kirbach@gmail.com>

        Fix warning in German translation

M	help/de/de.po

2017-02-02 18:26:01 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Fix another instance of getting stuck in visually-hidden MathML content

M	src/orca/scripts/web/script_utilities.py
M	test/html/tinymath.html
M	test/keystrokes/firefox/math_line_nav_tiny_mathml.py

2017-02-02 17:06:37 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Fix issue getting stuck in visually-hidden MathML content

M	src/orca/scripts/web/script_utilities.py
M	test/html/tinymath.html
A	test/keystrokes/firefox/math_line_nav_tiny_mathml.params
A	test/keystrokes/firefox/math_line_nav_tiny_mathml.py

2017-02-02 12:41:20 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Defer to super class's queryNonEmptyText() when browse mode is sticky

M	src/orca/scripts/web/script_utilities.py

2017-02-02 10:58:57 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2017-02-02 10:54:56 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for 3.23.4 release

M	NEWS
M	README
M	configure.ac

2017-02-01 20:22:01 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Treat documents whose parents are zombie iframes as detached documents

M	src/orca/scripts/web/script_utilities.py

2017-02-01 16:12:59 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Search for caret context in parent of replicant of destroyed object

M	src/orca/scripts/web/script_utilities.py

2017-02-01 15:01:30 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Fix regression from previous commit

M	src/orca/speech_generator.py

2017-02-01 12:42:17 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Improve presentation of nested lists and blockquotes as context

M	src/orca/formatting.py
M	src/orca/messages.py
M	src/orca/script_utilities.py
M	src/orca/speech_generator.py
A	test/html/nested-stuff.html
A	test/keystrokes/firefox/line_nav_nested_items.params
A	test/keystrokes/firefox/line_nav_nested_items.py
A	test/keystrokes/firefox/line_nav_nested_items.settings
A	test/keystrokes/firefox/line_nav_nested_items_no_context.params
A	test/keystrokes/firefox/line_nav_nested_items_no_context.py
A	test/keystrokes/firefox/line_nav_nested_items_no_context.settings

2017-01-30 11:42:55 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Work around missing focus-change events when focus changes due to mouse click

M	src/orca/event_manager.py
M	src/orca/input_event.py
M	src/orca/scripts/default.py

2017-01-30 11:04:12 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Remove obsolete onTextSelectionChanged() method from Evince script

M	src/orca/scripts/apps/evince/script.py

2017-01-30 02:48:21 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Update Polish translation

M	po/pl.po

2017-01-29 19:40:20 +0000 Fran Dieguez <frandieguez@gnome.org>

        Update Galician translation

M	po/gl.po

2017-01-28 12:55:29 +0100 Christian Kirbach <christian.kirbach@gmail.com>

        Fix translation error that resulted in build warning

M	help/de/de.po

2017-01-25 19:17:13 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        New test case

A	test/html/tinymath.html

2017-01-25 15:33:36 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Updated tests

M	test/keystrokes/firefox/say_all_bugzilla_search.py
M	test/keystrokes/firefox/say_all_bugzilla_search_no_context.py
M	test/keystrokes/firefox/say_all_bugzilla_search_no_context.settings
M	test/keystrokes/firefox/say_all_enter_bug.py
M	test/keystrokes/firefox/say_all_entries.py
A	test/keystrokes/firefox/say_all_regions_and_fieldsets.params
A	test/keystrokes/firefox/say_all_regions_and_fieldsets.py
A	test/keystrokes/firefox/say_all_regions_and_fieldsets.settings
A	test/keystrokes/firefox/say_all_regions_and_fieldsets_no_context.params
A	test/keystrokes/firefox/say_all_regions_and_fieldsets_no_context.py
A	test/keystrokes/firefox/say_all_regions_and_fieldsets_no_context.settings
M	test/keystrokes/firefox/say_all_table_caption.py
M	test/keystrokes/firefox/say_all_wiki.py
M	test/keystrokes/firefox/say_all_wiki_no_context.settings

2017-01-25 11:53:42 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure we speak all generated utterances during SayAll

M	src/orca/scripts/web/script.py

2017-01-24 17:00:59 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        New test cases

A	test/keystrokes/firefox/line_nav_regions_and_fieldsets.params
A	test/keystrokes/firefox/line_nav_regions_and_fieldsets.py
A	test/keystrokes/firefox/line_nav_regions_and_fieldsets.settings
A	test/keystrokes/firefox/line_nav_regions_and_fieldsets_no_context.params
A	test/keystrokes/firefox/line_nav_regions_and_fieldsets_no_context.py
A	test/keystrokes/firefox/line_nav_regions_and_fieldsets_no_context.settings

2017-01-24 16:56:28 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure we respect user settings for presentation of landmarks as context

M	src/orca/speech_generator.py

2017-01-24 15:38:44 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Add custom support for ARIA switch role

M	src/orca/formatting.py
M	src/orca/generator.py
M	src/orca/object_properties.py
M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/sound_generator.py
M	src/orca/speech_generator.py
A	test/html/aria-switch.html
A	test/keystrokes/firefox/aria_switch.params
A	test/keystrokes/firefox/aria_switch.py

2017-01-24 10:44:05 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Handle more cases of LO objects becoming defunct

M	src/orca/scripts/apps/soffice/script_utilities.py

2017-01-24 09:00:30 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Update Spanish translation

M	po/es.po

2017-01-23 23:05:45 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Update Polish translation

M	po/pl.po

2017-01-23 20:09:10 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Prefer the displayed text over the accessible name for labels

M	src/orca/formatting.py

2017-01-23 19:53:09 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Don't present labels whose target is a context element

M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py

2017-01-23 19:48:00 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Handle internal whitespace-only differences in label and name

M	src/orca/generator.py

2017-01-23 16:02:35 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Improve presentation of regions

M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py

2017-01-23 16:00:49 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        New test case

A	test/html/regions-and-fieldsets.html

2017-01-21 16:57:01 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Be sure we have a default screen before trying to connect callbacks for it

M	src/orca/mouse_review.py

2017-01-21 20:36:03 +0000 Christian Kirbach <Christian.Kirbach@gmail.com>

        Update German translation (cherry picked from commit 0e22ee722c1211adeda467bebac3743b31888cef)

M	help/de/de.po

2017-01-21 14:52:26 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Filter out layout-only lists when speaking context

M	src/orca/scripts/web/script_utilities.py

2017-01-21 06:49:24 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Make spoken presentation of accessible description optional

M	help/C/preferences_speech.page
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py
M	src/orca/scripts/apps/soffice/speech_generator.py
M	src/orca/settings.py
M	src/orca/speech_generator.py

2017-01-20 09:28:04 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Present the current line of the landmark just navigated to

M	src/orca/structural_navigation.py

2017-01-20 09:19:40 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure we always announce landmark type before setting the caret

M	src/orca/structural_navigation.py

2017-01-20 08:39:47 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Check for, and filter out, defunct objects when building elements list

M	src/orca/structural_navigation.py

2017-01-19 17:35:46 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add support for landmarks and non-landmark forms as spoken context

M	help/C/preferences_general.page
M	help/C/preferences_speech.page
M	src/orca/formatting.py
M	src/orca/generator.py
M	src/orca/messages.py
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py
M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py
M	src/orca/settings.py
M	src/orca/speech_generator.py
A	test/html/aria-landmarks2.html
A	test/keystrokes/firefox/line_nav_aria_landmarks.params
A	test/keystrokes/firefox/line_nav_aria_landmarks.py
A	test/keystrokes/firefox/line_nav_aria_landmarks.settings
A	test/keystrokes/firefox/line_nav_aria_landmarks_no_context.params
A	test/keystrokes/firefox/line_nav_aria_landmarks_no_context.py
A	test/keystrokes/firefox/line_nav_aria_landmarks_no_context.settings
A	test/keystrokes/firefox/say_all_aria_landmarks.params
A	test/keystrokes/firefox/say_all_aria_landmarks.settings
A	test/keystrokes/firefox/say_all_aria_landmarks_no_context.params
A	test/keystrokes/firefox/say_all_aria_landmarks_no_context.py
A	test/keystrokes/firefox/say_all_aria_landmarks_no_context.settings

2017-01-18 14:04:17 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add support for panels as spoken context

M	help/C/preferences_general.page
M	help/C/preferences_speech.page
M	src/orca/formatting.py
M	src/orca/messages.py
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py
M	src/orca/script_utilities.py
M	src/orca/settings.py
M	src/orca/speech_generator.py

2017-01-17 08:43:49 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Include the role name when presenting dialogs as context

M	src/orca/formatting.py

2017-01-16 21:34:28 +0100 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2017-01-16 09:54:07 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix regression in which dimensions of table being left were spoken

M	src/orca/speech_generator.py

2017-01-16 07:54:00 +0000 Attila Hammer <hammera@pickup.hu>

        Update Hungarian translation

M	po/hu.po

2017-01-11 12:00:29 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove some old, unused methods

M	src/orca/script.py

2017-01-11 06:40:46 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Optionally announce when entering and leaving blockquotes, lists, and tables

M	help/C/preferences_general.page
M	help/C/preferences_speech.page
M	src/orca/formatting.py
M	src/orca/generator.py
M	src/orca/messages.py
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py
M	src/orca/script_utilities.py
M	src/orca/scripts/apps/soffice/speech_generator.py
M	src/orca/scripts/default.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py
M	src/orca/settings.py
M	src/orca/speech_generator.py
M	src/orca/structural_navigation.py
M	test/keystrokes/firefox/html_access_keys.py
M	test/keystrokes/firefox/html_struct_nav_activate_link.py
M	test/keystrokes/firefox/html_struct_nav_large_obj.py
M	test/keystrokes/firefox/html_struct_nav_list_item.py
M	test/keystrokes/firefox/html_struct_nav_lists.py
M	test/keystrokes/firefox/line_nav_broken_list.py
M	test/keystrokes/firefox/line_nav_bug_552887a.py
M	test/keystrokes/firefox/line_nav_bug_570757.py
A	test/keystrokes/firefox/line_nav_bug_570757.settings
A	test/keystrokes/firefox/line_nav_bug_570757_no_context.params
A	test/keystrokes/firefox/line_nav_bug_570757_no_context.py
A	test/keystrokes/firefox/line_nav_bug_570757_no_context.settings
M	test/keystrokes/firefox/line_nav_bug_577239.py
A	test/keystrokes/firefox/line_nav_bug_577239.settings
A	test/keystrokes/firefox/line_nav_bug_577239_no_context.params
A	test/keystrokes/firefox/line_nav_bug_577239_no_context.py
A	test/keystrokes/firefox/line_nav_bug_577239_no_context.settings
M	test/keystrokes/firefox/line_nav_roledescriptions.py
M	test/keystrokes/firefox/line_nav_slash_test.py
M	test/keystrokes/firefox/say_all_blockquote.py
A	test/keystrokes/firefox/say_all_blockquote.settings
A	test/keystrokes/firefox/say_all_blockquote_no_context.params
A	test/keystrokes/firefox/say_all_blockquote_no_context.py
A	test/keystrokes/firefox/say_all_blockquote_no_context.settings
M	test/keystrokes/firefox/say_all_bugzilla_search.py
A	test/keystrokes/firefox/say_all_bugzilla_search.settings
A	test/keystrokes/firefox/say_all_bugzilla_search_no_context.params
A	test/keystrokes/firefox/say_all_bugzilla_search_no_context.py
A	test/keystrokes/firefox/say_all_bugzilla_search_no_context.settings
M	test/keystrokes/firefox/say_all_multi_line_text.py
A	test/keystrokes/firefox/say_all_multi_line_text.settings
A	test/keystrokes/firefox/say_all_multi_line_text_no_context.params
A	test/keystrokes/firefox/say_all_multi_line_text_no_context.py
A	test/keystrokes/firefox/say_all_multi_line_text_no_context.settings
M	test/keystrokes/firefox/say_all_nested_tables.py
A	test/keystrokes/firefox/say_all_nested_tables.settings
A	test/keystrokes/firefox/say_all_nested_tables_no_context.params
A	test/keystrokes/firefox/say_all_nested_tables_no_context.py
A	test/keystrokes/firefox/say_all_nested_tables_no_context.settings
M	test/keystrokes/firefox/say_all_role_links.py
A	test/keystrokes/firefox/say_all_role_links.settings
A	test/keystrokes/firefox/say_all_role_links_no_context.params
A	test/keystrokes/firefox/say_all_role_links_no_context.py
A	test/keystrokes/firefox/say_all_role_links_no_context.settings
M	test/keystrokes/firefox/say_all_role_lists.py
A	test/keystrokes/firefox/say_all_role_lists.settings
A	test/keystrokes/firefox/say_all_role_lists_no_context.params
A	test/keystrokes/firefox/say_all_role_lists_no_context.py
A	test/keystrokes/firefox/say_all_role_lists_no_context.settings
M	test/keystrokes/firefox/say_all_table_caption.py
A	test/keystrokes/firefox/say_all_table_caption.settings
A	test/keystrokes/firefox/say_all_table_caption_no_context.params
A	test/keystrokes/firefox/say_all_table_caption_no_context.py
A	test/keystrokes/firefox/say_all_table_caption_no_context.settings
M	test/keystrokes/firefox/say_all_wiki.py
A	test/keystrokes/firefox/say_all_wiki.settings
A	test/keystrokes/firefox/say_all_wiki_no_context.params
A	test/keystrokes/firefox/say_all_wiki_no_context.py
A	test/keystrokes/firefox/say_all_wiki_no_context.settings
A	test/keystrokes/oocalc/document_enter_text.settings
A	test/keystrokes/oocalc/document_enter_text_no_context.py
A	test/keystrokes/oocalc/document_enter_text_no_context.settings
M	test/keystrokes/oocalc/document_nav_dynamic_headers.py
A	test/keystrokes/oocalc/manage_names_combobox.settings
A	test/keystrokes/oocalc/manage_names_combobox_no_context.py
A	test/keystrokes/oocalc/manage_names_combobox_no_context.settings
A	test/keystrokes/oowriter/messages_table.settings
A	test/keystrokes/oowriter/messages_table_no_context.py
A	test/keystrokes/oowriter/messages_table_no_context.settings
A	test/keystrokes/oowriter/say_all_table.params
A	test/keystrokes/oowriter/say_all_table.py
A	test/keystrokes/oowriter/say_all_table.settings
A	test/keystrokes/oowriter/say_all_table_no_context.params
A	test/keystrokes/oowriter/say_all_table_no_context.py
A	test/keystrokes/oowriter/say_all_table_no_context.settings

2017-01-10 13:21:02 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        New test case

A	test/html/emoji.html
A	test/keystrokes/firefox/line_nav_emoji.params
A	test/keystrokes/firefox/line_nav_emoji.py

2017-01-10 05:07:48 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Work around Gecko's bogus claim that a word starts and ends on different lines

M	src/orca/scripts/web/script_utilities.py

2017-01-09 10:10:42 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Detect and attempt to work around yet another Gecko text bug

M	src/orca/scripts/web/script_utilities.py

2017-01-09 10:03:05 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't generate substring unnecessarily

M	src/orca/generator.py

2017-01-05 04:07:51 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix crash with Writer table

M	src/orca/scripts/apps/soffice/braille_generator.py

2017-01-04 11:57:48 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't say "blank" if there are multiple items on the line

M	src/orca/speech_generator.py

2017-01-04 06:26:17 +0000 Balázs Meskó <meskobalazs@gmail.com>

        Update Hungarian translation

M	po/hu.po

2017-01-04 02:26:09 +0000 Rafael Fontenelle <rafaelff@gnome.org>

        Update Brazilian Portuguese translation

M	po/pt_BR.po

2017-01-03 12:05:49 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate double-speaking of line after document load

M	src/orca/scripts/web/script.py

2017-01-03 11:07:09 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore "busy" events for editable SeaMonkey documents

M	src/orca/scripts/apps/SeaMonkey/script.py

2017-01-03 10:20:42 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Always attempt broken-text recovery for Gecko sentences

M	src/orca/scripts/toolkits/Gecko/script_utilities.py

2017-01-03 09:17:50 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate double-speaking of inferred labels in SayAll

M	src/orca/scripts/web/script.py

2017-01-03 07:42:29 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't say "blank" when in SayAll.

M	src/orca/speech_generator.py

2017-01-03 06:19:19 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Restore broken-text recovery attempts for words within editable Gecko content

M	src/orca/scripts/toolkits/Gecko/script_utilities.py
M	src/orca/scripts/web/script_utilities.py

2017-01-03 06:08:51 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        More work on what we treat as a content-editable element

M	src/orca/scripts/web/script_utilities.py

2017-01-03 05:38:46 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix issue where "blank" was not being spoken for a blank line

M	src/orca/scripts/web/script_utilities.py
M	src/orca/speech_generator.py

2017-01-02 13:27:44 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Restore broken-text recovery attempts for Gecko's editable plain-text objects

M	src/orca/scripts/toolkits/Gecko/script_utilities.py

2017-01-02 11:07:28 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Improve presentation of editable elements

M	src/orca/scripts/toolkits/Gecko/script_utilities.py
M	src/orca/scripts/web/braille_generator.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2016-12-28 11:08:33 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix several instances where new document name was not being presented

M	src/orca/scripts/web/speech_generator.py

2016-12-28 11:03:43 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix traceback

M	src/orca/scripts/web/script_utilities.py

2016-12-22 23:53:56 +0100 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	po/cs.po

2016-12-22 09:22:14 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't treat an empty table as layout only if the user gives it focus

M	src/orca/script_utilities.py

2016-12-22 09:03:13 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Be more aggressive filtering out load events from SeaMonkey's mail client

M	src/orca/scripts/apps/SeaMonkey/script.py

2016-11-06 14:19:05 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Use Unicode in translatable strings

M	src/orca/messages.py

2016-12-22 07:04:13 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore caret-moved events from objects which are not showing

M	src/orca/scripts/default.py

2016-12-22 06:14:08 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Include document frame name when generating new ancestors

M	src/orca/scripts/web/speech_generator.py

2016-12-22 05:29:44 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't speak ancestors when returning from typeahead search

M	src/orca/speech_generator.py

2016-12-22 04:56:18 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Try to make typeahead search in Gtk+ 2 suck less

M	src/orca/scripts/toolkits/GAIL/script.py
M	src/orca/scripts/toolkits/GAIL/script_utilities.py

2016-12-14 07:04:41 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Include infobars when presenting status bar and default button content

M	src/orca/script_utilities.py
M	src/orca/scripts/default.py
M	src/orca/scripts/toolkits/gtk/script_utilities.py

2016-12-13 12:15:59 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Work around icons which incorrectly implement accessible text

M	src/orca/generator.py

2016-12-13 11:41:19 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Try to make typeahead search in Gtk+ 3 suck less

M	src/orca/script_utilities.py
M	src/orca/scripts/toolkits/gtk/script.py
M	src/orca/scripts/toolkits/gtk/script_utilities.py

2016-12-12 05:36:40 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle LO's recently-corrected exposure of text attributes for spellcheck

M	src/orca/scripts/apps/soffice/spellcheck.py

2016-12-09 13:12:23 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle change in LO's accessibility tree for dialogs

M	src/orca/scripts/apps/soffice/spellcheck.py

2016-12-09 02:58:01 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Updated tests

M	test/keystrokes/firefox/aria_alert.py
M	test/keystrokes/firefox/aria_alert_dialog.py
M	test/keystrokes/firefox/aria_button.py
M	test/keystrokes/firefox/aria_button_dojo.py
M	test/keystrokes/firefox/aria_checkbox.py
M	test/keystrokes/firefox/aria_checkbox_dojo.py
M	test/keystrokes/firefox/aria_combobox_dojo.py
M	test/keystrokes/firefox/aria_slider.py
M	test/keystrokes/firefox/aria_slider_dojo.py
M	test/keystrokes/firefox/aria_slider_tpg.py
M	test/keystrokes/firefox/aria_sliders.py
M	test/keystrokes/firefox/aria_spinner_dojo.py
M	test/keystrokes/firefox/aria_tabpanel2.py
M	test/keystrokes/firefox/aria_toolbar_dojo.py
M	test/keystrokes/firefox/focus_tracking_descriptions.py
M	test/keystrokes/firefox/focus_tracking_input_type_number.py
M	test/keystrokes/firefox/html_access_keys.py
M	test/keystrokes/firefox/html_struct_nav_clickable_text_change.py
M	test/keystrokes/firefox/html_struct_nav_descriptions.py
M	test/keystrokes/firefox/label_inference_bug_546815.py
M	test/keystrokes/firefox/label_inference_bugzilla_search.py
M	test/keystrokes/firefox/label_inference_entries.py
M	test/keystrokes/firefox/label_inference_labels_without_for_far_away.py
M	test/keystrokes/firefox/label_inference_mailman.py
M	test/keystrokes/firefox/line_nav_bug_546815.py
M	test/keystrokes/firefox/line_nav_bug_577239.py
M	test/keystrokes/firefox/line_nav_bugzilla_search_down.py
M	test/keystrokes/firefox/line_nav_bugzilla_search_up.py
M	test/keystrokes/firefox/line_nav_descriptions.py
M	test/keystrokes/firefox/line_nav_empty_textarea.py
M	test/keystrokes/firefox/line_nav_enter_bug.py
M	test/keystrokes/firefox/line_nav_entries.py
M	test/keystrokes/firefox/line_nav_hidden_label.py
M	test/keystrokes/firefox/line_nav_iframes_blogger.py
M	test/keystrokes/firefox/line_nav_simple_form.py
M	test/keystrokes/firefox/line_nav_slash_test.py
M	test/keystrokes/firefox/line_nav_sun_java.py
M	test/keystrokes/firefox/line_nav_wiki_down.py
M	test/keystrokes/firefox/line_nav_wiki_up.py
M	test/keystrokes/firefox/math_line_nav_torture_test.py
M	test/keystrokes/firefox/object_nav_descriptions_down.py
M	test/keystrokes/firefox/object_nav_descriptions_up.py
M	test/keystrokes/firefox/object_nav_simple_form_down.py
M	test/keystrokes/firefox/object_nav_simple_form_up.py
M	test/keystrokes/firefox/ui_context_menu_flat_review.py
M	test/keystrokes/firefox/ui_role_accel_label.py
M	test/keystrokes/firefox/ui_role_check_box.py
M	test/keystrokes/firefox/ui_role_entry.py
M	test/keystrokes/firefox/ui_role_radio_menu_item.py
M	test/keystrokes/gnome-clocks/stop_watch_flat_review.py
M	test/keystrokes/gnome-clocks/timer_flat_review.py
M	test/keystrokes/gnome-terminal/nano.py
M	test/keystrokes/gnome-terminal/vim-append.py
M	test/keystrokes/gtk-demo/role_check_box.py
M	test/keystrokes/gtk-demo/role_column_header.py
M	test/keystrokes/gtk-demo/role_spin_button.py
M	test/keystrokes/gtk-demo/role_table.py
M	test/keystrokes/gtk-demo/role_tree_table.py
M	test/keystrokes/gtk3-demo/role_check_box.py
M	test/keystrokes/gtk3-demo/role_column_header.py
M	test/keystrokes/gtk3-demo/role_menu.py
M	test/keystrokes/gtk3-demo/role_radio_button.py
M	test/keystrokes/gtk3-demo/role_radio_menu_item.py
M	test/keystrokes/gtk3-demo/role_spin_button.py
M	test/keystrokes/gtk3-demo/role_table.py
M	test/keystrokes/gtk3-demo/role_table_flat_review.py
M	test/keystrokes/gtk3-demo/role_tree_table.py
M	test/keystrokes/oowriter/flat_review_line.py
M	test/keystrokes/oowriter/flat_review_line_columns.py
M	test/keystrokes/oowriter/flat_review_platform_menubar.py
M	test/keystrokes/oowriter/flat_review_word.py
M	test/keystrokes/oowriter/ui_navigator.py

2016-12-05 10:26:50 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Never adjust verbalized punctuation when punctuation style is set to NONE

M	src/orca/speechdispatcherfactory.py

2016-12-05 06:58:50 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Stop converting horizontal ellipses to "..." in braille

M	src/orca/braille.py

2016-12-05 05:42:37 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't assume we can always get a string value for Calc input line

M	src/orca/scripts/apps/soffice/speech_generator.py

2016-11-14 03:08:41 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore extraneous text-selection-changed event from Gedit

M	src/orca/scripts/apps/gedit/script.py

2016-11-10 15:39:49 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Update Spanish translation

M	po/es.po

2016-11-04 15:15:03 +0000 Attila Hammer <hammera@pickup.hu>

        Update Hungarian translation

M	po/hu.po

2016-10-28 14:07:56 +0200 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	po/cs.po

2016-10-26 15:05:45 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Handle (un)ordered lists in which item text falls outside the item element

M	src/orca/scripts/web/braille_generator.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py
A	test/html/broken-list.html
A	test/keystrokes/firefox/line_nav_broken_list.params
A	test/keystrokes/firefox/line_nav_broken_list.py

2016-10-26 16:29:05 +0200 Claude Paroz <claude@2xlibre.net>

        Updated French help translation

M	help/fr/fr.po

2016-10-24 15:22:37 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add support for aria-invalid

M	src/orca/formatting.py
M	src/orca/generator.py
M	src/orca/object_properties.py
M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/speech_generator.py
A	test/html/aria-invalid.html
A	test/keystrokes/firefox/aria_invalid.params
A	test/keystrokes/firefox/aria_invalid.py

2016-10-17 14:23:33 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Updated test

A	test/keystrokes/oowriter/ui_find.py

2016-10-17 14:21:28 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Updated tests

M	test/keystrokes/firefox/aria_button_dojo.py
M	test/keystrokes/firefox/aria_button_toggle.py
M	test/keystrokes/firefox/aria_radiobutton.py
M	test/keystrokes/firefox/aria_slider.py
M	test/keystrokes/firefox/aria_slider_dojo.py
M	test/keystrokes/firefox/aria_slider_tpg.py
M	test/keystrokes/firefox/aria_sliders.py
M	test/keystrokes/firefox/aria_tree.py
M	test/keystrokes/firefox/aria_treegrid.py
M	test/keystrokes/firefox/find_wiki.py
M	test/keystrokes/firefox/label_inference_bugzilla_search.py
M	test/keystrokes/firefox/line_nav_simple_form.py
M	test/keystrokes/firefox/line_nav_wiki_down.py
M	test/keystrokes/firefox/object_nav_links_in_text.py
M	test/keystrokes/firefox/object_nav_simple_form_down.py
M	test/keystrokes/firefox/object_nav_simple_form_up.py
M	test/keystrokes/firefox/say_all_nested_tables.py
M	test/keystrokes/firefox/ui_role_accel_label.py
M	test/keystrokes/gtk-demo/role_combo_box.py
M	test/keystrokes/gtk-demo/role_drawing_area.py
M	test/keystrokes/gtk-demo/role_icon.py
M	test/keystrokes/gtk3-demo/role_color_chooser.py
M	test/keystrokes/gtk3-demo/role_combo_box.py
M	test/keystrokes/gtk3-demo/role_icon.py
M	test/keystrokes/gtk3-demo/role_info_bar.py
M	test/keystrokes/gtk3-demo/role_text_multiline_selection.py
M	test/keystrokes/oocalc/coordinate_announcement_off.py
M	test/keystrokes/oocalc/coordinate_announcement_on.py
M	test/keystrokes/oocalc/document_enter_text.py
M	test/keystrokes/oocalc/document_nav_dynamic_headers.py
M	test/keystrokes/oocalc/manage_names_combobox.py
M	test/keystrokes/oocalc/messages_dynamic_headers.py
M	test/keystrokes/oowriter/document_nav_cell.py
M	test/keystrokes/oowriter/document_nav_line.py
M	test/keystrokes/oowriter/document_nav_line_bullets.py
M	test/keystrokes/oowriter/document_nav_paragraph.py
M	test/keystrokes/oowriter/document_nav_word.py
M	test/keystrokes/oowriter/document_new.py
M	test/keystrokes/oowriter/flat_review_context_menu.py
M	test/keystrokes/oowriter/flat_review_line.py
M	test/keystrokes/oowriter/flat_review_line_columns.py
M	test/keystrokes/oowriter/flat_review_platform_menubar.py
M	test/keystrokes/oowriter/flat_review_word.py
M	test/keystrokes/oowriter/messages_table.py
M	test/keystrokes/oowriter/say_all.py
M	test/keystrokes/oowriter/say_all_no_sentences.py
M	test/keystrokes/oowriter/selection_word.py
M	test/keystrokes/oowriter/spellcheck.py
M	test/keystrokes/oowriter/spoken_indentation.py
M	test/keystrokes/oowriter/structural_nav_table.py
M	test/keystrokes/oowriter/table_cell_row.py
M	test/keystrokes/oowriter/text_attributes.py
M	test/keystrokes/oowriter/ui_navigator.py
M	test/keystrokes/oowriter/ui_role_combo_box.py
M	test/keystrokes/oowriter/ui_role_label.py
M	test/keystrokes/oowriter/ui_role_list_item.py
M	test/keystrokes/oowriter/ui_role_menu.py
M	test/keystrokes/oowriter/ui_role_menu_flat_review.py
M	test/keystrokes/oowriter/ui_role_toolbar.py
M	test/keystrokes/oowriter/where_am_i_document.py

2016-10-17 14:18:59 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Descend images if they are image maps

M	src/orca/scripts/web/script_utilities.py
M	src/orca/where_am_I.py

2016-10-17 05:19:38 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Improve presentation of editable comboboxes

M	src/orca/formatting.py
M	src/orca/script_utilities.py
M	src/orca/scripts/apps/soffice/script.py
M	src/orca/scripts/apps/soffice/speech_generator.py
M	src/orca/speech_generator.py

2016-10-17 05:13:45 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Yet another workaround for yet another missing state-changed event

M	src/orca/scripts/apps/soffice/script.py

2016-10-12 14:32:32 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore nameless Gtk+ 3 mystery menus which are children of menus

M	src/orca/scripts/toolkits/gtk/script.py

2016-10-12 14:01:11 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add debugging line for nameless mystery menu

M	src/orca/scripts/toolkits/gtk/script.py

2016-10-12 13:51:00 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't update focus in response to window:activate from already-active window

M	src/orca/scripts/default.py

2016-10-12 17:42:28 +0200 Justin van Steijn <justin50@live.nl>

        Updated Dutch translation Master 3.24

M	po/nl.po

2016-10-11 13:33:12 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        And yet another sanity check for yet another broken accessibility tree

M	src/orca/script_utilities.py

2016-10-11 10:10:22 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Map Icedove to Thunderbird

M	src/orca/script_manager.py

2016-10-11 08:54:15 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2016-10-11 08:51:25 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for 3.22.1 release

M	NEWS
M	README
M	configure.ac

2016-10-10 19:13:48 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Reduce some chattiness using vim

M	src/orca/script_utilities.py
M	src/orca/scripts/default.py
M	src/orca/scripts/terminal/script_utilities.py
A	test/keystrokes/gnome-terminal/vim-append.py

2016-10-07 07:36:50 +0000 Milo Casagrande <milo@ubuntu.com>

        Update Italian translation (cherry picked from commit 854464541419f4975298b46a98b459d287158ef9)

M	po/it.po

2016-09-24 09:08:47 +0000 gogo <trebelnik2@gmail.com>

        Added Croatian translation (cherry picked from commit e8f4452870dd26f2975a162feaacca503bb54436)

M	po/LINGUAS
A	po/hr.po

2016-09-20 20:35:50 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Updated Swedish translation

M	help/sv/sv.po

2016-09-19 11:34:58 +0000 Cédric Valmary <cvalmary@yahoo.fr>

        Updated Occitan translation

M	po/oc.po

2016-09-18 14:21:50 +0200 David King <amigadave@amigadave.com>

        Update British English translation

M	po/en_GB.po

2016-09-17 08:25:34 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't advance caret position in blank cell during structural navigation

M	src/orca/scripts/web/script_utilities.py

2016-09-16 08:31:42 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2016-09-16 08:27:26 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for 3.21.92 release

M	NEWS
M	README
M	configure.ac

2016-09-16 11:30:14 +0000 Tom Tryfonidis <tomtryf@gnome.org>

        Updated Greek translation (cherry picked from commit 689b886470b3e37a9d4dd1bbecd121340f5650cb)

M	po/el.po

2016-09-16 11:35:18 +0200 Hannie Dumoleyn <hannie@ubuntu-nl.org>

        Updated Dutch translation Master 3.22

M	po/nl.po

2016-09-14 20:04:03 +0200 Kenneth Nielsen <k.nielsen81@gmail.com>

        Updated Danish translation

M	po/da.po

2016-09-13 12:04:45 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Adjust previous sanity check to not rely upon short-circuiting

M	src/orca/script_utilities.py

2016-09-13 11:59:36 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't assume we have a valid parent when searching for previous/next object

M	src/orca/script_utilities.py

2016-09-12 14:42:06 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add explicit do-not-descend-for-caret check for ROLE_IMAGE

M	src/orca/scripts/web/script_utilities.py

2016-09-12 16:24:57 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Updated Swedish translation

M	po/sv.po

2016-09-12 11:39:04 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix bug in presenting chatroom name when app is not active

M	src/orca/chat.py

2016-09-11 08:34:04 +0000 Baurzhan Muftakhidinov <baurthefirst@gmail.com>

        Added Kazakh translation (cherry picked from commit f33e465e3767b5078c1ccf76bc3705830cfde4ca)

M	po/LINGUAS
A	po/kk.po

2016-09-11 09:38:31 +0300 Rūdolfs Mazurs <rudolfsm@src.gnome.org>

        Update Latvian translation

M	po/lv.po

2016-09-10 18:37:28 +0200 Piotr Drąg <piotrdrag@gmail.com>

        Updated Polish translation

M	po/pl.po

2016-09-08 09:57:34 +0000 Attila Hammer <hammera@pickup.hu>

        Updated Hungarian translation

M	po/hu.po

2016-09-07 19:40:44 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add customization to present chat room name after incoming message

M	src/orca/chat.py
M	src/orca/settings.py

2016-09-07 17:04:30 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Improve filtering out of non-showing menu items in flat review

M	src/orca/script_utilities.py
M	test/keystrokes/firefox/ui_role_menu_flat_review.py

2016-09-07 12:07:00 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Never skip queued object:text-changed:insert from terminal objects

M	src/orca/scripts/terminal/script.py

2016-09-06 18:38:00 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Disable a sad hack we were using for Pidgin

M	src/orca/scripts/apps/pidgin/script.py
M	src/orca/settings.py

2016-09-06 14:40:49 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix a traceback

M	src/orca/scripts/web/script.py

2016-09-06 14:37:33 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Create a custom localized role for menu buttons

M	src/orca/generator.py
M	src/orca/object_properties.py
M	src/orca/script_utilities.py

2016-09-06 09:48:58 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix traceback

M	src/orca/chat.py

2016-09-05 16:57:49 +0000 Peter Vágner <pvdeejay@gmail.com>

        Updated Slovak translation

M	po/sk.po

2016-09-05 07:25:36 +0200 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	help/cs/cs.po

2016-09-04 22:05:30 +0200 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	po/cs.po

2016-09-04 17:51:23 +0000 Muhammet Kara <muhammetk@gmail.com>

        Updated Turkish translation (cherry picked from commit ec4e32b5372fc48e21fe9bb48223d09793869e4b)

M	po/tr.po

2016-09-04 12:09:54 +0300 Aurimas Černius <aurisc4@gmail.com>

        Updated Lithuanian translation

M	po/lt.po

2016-09-04 04:19:26 +0000 Attila Hammer <hammera@pickup.hu>

        Updated Hungarian translation

M	po/hu.po

2016-09-03 17:25:21 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Updated tests

M	test/keystrokes/gnome-terminal/ls.py
M	test/keystrokes/gnome-terminal/ls_flat_review.py
M	test/keystrokes/gtk3-demo/role_table_flat_review.py

2016-09-03 16:37:53 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Take possible margins/padding into account when looking for descendant at point

M	src/orca/script_utilities.py
M	src/orca/scripts/toolkits/Gecko/script_utilities.py

2016-09-03 17:54:55 +0000 Attila Hammer <hammera@pickup.hu>

        Updated Hungarian translation

M	po/hu.po

2016-09-03 12:33:57 +0000 Fabio Tomat <f.t.public@gmail.com>

        Added Friulian translation

M	po/LINGUAS
A	po/fur.po

2016-09-03 00:09:59 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Do not treat collapsed table rows as leaf nodes if they have children

M	src/orca/script_utilities.py

2016-09-02 23:03:29 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add more debugging output

M	src/orca/script_utilities.py

2016-09-02 21:56:17 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Make context menus flat-reviewable

M	src/orca/flat_review.py
M	src/orca/script_utilities.py
A	test/keystrokes/firefox/ui_context_menu_flat_review.py
A	test/keystrokes/gtk-demo/context_menu_flat_review.py
M	test/keystrokes/gtk-demo/role_menu_flat_review.py
A	test/keystrokes/gtk3-demo/context_menu_flat_review.py
A	test/keystrokes/oowriter/flat_review_context_menu.py
M	test/keystrokes/oowriter/flat_review_platform_menubar.py

2016-09-02 17:38:04 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add some additional debugging

M	src/orca/script_utilities.py

2016-09-02 10:43:19 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2016-09-02 10:40:36 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for v3.21.91 release

M	NEWS
M	README
M	configure.ac

2016-09-01 14:59:04 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        More work on Flat Review

M	src/orca/flat_review.py
M	src/orca/script.py
M	src/orca/script_utilities.py
M	src/orca/scripts/default.py
M	src/orca/scripts/toolkits/GAIL/script_utilities.py
M	src/orca/scripts/toolkits/Gecko/script_utilities.py
A	test/keystrokes/firefox/ui_role_menu_flat_review.py
M	test/keystrokes/gnome-terminal/man_page_flat_review.py
M	test/keystrokes/gtk-demo/role_menu_flat_review.py
M	test/keystrokes/gtk-demo/role_text_multiline_flat_review.py
M	test/keystrokes/gtk3-demo/role_dialog_flat_review.py
A	test/keystrokes/gtk3-demo/role_menu_flat_review.py
M	test/keystrokes/gtk3-demo/role_table_flat_review.py
M	test/keystrokes/gtk3-demo/role_text_multiline_flat_review.py
M	test/keystrokes/gtk3-demo/role_toggle_button_flat_review.py
A	test/keystrokes/oowriter/ui_role_menu_flat_review.py

2016-08-31 16:11:23 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        More work on flat review: Improve efficiency getting showing table cells

M	src/orca/flat_review.py
M	src/orca/script_utilities.py
M	src/orca/scripts/toolkits/Gecko/script_utilities.py

2016-08-31 21:09:31 +0200 Мирослав Николић <miroslavnikolic@rocketmail.com>

        Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

2016-08-31 19:05:15 +0000 Tiago Santos <tiagofsantos81@sapo.pt>

        Updated Portuguese translation

M	po/pt.po

2016-08-31 12:33:31 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add sanity check to Mouse Review to ensure we have the expected version of Gtk

M	src/orca/mouse_review.py

2016-08-31 11:27:35 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Use intersection() rather than the now-redundant clip()

M	src/orca/flat_review.py

2016-08-30 23:32:32 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        More work on flat review

M	src/orca/flat_review.py
M	test/keystrokes/firefox/flat_review_text_by_word_and_char.py
M	test/keystrokes/gnome-clocks/stop_watch_flat_review.py
M	test/keystrokes/gnome-clocks/timer_flat_review.py
M	test/keystrokes/gtk-demo/role_menu_flat_review.py
M	test/keystrokes/gtk-demo/role_text_multiline_flat_review.py
M	test/keystrokes/gtk3-demo/role_dialog_flat_review.py
M	test/keystrokes/gtk3-demo/role_table_flat_review.py
M	test/keystrokes/gtk3-demo/role_text_multiline_flat_review.py
M	test/keystrokes/gtk3-demo/role_toggle_button_flat_review.py
M	test/keystrokes/oowriter/flat_review_word.py

2016-08-30 20:14:01 +0000 Mario Blättermann <mario.blaettermann@gmail.com>

        Updated German translation

M	po/de.po

2016-08-30 13:34:14 +0200 Piotr Drąg <piotrdrag@gmail.com>

        Updated Polish translation

M	po/pl.po

2016-08-30 10:12:34 +0000 Rafael Fontenelle <rafaelff@gnome.org>

        Updated Brazilian Portuguese translation

M	po/pt_BR.po

2016-08-30 08:47:57 +0200 Claude Paroz <claude@2xlibre.net>

        Updated French translation

M	po/fr.po

2016-08-29 22:51:26 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix a traceback

M	src/orca/structural_navigation.py

2016-08-29 19:58:15 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Typo fix

M	src/orca/messages.py

2016-08-29 19:46:31 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix issues in Mouse Review

M	src/orca/flat_review.py
M	src/orca/messages.py
M	src/orca/mouse_review.py
M	src/orca/orca.py
M	src/orca/script_utilities.py
M	src/orca/scripts/apps/soffice/script.py
M	src/orca/scripts/default.py
M	src/orca/scripts/toolkits/Gecko/script_utilities.py
M	src/orca/scripts/toolkits/gtk/script_utilities.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/settings.py

2016-08-29 08:42:25 +0000 Dušan Kazik <prescott66@gmail.com>

        Updated Slovak translation

M	po/sk.po

2016-08-28 21:11:21 +0200 Мирослав Николић <miroslavnikolic@rocketmail.com>

        Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

2016-08-26 22:33:21 +0200 Matej Urbančič <mateju@svn.gnome.org>

        Updated Slovenian translation

M	po/sl.po

2016-08-26 03:50:11 +0200 Ask Hjorth Larsen <asklarsen@gmail.com>

        Updated Danish translation

M	po/da.po

2016-08-24 23:18:31 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        More work on the new terminal script

M	src/orca/scripts/terminal/script.py
M	src/orca/scripts/terminal/script_utilities.py
M	test/keystrokes/gnome-terminal/command_not_found.py
M	test/keystrokes/gnome-terminal/exit_shell.py
M	test/keystrokes/gnome-terminal/ls_flat_review.py
M	test/keystrokes/gnome-terminal/man_page_flat_review.py
M	test/keystrokes/gnome-terminal/pasting.py
A	test/keystrokes/gnome-terminal/reverse_i_search.py
M	test/keystrokes/gnome-terminal/tab_completion.py

2016-08-24 17:06:47 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Filter out a spurious, unwanted text-delete event from VTE

M	src/orca/scripts/terminal/script.py
A	test/keystrokes/gnome-terminal/exit_shell.py
M	test/keystrokes/gnome-terminal/ls.py
M	test/keystrokes/gnome-terminal/man_page.py
M	test/keystrokes/gnome-terminal/man_page_flat_review.py

2016-08-24 13:33:28 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't treat inserted strings <= 1 char as a terminal autotext event

M	src/orca/scripts/terminal/script_utilities.py

2016-08-24 13:03:46 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Be sure we have an adjusted terminal-inserted string before replacement

M	src/orca/scripts/terminal/script.py
M	src/orca/scripts/terminal/script_utilities.py

2016-08-24 10:10:18 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	help/es/es.po

2016-08-24 02:52:17 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Begin migration to generators for creating flat review zones

M	src/orca/braille_generator.py
M	src/orca/flat_review.py
M	src/orca/generator.py
M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/speech_generator.py
M	test/keystrokes/gnome-clocks/timer_flat_review.py
M	test/keystrokes/gnome-terminal/man_page_flat_review.py
M	test/keystrokes/gtk-demo/role_icon_flat_review.py
M	test/keystrokes/gtk3-demo/role_dialog_flat_review.py
M	test/keystrokes/gtk3-demo/role_icon_flat_review.py

2016-08-23 21:51:35 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't treat terminal insertion as command result if terminal isn't locusOfFocus

M	src/orca/scripts/terminal/script_utilities.py
M	test/harness/utils.py
A	test/keystrokes/gnome-terminal/background_updates.py
M	test/keystrokes/gnome-terminal/pasting.py
M	test/keystrokes/gnome-terminal/tab_completion.py

2016-08-23 20:11:15 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        More work on flat review performance and accuracy

M	src/orca/flat_review.py
M	src/orca/script_utilities.py
M	test/keystrokes/gnome-clocks/stop_watch_flat_review.py
M	test/keystrokes/gnome-terminal/ls_flat_review.py
M	test/keystrokes/gnome-terminal/man_page_flat_review.py
M	test/keystrokes/gtk-demo/role_icon_flat_review.py
M	test/keystrokes/gtk-demo/role_menu_flat_review.py
M	test/keystrokes/gtk-demo/role_text_multiline_flat_review.py
M	test/keystrokes/gtk3-demo/role_dialog_flat_review.py
M	test/keystrokes/gtk3-demo/role_icon_flat_review.py
M	test/keystrokes/gtk3-demo/role_table_flat_review.py
M	test/keystrokes/gtk3-demo/role_text_multiline_flat_review.py

2016-08-23 16:10:08 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Present terminal paste events like we do paste events from other applications

M	src/orca/script_utilities.py
M	src/orca/scripts/terminal/script_utilities.py
A	test/keystrokes/gnome-terminal/pasting.py

2016-08-23 13:24:31 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        More work on terminal support: Tweak heuristic for auto-inserted text

M	src/orca/script_utilities.py
M	src/orca/scripts/terminal/script.py
M	src/orca/scripts/terminal/script_utilities.py
M	test/harness/utils.py
A	test/keystrokes/gnome-terminal/command_not_found.py
M	test/keystrokes/gnome-terminal/multiple_tabs.py
A	test/keystrokes/gnome-terminal/tab_completion.py

2016-08-23 04:39:57 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        New and updated tests

M	test/harness/runone.sh
M	test/keystrokes/firefox/aria_alert.py
M	test/keystrokes/firefox/aria_button_dojo.py
M	test/keystrokes/firefox/aria_combobox_dojo.py
M	test/keystrokes/firefox/aria_landmarks.py
M	test/keystrokes/firefox/aria_radiobutton.py
M	test/keystrokes/firefox/aria_slider_tpg.params
M	test/keystrokes/firefox/aria_slider_tpg.py
M	test/keystrokes/firefox/aria_sliders.py
M	test/keystrokes/firefox/aria_tabpanel2.py
M	test/keystrokes/firefox/aria_treegrid.py
M	test/keystrokes/firefox/flat_review_combo_box.py
M	test/keystrokes/firefox/flat_review_text_by_word_and_char.py
M	test/keystrokes/firefox/label_inference_entries.py
M	test/keystrokes/firefox/line_nav_bug_546815.py
M	test/keystrokes/firefox/line_nav_button_in_link_position_relative_on_focus.py
M	test/keystrokes/firefox/line_nav_inline_block_spans.py
M	test/keystrokes/firefox/line_nav_nested_tables.py
M	test/keystrokes/firefox/line_nav_role_application.py
M	test/keystrokes/firefox/line_nav_sun_java.py
M	test/keystrokes/firefox/line_nav_wiki_down.py
M	test/keystrokes/firefox/object_nav_links_in_text.py
M	test/keystrokes/firefox/object_nav_links_on_line.py
M	test/keystrokes/firefox/ui_role_accel_label.py
M	test/keystrokes/firefox/ui_role_check_menu_item.py
M	test/keystrokes/firefox/ui_role_menu_bar.py
M	test/keystrokes/firefox/ui_role_radio_menu_item.py
M	test/keystrokes/firefox/ui_title_and_status_bar.py
A	test/keystrokes/gnome-clocks/stop_watch_flat_review.py
A	test/keystrokes/gnome-clocks/timer_flat_review.py
A	test/keystrokes/gnome-terminal/ls.py
A	test/keystrokes/gnome-terminal/ls_flat_review.py
A	test/keystrokes/gnome-terminal/man_page.py
A	test/keystrokes/gnome-terminal/man_page_flat_review.py
A	test/keystrokes/gnome-terminal/multiple_tabs.py
A	test/keystrokes/gnome-terminal/nano.py
A	test/keystrokes/gnome-terminal/nano_flat_review.py
M	test/keystrokes/gtk-demo/learn_mode.py
M	test/keystrokes/gtk-demo/role_check_menu_item.py
M	test/keystrokes/gtk-demo/role_column_header.py
A	test/keystrokes/gtk-demo/role_icon_flat_review.py
M	test/keystrokes/gtk-demo/role_label.py
A	test/keystrokes/gtk-demo/role_menu_flat_review.py
M	test/keystrokes/gtk-demo/role_page_tab.py
M	test/keystrokes/gtk-demo/role_radio_button.py
M	test/keystrokes/gtk-demo/role_spin_button.py
M	test/keystrokes/gtk-demo/role_split_pane.py
M	test/keystrokes/gtk-demo/role_status_bar.py
M	test/keystrokes/gtk-demo/role_table.py
M	test/keystrokes/gtk-demo/role_text_multiline.py
R098	test/keystrokes/gtk-demo/role_text_multiline_flatreview.py	test/keystrokes/gtk-demo/role_text_multiline_flat_review.py
M	test/keystrokes/gtk-demo/role_text_multiline_navigation.py
M	test/keystrokes/gtk-demo/role_text_multiline_navigation2.py
M	test/keystrokes/gtk-demo/role_window.py
M	test/keystrokes/gtk-demo/spoken_indentation.py
M	test/keystrokes/gtk3-demo/role_alert.py
M	test/keystrokes/gtk3-demo/role_color_chooser.py
M	test/keystrokes/gtk3-demo/role_column_header.py
M	test/keystrokes/gtk3-demo/role_combo_box.py
M	test/keystrokes/gtk3-demo/role_dialog.py
A	test/keystrokes/gtk3-demo/role_dialog_flat_review.py
A	test/keystrokes/gtk3-demo/role_icon_flat_review.py
M	test/keystrokes/gtk3-demo/role_info_bar.py
D	test/keystrokes/gtk3-demo/role_label.py
M	test/keystrokes/gtk3-demo/role_spin_button.py
M	test/keystrokes/gtk3-demo/role_split_pane.py
M	test/keystrokes/gtk3-demo/role_status_bar.py
A	test/keystrokes/gtk3-demo/role_table_flat_review.py
M	test/keystrokes/gtk3-demo/role_text_multiline.py
R093	test/keystrokes/gtk3-demo/role_text_multiline_flatreview.py	test/keystrokes/gtk3-demo/role_text_multiline_flat_review.py
M	test/keystrokes/gtk3-demo/role_text_multiline_navigation.py
M	test/keystrokes/gtk3-demo/role_text_multiline_navigation2.py
M	test/keystrokes/gtk3-demo/role_text_multiline_selection.py
A	test/keystrokes/gtk3-demo/role_toggle_button_flat_review.py
M	test/keystrokes/gtk3-demo/role_toolbar.py
M	test/keystrokes/gtk3-demo/role_tooltip.py
M	test/keystrokes/gtk3-demo/spoken_indentation.py
M	test/keystrokes/gtk3-demo/spoken_indentation.settings
M	test/keystrokes/oocalc/coordinate_announcement_off.py
M	test/keystrokes/oocalc/coordinate_announcement_on.py
M	test/keystrokes/oocalc/document_enter_text.py
M	test/keystrokes/oocalc/document_nav_dynamic_headers.py
M	test/keystrokes/oocalc/document_text_attributes.py
M	test/keystrokes/oocalc/manage_names_combobox.py
M	test/keystrokes/oocalc/messages_dynamic_headers.py
M	test/keystrokes/oocalc/ui_role_check_menu_item.py
M	test/keystrokes/oowriter/document_nav_cell.py
M	test/keystrokes/oowriter/document_nav_line.py
M	test/keystrokes/oowriter/document_nav_line_bullets.py
M	test/keystrokes/oowriter/document_nav_paragraph.py
M	test/keystrokes/oowriter/document_nav_word.py
M	test/keystrokes/oowriter/document_new.py
M	test/keystrokes/oowriter/flat_review_line.py
M	test/keystrokes/oowriter/flat_review_line_columns.py
M	test/keystrokes/oowriter/flat_review_platform_menubar.py
M	test/keystrokes/oowriter/flat_review_word.py
M	test/keystrokes/oowriter/messages_table.py
M	test/keystrokes/oowriter/say_all.py
M	test/keystrokes/oowriter/selection_word.py
M	test/keystrokes/oowriter/spellcheck.py
M	test/keystrokes/oowriter/spoken_indentation.py
M	test/keystrokes/oowriter/structural_nav_table.py
M	test/keystrokes/oowriter/structural_nav_table.settings
M	test/keystrokes/oowriter/table_cell_row.py
M	test/keystrokes/oowriter/text_attributes.py
M	test/keystrokes/oowriter/ui_navigator.py
M	test/keystrokes/oowriter/ui_role_combo_box.py
M	test/keystrokes/oowriter/ui_role_label.py
M	test/keystrokes/oowriter/ui_role_list_item.py
M	test/keystrokes/oowriter/ui_role_menu.py
M	test/keystrokes/oowriter/ui_role_toolbar.py
M	test/keystrokes/oowriter/where_am_i_document.py

2016-08-23 04:36:36 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Create a general (non-app-specific) terminal script

M	configure.ac
M	src/orca/generator.py
M	src/orca/input_event.py
M	src/orca/script_manager.py
M	src/orca/script_utilities.py
M	src/orca/scripts/Makefile.am
M	src/orca/scripts/apps/Makefile.am
M	src/orca/scripts/apps/__init__.py
D	src/orca/scripts/apps/gnome-terminal/Makefile.am
D	src/orca/scripts/apps/gnome-terminal/script.py
M	src/orca/scripts/default.py
A	src/orca/scripts/terminal/Makefile.am
R078	src/orca/scripts/apps/gnome-terminal/__init__.py	src/orca/scripts/terminal/__init__.py
A	src/orca/scripts/terminal/braille_generator.py
A	src/orca/scripts/terminal/script.py
A	src/orca/scripts/terminal/script_utilities.py
A	src/orca/scripts/terminal/speech_generator.py
M	src/orca/scripts/toolkits/gtk/script.py

2016-08-22 15:18:04 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Attempt to filter out terminal pager text-change noise

M	src/orca/script_utilities.py
M	src/orca/scripts/default.py

2016-08-22 14:35:20 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Present terminal pager text insertions when they result from a printable key

M	src/orca/script_utilities.py

2016-08-22 14:47:53 +0200 Piotr Drąg <piotrdrag@gmail.com>

        Updated Polish translation

M	po/pl.po

2016-08-21 20:24:35 +0000 Mario Blättermann <mario.blaettermann@gmail.com>

        Updated German translation

M	po/de.po

2016-08-19 20:26:43 +0000 Balázs Úr <urbalazs@gmail.com>

        Updated Hungarian translation

M	help/hu/hu.po

2016-08-18 20:38:45 +0000 Tiago Santos <tiagofsantos81@sapo.pt>

        Updated Portuguese translation

M	po/pt.po

2016-08-16 18:59:56 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix issue finding initial flat review location in Thunderbird

M	src/orca/flat_review.py

2016-08-16 14:34:27 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure braille viewport[0] is an int; not a float

M	src/orca/braille.py

2016-08-16 14:06:09 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure we use the system voice for rolename info in WebKitGtk SayAll

M	src/orca/scripts/toolkits/WebKitGtk/script.py

2016-08-16 12:30:19 +0200 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2016-08-15 14:43:03 +0200 David King <amigadave@amigadave.com>

        Update British English translation

M	po/en_GB.po

2016-08-14 21:47:10 +0000 Enrico Nicoletto <liverig@gmail.com>

        Updated Brazilian Portuguese translation

M	po/pt_BR.po

2016-08-14 10:12:58 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix bookmark saving regression

M	src/orca/bookmarks.py

2016-08-13 18:16:32 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around AT-SPI2 and ATK having different spacing for the statusbar role name

M	src/orca/generator.py

2016-08-13 18:14:27 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix a traceback

M	src/orca/braille_generator.py

2016-08-14 00:10:29 +0200 Marek Cernocky <marek_cernocky@conel.cz>

        Updated Czech translation

M	po/cs.po

2016-08-13 10:50:49 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Updated Swedish translation

M	help/sv/sv.po

2016-08-12 14:29:25 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        More work on custom localized role names:

M	src/orca/braille_generator.py
M	src/orca/flat_review.py
M	src/orca/generator.py
M	src/orca/object_properties.py
M	src/orca/scripts/toolkits/WebKitGtk/speech_generator.py
M	src/orca/scripts/web/braille_generator.py
M	src/orca/scripts/web/speech_generator.py
M	src/orca/speech_generator.py
M	src/orca/structural_navigation.py

2016-08-11 20:04:10 +0200 Jordi Mas <jmas@softcatala.org>

        Update Catalan translation

M	po/ca.po

2016-08-09 19:37:34 +0200 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2016-08-09 11:59:08 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        More specific debugging info

M	src/orca/chat.py

2016-08-09 11:48:41 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        More aggressively verify if a message is from a focused chat

M	src/orca/chat.py

2016-08-06 16:09:57 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Localize and use ARIA landmark role names

M	src/orca/braille_generator.py
M	src/orca/object_properties.py
M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/speech_generator.py
M	src/orca/structural_navigation.py

2016-08-06 18:44:06 +0000 Neriman Kara <nerimankaraa@gmail.com>

        Updated Turkish translation

M	po/tr.po

2016-08-06 13:45:29 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add a "sticky" browse mode and keybinding

M	help/C/commands_reading.page
M	src/orca/cmdnames.py
M	src/orca/messages.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2016-08-06 17:29:55 +0000 Muhammet Kara <muhammetk@gmail.com>

        Updated Turkish translation

M	po/tr.po

2016-08-06 13:14:27 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Do not descend ROLE_EMBEDDED objects for the caret

M	src/orca/scripts/web/script_utilities.py

2016-08-06 12:59:34 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Treat menu and toolbar descendants as focus mode widgets

M	src/orca/scripts/web/script_utilities.py

2016-08-06 12:38:40 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't automatically update locusOfFocus to alerts; just present them

M	src/orca/scripts/web/script.py

2016-08-06 12:18:52 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix some nits carried over from LibreOffice table cleanup

M	src/orca/script_utilities.py

2016-08-06 12:07:53 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Only generate full table row when in focus mode

M	src/orca/scripts/web/braille_generator.py
M	src/orca/scripts/web/speech_generator.py

2016-08-06 10:52:30 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Improve presentation of Roundcube Mail's list of messages

M	src/orca/scripts/web/braille_generator.py
M	src/orca/scripts/web/speech_generator.py

2016-08-05 19:37:15 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix whereAmI presentation of Gtk+ 3.20 combo boxes

M	src/orca/scripts/toolkits/gtk/script.py

2016-08-05 21:08:03 +0000 Christian Kirbach <Christian.Kirbach@gmail.com>

        Updated German translation (cherry picked from commit c7dcacf50b104a8c738518f7a86f40bbb8e55f90)

M	help/de/de.po

2016-08-03 21:33:04 +0300 Aurimas Černius <aurisc4@gmail.com>

        Updated Lithuanian translation

M	po/lt.po

2016-08-02 19:54:39 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Begin cleaning up LibreOffice's table-related support

M	src/orca/script_utilities.py
M	src/orca/scripts/apps/soffice/Makefile.am
M	src/orca/scripts/apps/soffice/braille_generator.py
M	src/orca/scripts/apps/soffice/script.py
M	src/orca/scripts/apps/soffice/script_utilities.py
M	src/orca/scripts/apps/soffice/speech_generator.py
D	src/orca/scripts/apps/soffice/structural_navigation.py
M	src/orca/structural_navigation.py

2016-08-02 21:57:46 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Updated Swedish translation

M	po/sv.po

2016-08-02 16:54:16 +0200 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2016-08-02 09:46:01 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't treat present "readonly" state for paragraphs in LibreOffice documents

M	src/orca/scripts/apps/soffice/script_utilities.py

2016-07-28 01:45:33 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add handling for GtkListBox items used by LibreOffice

M	src/orca/scripts/apps/soffice/script_utilities.py

2016-07-28 00:53:40 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around various and sundry cases of brokenness from LibreOffice

M	src/orca/generator.py
M	src/orca/script_utilities.py
M	src/orca/scripts/apps/soffice/braille_generator.py
M	src/orca/scripts/apps/soffice/formatting.py
M	src/orca/scripts/apps/soffice/script.py
M	src/orca/scripts/apps/soffice/script_utilities.py
M	src/orca/scripts/apps/soffice/speech_generator.py
M	src/orca/where_am_I.py

2016-07-28 00:43:13 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix bug getting phonetic equivalent for capital letters

M	src/orca/scripts/default.py

2016-07-28 00:33:54 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Use inSameObject() to compare windows in the object:text-caret-moved callback

M	src/orca/scripts/default.py

2016-07-28 00:25:44 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix typo

M	src/orca/scripts/apps/Thunderbird/script.py
M	src/orca/scripts/toolkits/WebKitGtk/script.py

2016-07-28 00:21:05 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Use document script utilities rather than explicit role checks

M	src/orca/bookmarks.py
M	src/orca/scripts/apps/Instantbird/chat.py
M	src/orca/scripts/apps/Thunderbird/script.py
M	src/orca/scripts/apps/evolution/script_utilities.py
M	src/orca/scripts/apps/gnome-documents/script.py
M	src/orca/scripts/apps/gnome-documents/script_utilities.py
M	src/orca/scripts/apps/soffice/script_utilities.py
M	src/orca/scripts/apps/soffice/speech_generator.py
M	src/orca/scripts/toolkits/WebKitGtk/script.py

2016-07-28 00:08:42 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Include tool bar when presenting context

M	src/orca/formatting.py

2016-07-27 23:59:31 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure items below the menu bar are not on the same review line as the menus

M	src/orca/flat_review.py

2016-07-25 01:57:48 +0200 Piotr Drąg <piotrdrag@gmail.com>

        Add Language headers to po files

M	po/ar.po
M	po/ast.po
M	po/bn.po
M	po/bn_IN.po
M	po/ca@valencia.po
M	po/cy.po
M	po/dz.po
M	po/en_CA.po
M	po/es.po
M	po/ga.po
M	po/gu.po
M	po/he.po
M	po/kn.po
M	po/ko.po
M	po/mai.po
M	po/mk.po
M	po/mr.po
M	po/ms.po
M	po/nb.po
M	po/nn.po
M	po/oc.po
M	po/or.po
M	po/rw.po
M	po/si.po
M	po/sl.po
M	po/sq.po
M	po/sr@latin.po
M	po/ta.po
M	po/th.po
M	po/ug.po
M	po/vi.po
M	po/zh_HK.po

2016-07-22 12:24:49 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add another voice sanity check

M	src/orca/scripts/default.py

2016-07-20 15:12:10 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Remove .desktop file

M	Makefile.am
D	orca.desktop.in
M	po/POTFILES.in

2016-07-20 12:32:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Have speechgenerator always return a fully-populated voice definition

M	src/orca/speech_generator.py

2016-07-19 14:44:30 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add another voice sanity check

M	src/orca/acss.py

2016-07-19 02:05:32 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Get the voice for key events from speechgenerator

M	src/orca/scripts/default.py
M	src/orca/speech.py
M	src/orca/speech_generator.py
M	src/orca/speechdispatcherfactory.py
M	src/orca/speechserver.py

2016-07-19 01:25:35 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add another voice sanity check

M	src/orca/speech.py

2016-07-18 23:05:53 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Sanity check the value of the voice's family and fix it if bogus

M	src/orca/speech.py

2016-07-18 20:10:00 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Clear the structural navigation cache in response to non-editable text changes

M	src/orca/scripts/web/script.py

2016-07-18 18:16:19 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Improve reliability of profile-based synthesis switching

M	src/orca/chat.py
M	src/orca/script.py
M	src/orca/scripts/apps/notify-osd/script.py
M	src/orca/scripts/apps/soffice/spellcheck.py
M	src/orca/scripts/default.py
M	src/orca/scripts/toolkits/WebKitGtk/script.py
M	src/orca/speech.py
M	src/orca/speech_generator.py
M	src/orca/speechdispatcherfactory.py
M	src/orca/spellcheck.py

2016-07-18 16:49:16 +0200 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2016-07-13 16:58:35 +0000 Tiago Santos <tiagofsantos81@sapo.pt>

        Updated Portuguese translation

M	po/pt.po

2016-07-12 12:01:51 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't present name and summary for page which is no longer showing or visible

M	src/orca/script_utilities.py
M	src/orca/scripts/web/script.py

2016-07-11 22:16:50 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Attempt to hack around SeaMonkey's broken events for HTML input popups

M	src/orca/script_utilities.py
M	src/orca/scripts/apps/SeaMonkey/script.py

2016-07-11 19:11:37 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Improve presentation and handling of editable ARIA combo boxes

M	src/orca/object_properties.py
M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py
M	src/orca/speech_generator.py
M	src/orca/structural_navigation.py

2016-07-11 08:12:43 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Do not supress presentation of locking keys in password fields

M	src/orca/scripts/default.py

2016-06-30 02:05:10 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Make the progressbar update intervals independent

M	src/orca/braille_generator.py
M	src/orca/generator.py
M	src/orca/script_utilities.py
M	src/orca/scripts/default.py
M	src/orca/settings.py
M	src/orca/sound_generator.py
M	src/orca/speech_generator.py

2016-06-28 20:16:21 +0000 Andika Triwidada <atriwidada@gnome.org>

        Updated Indonesian translation (cherry picked from commit 38c5afb5b4014033556c368732905d2b2ebb1252)

M	po/id.po

2016-06-20 20:48:09 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2016-06-20 20:45:14 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for the 3.21.3 release

M	NEWS
M	README
M	configure.ac

2016-06-13 23:45:25 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix a couple of instances of Orca getting stuck during caret navigation

M	src/orca/scripts/web/script_utilities.py
A	test/html/empty-link-and-line-break.html
A	test/html/fraction.svg
A	test/html/mathml-has-display-none.html
A	test/keystrokes/firefox/line_nav_empty_link_with_line_break.params
A	test/keystrokes/firefox/line_nav_empty_link_with_line_break.py
A	test/keystrokes/firefox/math_line_nav_punctuation.params
A	test/keystrokes/firefox/math_line_nav_punctuation.py

2016-06-10 01:04:08 -0400 Jeremy Bicha <jbicha@linux.com>

        desktop: Don't show in Unity either

M	orca.desktop.in

2016-06-09 08:15:06 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore object:state-changed:sensitive events for menu items

M	src/orca/event_manager.py

2016-06-09 07:50:55 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Handle another case of objects going defunct on us

M	src/orca/script_utilities.py

2016-06-07 07:13:55 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Make the output of 'orca -l' more verbose to identify non-responsive apps

M	src/orca/orca_bin.py.in

2016-06-07 05:33:26 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure a script only registers one signal handler for clipboard changes

M	src/orca/script_utilities.py
M	src/orca/scripts/default.py

2016-06-06 14:57:48 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ensure synthesizer is changed when switching profiles via command

M	src/orca/scripts/default.py

2016-06-06 13:24:54 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix regression introduced by 4934a5bd58

M	src/orca/speechdispatcherfactory.py

2016-06-06 02:38:52 +0200 Mario Lang <mlang@delysid.org>

        Simplify some verbose conditional expressions.

M	src/orca/flat_review.py
M	src/orca/liveregions.py
M	src/orca/scripts/toolkits/clutter/script.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/speechdispatcherfactory.py

2016-06-06 02:23:11 +0200 Mario Lang <mlang@delysid.org>

        Remove superfluous calls to list().

M	src/orca/braille_generator.py
M	src/orca/scripts/default.py
M	src/orca/speech_generator.py

2016-06-06 01:52:54 +0200 Mario Lang <mlang@delysid.org>

        Replace "".join(["\x00"] * n) with much faster "\x00" * n.

M	src/orca/braille.py

2016-06-06 00:23:40 +0200 Mario Lang <mlang@delysid.org>

        Consistently use "is" and "is not" to compare against singleton None.

M	src/orca/event_manager.py
M	src/orca/input_event.py
M	src/orca/label_inference.py
M	src/orca/orca_bin.py.in
M	src/orca/orca_gui_prefs.py
M	src/orca/pronunciation_dict.py
M	src/orca/script.py
M	src/orca/script_manager.py
M	src/orca/script_utilities.py
M	src/orca/scripts/apps/Thunderbird/script.py
M	src/orca/scripts/apps/evolution/braille_generator.py
M	src/orca/scripts/apps/evolution/script.py
M	src/orca/scripts/apps/evolution/speech_generator.py
M	src/orca/scripts/apps/soffice/script_utilities.py
M	src/orca/scripts/default.py
M	src/orca/scripts/toolkits/WebKitGtk/script.py
M	src/orca/scripts/toolkits/WebKitGtk/script_utilities.py
M	src/orca/scripts/web/braille_generator.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/settings_manager.py

2016-06-04 18:17:43 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Remove old and broken hack for a Gecko bug which was fixed long ago

M	src/orca/flat_review.py

2016-06-04 16:59:51 -0400 Mario Lang <mlang@delysid.org>

        Use enumerate() rather than range() in _setCapsLockAsOrcaModifier()

M	src/orca/orca.py

2016-06-04 22:36:41 +0200 Mario Lang <mlang@delysid.org>

        Convert some remaining plain uses of static/classmethod() to decorator syntax.

M	src/orca/speechdispatcherfactory.py
M	src/orca/speechserver.py

2016-06-04 11:28:29 -0400 Mario Lang <mlang@delysid.org>

        Fix typo in docs (pytaspi -> pyatspi).

M	docs/doc-set/internals.html
M	docs/doc-set/script_guide.sgml

2016-06-04 11:25:46 -0400 Mario Lang <mlang@delysid.org>

        More efficient iteration.

M	src/orca/acss.py
M	src/orca/backends/json_backend.py
M	src/orca/event_manager.py
M	src/orca/formatting.py
M	src/orca/generator.py
M	src/orca/liveregions.py
M	src/orca/orca_gui_prefs.py
M	src/orca/script.py
M	src/orca/script_manager.py
M	src/orca/script_utilities.py
M	src/orca/scripts/default.py
M	src/orca/scripts/web/bookmarks.py
M	src/orca/settings_manager.py
M	src/orca/speechdispatcherfactory.py
M	src/orca/structural_navigation.py
M	src/orca/text_attribute_names.py

2016-06-03 15:51:23 +0100 Emmanuele Bassi <ebassi@gnome.org>

        Support non-srcdir builds in autogen.sh

M	autogen.sh

2016-06-01 14:20:43 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't try to catch SIGSEGV; use faulthandler to dump output from crash

M	src/orca/orca.py

2016-06-01 13:46:47 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Revert "Add customization to check for AT-SPI2 registry crash and shutdown if detected"

M	src/orca/orca.py
M	src/orca/orca_state.py
M	src/orca/settings.py

2016-05-30 23:49:11 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add customization to check for AT-SPI2 registry crash and shutdown if detected

M	src/orca/orca.py
M	src/orca/orca_state.py
M	src/orca/settings.py

2016-05-29 18:52:10 +0000 Cédric Valmary <cvalmary@yahoo.fr>

        Updated Occitan translation

M	po/oc.po

2016-05-26 23:10:43 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Filter out more duplicate input events

M	src/orca/input_event.py

2016-05-26 22:32:57 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add and use option to explicitly set document frame when setting caret position

M	src/orca/orca_gui_navlist.py
M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py

2016-05-14 15:09:50 +0300 Piotr Drąg <piotrdrag@gmail.com>

        Updated Polish translation

M	po/pl.po

2016-05-12 12:04:44 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Also take interfaces into account when looking for non-descendable descendants

M	src/orca/script_utilities.py

2016-05-11 15:59:34 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Handle another instance of an app becoming non-responsive

M	src/orca/script_utilities.py

2016-05-11 15:40:37 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add formatting strings for ROLE_TREE_ITEM

M	src/orca/formatting.py
M	src/orca/speech_generator.py

2016-05-11 14:58:01 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around another instance of app-created duplicate accessible objects

M	src/orca/speech_generator.py

2016-05-08 15:10:28 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate another instance of double presenting an inferred label

M	src/orca/scripts/web/braille_generator.py

2016-05-08 14:24:55 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate double presentation of inferred label

M	src/orca/scripts/web/script_utilities.py

2016-05-06 11:58:07 +0000 Cédric Valmary <cvalmary@yahoo.fr>

        Updated Occitan translation

M	po/oc.po

2016-05-04 18:28:50 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Cache results of shouldInferLabelFor()

M	src/orca/scripts/web/script_utilities.py

2016-05-04 17:31:49 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Cache results when filtering contents for presentation

M	src/orca/scripts/web/script_utilities.py

2016-05-04 16:29:03 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Give findObjectInContents() smarts for embeddeded children

M	src/orca/scripts/web/script_utilities.py

2016-05-04 14:55:36 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Check setting before generating spoken indentation information

M	src/orca/speech_generator.py

2016-05-03 12:11:26 +0200 Kalev Lember <klember@redhat.com>

        Fix desktop file keywords in Slovenian translation

M	po/sl.po

2016-04-25 17:53:31 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Hack around GNOME Shell's broken text interface for word echo

M	src/orca/scripts/apps/gnome-shell/script.py

2016-04-25 15:37:34 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2016-04-25 15:33:30 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for the 3.21.1 release

M	NEWS
M	README
M	configure.ac

2016-04-25 10:10:06 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fallback on name when labels fail to implement the text interface

M	src/orca/formatting.py

2016-04-25 09:46:17 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around Unity Panel Service descriptions being silly.

M	src/orca/generator.py

2016-04-25 09:35:42 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around Unity Panel Service exposing labels with index in parent of -1

M	src/orca/script_utilities.py

2016-04-23 17:51:53 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Only update locusOfFocus to context replicant if locusOfFocus is a zombie

M	src/orca/scripts/web/script.py

2016-04-23 16:38:28 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prevent locusOfFocus change when navigating in SeaMonkey message list

M	configure.ac
M	src/orca/scripts/apps/Makefile.am
A	src/orca/scripts/apps/SeaMonkey/Makefile.am
A	src/orca/scripts/apps/SeaMonkey/__init__.py
A	src/orca/scripts/apps/SeaMonkey/script.py
M	src/orca/scripts/apps/__init__.py

2016-04-22 15:59:52 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Only treat cells with non-whitespace chars as real active descendants

M	src/orca/script_utilities.py

2016-04-22 15:21:28 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Handle row-reordered event spam

M	src/orca/input_event.py
M	src/orca/script_utilities.py
M	src/orca/scripts/apps/soffice/script.py
M	src/orca/scripts/default.py

2016-04-21 18:33:32 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't do SayAll for page fragments

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2016-04-21 17:13:12 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore events from Mozilla's self-repair hidden page

M	src/orca/scripts/toolkits/Gecko/script.py
M	src/orca/scripts/web/script.py

2016-04-21 01:48:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix regression from keyboard event refactor

M	src/orca/input_event.py
M	test/keystrokes/firefox/html_link_where_am_i.py

2016-04-21 00:25:46 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Updating tests

M	test/harness/runone.sh
D	test/html/FirefoxProfile/localstore.rdf
M	test/html/FirefoxProfile/prefs.js
A	test/html/GnomeWorldWideSmall.jpg
A	test/html/accesskeys.html
A	test/html/aria-landmarks.html
M	test/html/blockquotes.html
M	test/html/orca-wiki.html
M	test/keystrokes/firefox/aria_alert.py
M	test/keystrokes/firefox/aria_alert_dialog.py
M	test/keystrokes/firefox/aria_checkbox_dojo.py
M	test/keystrokes/firefox/aria_combobox_dojo.py
M	test/keystrokes/firefox/aria_dialog_dismissed.py
M	test/keystrokes/firefox/aria_dialog_dojo.py
M	test/keystrokes/firefox/aria_editor_navigation_dojo.py
M	test/keystrokes/firefox/aria_landmarks.params
M	test/keystrokes/firefox/aria_landmarks.py
M	test/keystrokes/firefox/aria_menu.py
M	test/keystrokes/firefox/aria_slider.py
M	test/keystrokes/firefox/aria_slider_dojo.py
M	test/keystrokes/firefox/aria_sliders.py
M	test/keystrokes/firefox/aria_spinner_dojo.py
M	test/keystrokes/firefox/aria_tabcontainer_dojo.py
M	test/keystrokes/firefox/aria_tabpanel_text_dojo.py
M	test/keystrokes/firefox/aria_toolbar_dojo.py
M	test/keystrokes/firefox/aria_tree_dojo.py
M	test/keystrokes/firefox/find_wiki.py
M	test/keystrokes/firefox/flat_review_combo_box.py
M	test/keystrokes/firefox/focus_tracking_roledescriptions.py
A	test/keystrokes/firefox/html_access_keys.params
A	test/keystrokes/firefox/html_access_keys.py
R100	test/keystrokes/firefox/link_where_am_i.params	test/keystrokes/firefox/html_link_where_am_i.params
A	test/keystrokes/firefox/html_link_where_am_i.py
M	test/keystrokes/firefox/html_page_summary.py
M	test/keystrokes/firefox/html_role_links.py
M	test/keystrokes/firefox/html_struct_nav_activate_link.py
M	test/keystrokes/firefox/html_struct_nav_bug_554616.py
M	test/keystrokes/firefox/html_struct_nav_bug_567984.py
M	test/keystrokes/firefox/html_struct_nav_heading_in_div_with_text.py
M	test/keystrokes/firefox/html_struct_nav_large_obj.py
M	test/keystrokes/firefox/html_struct_nav_links.py
M	test/keystrokes/firefox/label_inference_bug_546815.py
M	test/keystrokes/firefox/label_inference_bugzilla_search.py
M	test/keystrokes/firefox/label_inference_entries.py
M	test/keystrokes/firefox/label_inference_mailman.py
M	test/keystrokes/firefox/line_nav_bug_546815.py
M	test/keystrokes/firefox/line_nav_bug_552887a.py
M	test/keystrokes/firefox/line_nav_bug_570757.py
M	test/keystrokes/firefox/line_nav_bug_577239.py
M	test/keystrokes/firefox/line_nav_bug_592383.py
M	test/keystrokes/firefox/line_nav_bugzilla_search_down.py
M	test/keystrokes/firefox/line_nav_bugzilla_search_up.py
M	test/keystrokes/firefox/line_nav_empty_anchor.py
M	test/keystrokes/firefox/line_nav_empty_textarea.py
M	test/keystrokes/firefox/line_nav_enter_bug.py
M	test/keystrokes/firefox/line_nav_entries.py
M	test/keystrokes/firefox/line_nav_follow_same_page_link.py
M	test/keystrokes/firefox/line_nav_follow_same_page_link_2.py
M	test/keystrokes/firefox/line_nav_follow_same_page_link_3.py
M	test/keystrokes/firefox/line_nav_iframes_blogger.py
M	test/keystrokes/firefox/line_nav_images_in_links.py
M	test/keystrokes/firefox/line_nav_lists.py
M	test/keystrokes/firefox/line_nav_slash_test.py
M	test/keystrokes/firefox/line_nav_sun_java.py
M	test/keystrokes/firefox/line_nav_wiki_down.py
M	test/keystrokes/firefox/line_nav_wiki_up.py
D	test/keystrokes/firefox/link_where_am_i.py
M	test/keystrokes/firefox/math_line_nav_torture_test.py
M	test/keystrokes/firefox/mouseover_javascript_alert.py
M	test/keystrokes/firefox/object_nav_descriptions_down.py
M	test/keystrokes/firefox/object_nav_descriptions_up.py
M	test/keystrokes/firefox/object_nav_links_in_text.py
M	test/keystrokes/firefox/object_nav_links_on_line.py
M	test/keystrokes/firefox/object_nav_simple_form_down.py
M	test/keystrokes/firefox/object_nav_simple_form_down.settings
M	test/keystrokes/firefox/object_nav_simple_form_up.py
M	test/keystrokes/firefox/object_nav_simple_form_up.settings
M	test/keystrokes/firefox/say_all_bugzilla_search.py
M	test/keystrokes/firefox/say_all_nested_tables.py
M	test/keystrokes/firefox/say_all_simple_form.py
M	test/keystrokes/firefox/selection_wiki.py
M	test/keystrokes/firefox/spelling_errors.py
M	test/keystrokes/firefox/ui_doc_tabs.py
M	test/keystrokes/firefox/ui_role_radio_menu_item.py
M	test/keystrokes/firefox/ui_role_tree.py
M	test/keystrokes/firefox/ui_role_tree_table.py
A	test/keystrokes/firefox/ui_title_and_status_bar.params
A	test/keystrokes/firefox/ui_title_and_status_bar.py

2016-04-20 23:44:14 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Cache label-related information for web content for performance

M	src/orca/scripts/web/script_utilities.py

2016-04-20 23:42:46 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Defer to default name generation for web combo boxes and spin buttons

M	src/orca/scripts/web/speech_generator.py

2016-04-19 17:40:26 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix regressions from keyboard event refactor

M	src/orca/input_event.py

2016-04-19 14:36:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix offset used when evaluating text selection in content with embedded objects

M	src/orca/scripts/web/script.py

2016-04-18 11:14:15 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Handle traceback resulting from defunct accessible object

M	src/orca/script_utilities.py

2016-04-16 13:12:07 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix cache-related issue

M	src/orca/scripts/web/script_utilities.py

2016-04-13 20:39:39 +0300 Attila Hammer <hammera@pickup.hu>

        Fix #764978 - Syntax error in Bulgarian help file

M	help/bg/bg.po

2016-04-12 09:05:35 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix regression from keyboard event refactor

M	src/orca/input_event.py

2016-04-11 18:04:58 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't use generated text as name for web content which exposes a name

M	src/orca/scripts/web/speech_generator.py

2016-04-11 17:07:10 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't set new focus to context object if context object is zombie

M	src/orca/scripts/web/script.py

2016-04-07 16:09:36 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix traceback

M	src/orca/settings_manager.py

2016-04-06 15:13:16 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix multiple-inheritance issue

M	src/orca/scripts/apps/evolution/braille_generator.py
M	src/orca/scripts/apps/evolution/script_utilities.py
M	src/orca/scripts/apps/evolution/speech_generator.py

2016-04-06 09:23:21 +0000 Milo Casagrande <milo@ubuntu.com>

        Updated Italian translation (cherry picked from commit 4d1af6e760593c860316b57b1a35b00e48aacaef)

M	po/it.po

2016-04-05 18:46:54 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix regression from keyboard event refactor

M	src/orca/input_event.py

2016-04-05 18:03:12 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Make Evolution script subclass of the Gtk+ script

M	src/orca/scripts/apps/evolution/script.py

2016-04-05 17:18:08 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix traceback

M	src/orca/script_utilities.py

2016-04-05 12:22:42 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix regression from keyboard event refactor

M	src/orca/input_event.py

2016-04-05 11:51:49 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix regression from keyboard event refactor

M	src/orca/input_event.py

2016-04-04 22:03:04 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Handle changes in Gtk+ 3.20 combo boxes

M	src/orca/scripts/toolkits/gtk/script.py
M	src/orca/scripts/toolkits/gtk/script_utilities.py

2016-04-04 18:03:05 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Begin refactoring of keyboard event processing

M	src/orca/event_manager.py
M	src/orca/input_event.py
M	src/orca/keybindings.py
M	src/orca/notification_messages.py
M	src/orca/orca.py
M	src/orca/orca_state.py
M	src/orca/script.py
M	src/orca/scripts/default.py
M	src/orca/scripts/self_voicing.py

2016-04-04 09:53:05 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-branch version bump

M	README
M	configure.ac

2016-03-29 19:15:15 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around Google Maps killing the focused widget

M	src/orca/scripts/web/script.py

2016-03-29 14:51:45 +0000 Attila Hammer <hammera@pickup.hu>

        Updated Hungarian translation

M	help/hu/hu.po

2016-03-26 13:29:57 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't re-present description if it was used as name fallback

M	src/orca/generator.py

2016-03-24 12:04:03 +0000 Tiago Carrondo <tcarrondo@ubuntu.com>

        Updated Portuguese translation

M	po/pt.po

2016-03-22 22:29:10 +0100 Matej Urbančič <mateju@svn.gnome.org>

        Updated Slovenian translation

M	po/sl.po

2016-03-22 12:24:40 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix another false positive with clipboard messages

M	src/orca/script_utilities.py
M	src/orca/scripts/default.py
M	src/orca/scripts/web/script_utilities.py

2016-03-22 12:05:41 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix traceback

M	src/orca/script_utilities.py

2016-03-21 11:38:21 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2016-03-21 11:16:26 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for 3.20.0 release

M	NEWS
M	README
M	configure.ac

2016-03-21 10:43:50 +0000 Rafael Fontenelle <rafaelff@gnome.org>

        Updated Brazilian Portuguese translation

M	po/pt_BR.po

2016-03-20 23:19:01 +0100 Ask Hjorth Larsen <asklarsen@gmail.com>

        Updated Danish translation

M	po/da.po

2016-03-20 17:53:22 +0000 Milo Casagrande <milo@ubuntu.com>

        Updated Italian translation

M	po/it.po

2016-03-20 17:09:15 +0100 Kalev Lember <klember@redhat.com>

        Fix desktop file keywords in Slovenian translation

M	po/sl.po

2016-03-19 13:07:08 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2016-03-19 13:01:48 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for 3.19.92 release

M	NEWS
M	README
M	configure.ac

2016-03-19 02:38:11 +0100 Ask Hjorth Larsen <asklarsen@gmail.com>

        Updated Danish translation by scootergrisen

M	po/da.po

2016-03-18 18:37:28 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Return early in allSelectedText() when entire document is selected

M	src/orca/script_utilities.py

2016-03-18 18:06:15 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix restoration of location when returning to nested document after find in page

M	src/orca/scripts/web/script.py

2016-03-18 17:32:35 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate another false positive clipboard/selection announcement

M	src/orca/script_utilities.py

2016-03-18 15:52:46 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around unforunate event order when switching page tabs in Gecko apps

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2016-03-18 14:24:56 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate double-presentation of custom selection messages

M	src/orca/script_utilities.py

2016-03-18 14:01:49 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate some more clipboard-related-presentation false positives

M	src/orca/script_utilities.py

2016-03-18 13:32:47 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Treat terminal text insertions resulting from Alt-modified input event as command

M	src/orca/script_utilities.py

2016-03-18 16:47:19 +0000 Daniel Șerbănescu <daniel@serbanescu.dk>

        Updated Romanian translation

M	po/ro.po

2016-03-16 14:59:17 +0000 Efstathios Iosifidis <eiosifidis@gnome.org>

        Updated Greek translation

M	po/el.po

2016-03-16 12:14:13 +0000 Balázs Meskó <meskobalazs@gmail.com>

        Updated Hungarian translation

M	po/hu.po

2016-03-13 09:24:39 +0000 Muhammet Kara <muhammetk@gmail.com>

        Updated Turkish translation

M	po/tr.po

2016-03-11 21:59:20 +0100 Matej Urbančič <mateju@svn.gnome.org>

        Updated Slovenian translation

M	po/sl.po

2016-03-11 08:29:14 +0000 GNOME Translation Robot <gnome-sysadmin@gnome.org>

        Updated Serbian translation

M	po/sr.po

2016-03-09 00:46:17 +0000 Duarte Loreto <happyguy_pt@hotmail.com>

        Updated Portuguese translation

M	po/pt.po

2016-03-07 10:50:23 +0100 Мирослав Николић <miroslavnikolic@rocketmail.com>

        Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

2016-03-06 16:40:50 +0000 Claude Paroz <claude@2xlibre.net>

        Updated French translation

M	po/fr.po

2016-03-05 21:43:17 +0100 Matej Urbančič <mateju@svn.gnome.org>

        Updated Slovenian translation

M	po/sl.po

2016-03-05 20:46:54 +0100 Matej Urbančič <mateju@svn.gnome.org>

        Updated Slovenian translation

M	po/sl.po

2016-03-04 09:39:55 +0000 Attila Hammer <hammera@pickup.hu>

        Updated Hungarian translation

M	po/hu.po

2016-03-03 20:08:55 +0200 Alexander Shopov <ash@kambanaria.org>

        Added Bulgarian translation

M	po/bg.po

2016-03-03 20:03:09 +0200 Zahari Yurukov <zahari.yurukov@gmail.com>

        Added Bulgarian translation

M	help/Makefile.am
A	help/bg/bg.po

2016-03-03 14:51:21 +0000 Rafael Gazoni <rafael.moreira@ifms.edu.br>

        Updated Brazilian Portuguese translation

M	po/pt_BR.po

2016-03-03 08:20:27 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Map MATE's notification daemon to the notification-daemon script

M	src/orca/script_manager.py

2016-03-02 23:23:25 +0000 Tom Tryfonidis <tomtryf@gnome.org>

        Updated Greek translation

M	po/el.po

2016-03-02 17:29:52 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2016-03-02 17:25:50 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for the 3.19.91 release

M	NEWS
M	README
M	configure.ac

2016-03-02 20:09:24 +0100 Jordi Mas <jmas@softcatala.org>

        Update Catalan translation

M	po/ca.po

2016-03-02 20:16:39 +0200 Aurimas Černius <aurisc4@gmail.com>

        Updated Lithuanian translation

M	po/lt.po

2016-03-02 11:36:43 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle cases of Calc becoming non-responsive

M	src/orca/scripts/apps/soffice/script_utilities.py
M	src/orca/scripts/default.py

2016-03-01 18:06:06 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate false positive with clipboard notification

M	src/orca/scripts/web/script_utilities.py

2016-03-01 12:33:07 +0100 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	help/cs/cs.po

2016-02-28 15:08:12 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't keep asking the registry for the desktop

M	src/orca/event_manager.py
M	src/orca/script_manager.py
M	src/orca/script_utilities.py

2016-02-28 12:54:27 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Grab focus on entries when setting focus mode; ont when positioning caret

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2016-02-28 11:52:20 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore children-changed:add events if they are not from the active app

M	src/orca/event_manager.py

2016-02-28 09:35:44 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Hack around broken index in parent for Pidgin status toggle button

M	src/orca/scripts/apps/pidgin/script_utilities.py

2016-02-28 09:41:59 +0100 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	po/cs.po

2016-02-27 22:13:11 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Improve presentation of layered pane selection changes

M	src/orca/script_utilities.py
M	src/orca/scripts/toolkits/GAIL/script.py
M	src/orca/scripts/toolkits/gtk/script.py

2016-02-27 20:33:39 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Notify script when locusOfFocus is set from window to contenteditable objects

M	src/orca/scripts/web/script.py

2016-02-27 19:57:09 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Consume modifier keys in learn mode

M	src/orca/orca.py

2016-02-27 18:32:54 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Work around broken table interface Gecko issue

M	src/orca/structural_navigation.py

2016-02-26 16:42:45 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add a missing check that gstreamer is available

M	src/orca/sound.py

2016-02-26 12:56:22 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        More work on filtering out useless canvas events

M	src/orca/scripts/toolkits/gtk/script.py
M	src/orca/scripts/toolkits/gtk/script_utilities.py

2016-02-26 09:37:42 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore focus: events from canvas objects in non-active window

M	src/orca/scripts/toolkits/gtk/script.py

2016-02-26 08:47:13 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle another cause of defunct objects

M	src/orca/script_utilities.py

2016-02-26 08:14:00 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	help/es/es.po

2016-02-26 00:03:26 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add more, and more performant, zombie replicant recovery utilities

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2016-02-25 18:53:52 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't ignore selection events for embedded objects if command used

M	src/orca/scripts/web/script.py

2016-02-25 18:12:07 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Revert "Map SeaMonkey to Thunderbird"

M	src/orca/script_manager.py

2016-02-25 01:57:23 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Map SeaMonkey to Thunderbird

M	src/orca/script_manager.py

2016-02-25 01:47:28 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Attempt to identify and present clipboard events from web elements

M	src/orca/scripts/web/script_utilities.py

2016-02-25 01:23:38 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Let default script handle content editable during selection

M	src/orca/scripts/web/script.py

2016-02-25 01:02:27 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Clear content cache when Thunderbird window is deactivated

M	src/orca/scripts/apps/Thunderbird/script.py

2016-02-25 00:58:37 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Use super() in the Thunderbird script unless we need to explicitly call default

M	src/orca/scripts/apps/Thunderbird/script.py

2016-02-24 23:22:43 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate some false positives with find toolbar

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2016-02-24 22:23:37 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Clear the structural navigation cache for nested document state-busy changes

M	src/orca/scripts/web/script.py

2016-02-24 21:00:03 +0100 Fran Dieguez <fran.dieguez@mabishu.com>

        Updated Galician translations

M	po/gl.po

2016-02-24 14:13:32 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add a setting to present updates for status bar progress bars.

M	src/orca/script_utilities.py
M	src/orca/settings.py

2016-02-24 11:05:08 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Present object counts for all objects in detailed whereAmI page summary

M	src/orca/scripts/web/speech_generator.py

2016-02-24 10:58:11 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Make detailed whereAmI fall back on basic whereAmI

M	src/orca/formatting.py

2016-02-24 09:20:01 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Updated Swedish translation

M	po/sv.po

2016-02-23 18:02:59 +0000 Cédric Valmary <cvalmary@yahoo.fr>

        Updated Occitan translation

M	po/oc.po

2016-02-23 17:28:08 +0000 Cédric Valmary <cvalmary@yahoo.fr>

        Updated Occitan translation

M	po/oc.po

2016-02-22 14:50:06 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Check for editable state before concluding caret moved to fragment

M	src/orca/scripts/web/script_utilities.py

2016-02-22 12:06:13 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Speak all popovers that emit object:state-changed:showing

M	src/orca/script_utilities.py
M	src/orca/scripts/toolkits/gtk/script.py
M	src/orca/scripts/toolkits/gtk/script_utilities.py

2016-02-22 11:45:20 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Include unrelated labels when presenting a new panel

M	src/orca/formatting.py

2016-02-20 17:04:38 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't treat tree tables cells as layout only, even if they contain child cells

M	src/orca/script_utilities.py

2016-02-20 16:47:03 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Strip trailing whitespace when comparing any_data to clipboard contents

M	src/orca/script_utilities.py

2016-02-20 13:57:39 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't tree insertions as autotext events if the source isn't showing

M	src/orca/script_utilities.py

2016-02-20 07:26:34 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Make useFocusMode() a public method

M	src/orca/scripts/apps/Thunderbird/script.py

2016-02-19 21:42:03 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Prefer name over label for radio buttons

M	src/orca/formatting.py

2016-02-19 20:43:05 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Tweak debugging line to better reflect reality

M	src/orca/scripts/web/script.py

2016-02-19 20:40:38 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Update locusOfFocus and caret context for contenteditable caret-moved events

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2016-02-19 19:48:07 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Filter out bogus and duplicate object:state-changed:selected events

M	src/orca/scripts/default.py

2016-02-19 11:23:28 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate false positive in isClipboardTextChangedEvent()

M	src/orca/script_utilities.py

2016-02-18 22:14:55 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        More work on Calc input line event spam

M	src/orca/scripts/apps/soffice/script.py
M	src/orca/scripts/apps/soffice/script_utilities.py

2016-02-18 19:57:12 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate terminal chattiness

M	src/orca/formatting.py
M	src/orca/generator.py
M	src/orca/speech_generator.py

2016-02-18 19:42:25 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't change locusOfFocus to ancestor when selection changes

M	src/orca/scripts/default.py

2016-02-18 18:34:43 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Revert "Work around missing event from LibreOffice Calc"

M	src/orca/scripts/apps/soffice/script.py

2016-02-18 18:17:24 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Only call updateCachedTextSelection() for objects we know implement AtspiText

M	src/orca/scripts/default.py

2016-02-18 18:05:06 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Work around Gecko's multiple accessible objects for one functional window

M	src/orca/scripts/toolkits/Gecko/script_utilities.py

2016-02-18 17:30:40 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't spit up when LibreOffice becomes non-responsive

M	src/orca/script_utilities.py
M	src/orca/scripts/apps/soffice/script_utilities.py

2016-02-18 17:12:03 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Work around missing event from LibreOffice Calc

M	src/orca/scripts/apps/soffice/script.py

2016-02-18 16:48:44 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add sanity checks for dead LibreOffice windows

M	src/orca/scripts/apps/soffice/script_utilities.py
M	src/orca/scripts/apps/soffice/spellcheck.py

2016-02-18 16:36:15 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Use isSameObject() rather than a simple equality check for active-changed events

M	src/orca/scripts/default.py

2016-02-17 20:46:50 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix incorrect identification of commands entered on Cyrillic keyboards

M	src/orca/script_utilities.py

2016-02-17 18:42:52 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add a non-failing configure check for, and statement about, gstreamer

M	README
M	configure.ac

2016-02-17 18:15:12 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix typo in debug line

M	src/orca/sound.py

2016-02-17 22:16:23 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Updated Polish translation

M	po/pl.po

2016-02-17 14:06:42 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2016-02-17 14:03:03 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for the 3.19.90 release

M	NEWS
M	README
M	configure.ac

2016-02-17 11:24:11 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix error syntax error in es.po

M	po/es.po

2016-02-17 10:07:42 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix camel case in setting name

M	src/orca/scripts/default.py

2016-02-17 09:36:05 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Let Gtk calculate the length of strings when adding text to the clipboard

M	src/orca/script_utilities.py

2016-02-17 14:07:31 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Updated Swedish translation

M	help/sv/sv.po

2016-02-17 08:53:30 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't generate old ancestors when entering Calc input line

M	src/orca/scripts/apps/soffice/speech_generator.py
M	src/orca/speech_generator.py

2016-02-17 08:39:56 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add explicit argument to Gst.init_check()

M	src/orca/sound.py

2016-02-16 22:06:14 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Update our hackarounds for Calc input line spam to deal with role change

M	src/orca/scripts/apps/soffice/script.py

2016-02-16 20:41:41 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix a couple of tracebacks seen after text refactor

M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py

2016-02-16 18:58:06 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove a rendundant call

M	src/orca/sound.py

2016-02-16 18:48:58 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        More work on progress bar beeps - they are now user-testable

M	src/orca/scripts/default.py
M	src/orca/sound.py
M	src/orca/sound_generator.py

2016-02-16 16:10:53 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove forgotten import

M	src/orca/sound_generator.py

2016-02-16 14:13:52 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Initial commit of the sound support - not yet hooked up

M	src/orca/Makefile.am
M	src/orca/formatting.py
M	src/orca/object_properties.py
M	src/orca/orca.py
M	src/orca/script.py
M	src/orca/scripts/web/Makefile.am
M	src/orca/scripts/web/script.py
A	src/orca/scripts/web/sound_generator.py
M	src/orca/settings.py
M	src/orca/settings_manager.py
A	src/orca/sound.py
A	src/orca/sound_generator.py

2016-02-16 18:49:05 +0100 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2016-02-16 15:33:21 +0000 Cédric Valmary <cvalmary@yahoo.fr>

        Updated Occitan translation

M	po/oc.po

2016-02-16 05:47:00 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Move some speech generator methods to superclass; fix children-changed bug

M	src/orca/generator.py
M	src/orca/script_utilities.py
M	src/orca/scripts/apps/soffice/script.py
M	src/orca/speech_generator.py

2016-02-15 14:38:39 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix a null check

M	src/orca/scripts/web/script_utilities.py

2016-02-15 19:49:38 +0100 Mario Blättermann <mario.blaettermann@gmail.com>

        Updated German translation

M	po/de.po

2016-02-15 01:48:54 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Preface the page summary with "Page has"

M	src/orca/messages.py
M	src/orca/scripts/web/script_utilities.py

2016-02-15 01:33:08 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Hack around other app/toolkit broken password text insertion events

M	src/orca/script_utilities.py

2016-02-15 00:20:18 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add sanity check when checking if an object is a spellcheck suggestion

M	src/orca/spellcheck.py

2016-02-14 22:15:02 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Speak visited state for links which have been visited

M	src/orca/object_properties.py
M	src/orca/speech_generator.py

2016-02-14 21:34:18 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate another false positive related to selection + clipboard presentation

M	src/orca/scripts/default.py

2016-02-14 21:25:00 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Make Flat Review SayAll binding independent of focus-tracking SayAll binding

M	src/orca/cmdnames.py
M	src/orca/desktop_keyboardmap.py
M	src/orca/laptop_keyboardmap.py
M	src/orca/scripts/default.py

2016-02-14 20:34:52 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add option to present page summary upon load, and include landmarks in summary

M	help/C/preferences_gecko.page
M	src/orca/guilabels.py
M	src/orca/messages.py
M	src/orca/scripts/apps/Thunderbird/script.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py

2016-02-14 17:14:45 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate some double-presentation in the new selection/clipboard support

M	src/orca/scripts/default.py

2016-02-14 16:29:49 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Speak text indentation during selection

M	src/orca/formatting.py
M	src/orca/script_utilities.py
M	src/orca/scripts/default.py
M	src/orca/speech_generator.py

2016-02-14 14:28:43 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix a modifier false negative

M	src/orca/script_utilities.py

2016-02-14 14:12:39 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Hack around broken text-insertion events from gnome-shell

M	src/orca/script_utilities.py
M	src/orca/scripts/apps/gnome-shell/script_utilities.py
M	src/orca/scripts/default.py

2016-02-14 13:43:51 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix missing import

M	src/orca/scripts/web/script_utilities.py

2016-02-14 19:04:21 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Updated Polish translation

M	po/pl.po

2016-02-13 19:40:54 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate some false positives regarding modifiers during navigation

M	src/orca/script_utilities.py

2016-02-13 16:19:25 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate false positive with commands

M	src/orca/script_utilities.py

2016-02-13 16:08:37 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Present the new location when using PageUp/PageDown in web content

M	src/orca/scripts/web/script.py

2016-02-13 14:45:28 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate double-presentation of clipboard notification for flat review

M	src/orca/scripts/default.py

2016-02-13 11:22:06 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Refactor text event handling and present more feedback in text content

M	src/orca/formatting.py
M	src/orca/messages.py
M	src/orca/script_utilities.py
M	src/orca/scripts/apps/gnome-shell/script_utilities.py
M	src/orca/scripts/apps/soffice/script.py
M	src/orca/scripts/apps/soffice/script_utilities.py
M	src/orca/scripts/default.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py
A	test/keystrokes/firefox/selection_textarea.params
A	test/keystrokes/firefox/selection_textarea.py
A	test/keystrokes/firefox/selection_wiki.params
A	test/keystrokes/firefox/selection_wiki.py
A	test/keystrokes/gtk3-demo/role_text_multiline_selection.py

2016-02-12 17:44:01 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove the old text setup

M	docs/man/orca.1
M	help/C/howto_setting_up_orca.page
D	help/C/howto_text_setup.page
M	help/C/introduction.page
M	help/Makefile.am
M	src/orca/Makefile.am
M	src/orca/messages.py
M	src/orca/orca_bin.py.in
D	src/orca/orca_console_prefs.py

2016-02-12 22:14:23 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Updated Swedish translation

M	po/sv.po

2016-02-07 21:20:08 +0200 Rūdolfs Mazurs <rudolfsm@src.gnome.org>

        Update Latvian translation

M	po/lv.po

2016-02-07 13:20:17 +0100 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	help/es/es.po

2016-02-06 23:00:33 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Updated Polish translation

M	po/pl.po

2016-02-06 22:54:47 +0100 Piotr Drąg <piotrdrag@gmail.com>

        Updated Polish translation

M	po/pl.po

2016-02-04 01:02:58 +0100 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Add Swedish help translation

M	help/Makefile.am
A	help/sv/sv.po

2016-02-02 21:14:05 +0100 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	help/cs/cs.po
M	po/cs.po

2016-01-31 22:31:34 +0100 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2016-01-30 16:40:54 +0000 Mario Blättermann <mario.blaettermann@gmail.com>

        Updated German translation

M	po/de.po

2016-01-30 06:11:56 +0000 Muhammet Kara <muhammetk@gmail.com>

        Updated Turkish translation

M	po/tr.po

2016-01-20 16:51:48 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Delete an old, unused method

M	src/orca/scripts/default.py

2016-01-20 11:56:21 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add a specific setting for speaking the misspelled indicator

M	help/C/preferences_speech.page
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py
M	src/orca/scripts/default.py
M	src/orca/settings.py

2016-01-17 16:21:10 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle more missing events from Eclipse

M	src/orca/scripts/apps/Eclipse/script.py

2016-01-17 10:50:44 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle another missing event from Eclipse

M	src/orca/scripts/apps/Eclipse/script.py

2016-01-16 14:29:01 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle duplicate text events and objects

M	src/orca/script_utilities.py

2016-01-15 17:13:03 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Update our cached text selection and state when entire doc becomes unselected

M	src/orca/script_utilities.py

2016-01-15 10:08:37 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Hack around missing events and broken hierarchy with Eclipse submenus

M	src/orca/scripts/apps/Eclipse/script.py

2016-01-10 17:05:22 +0200 Aurimas Černius <aurisc4@gmail.com>

        Updated Lithuanian translation

M	po/lt.po

2016-01-03 16:54:21 +0100 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	help/cs/cs.po
M	po/cs.po

2016-01-01 08:30:14 +0000 Muhammet Kara <muhammetk@gmail.com>

        Updated Turkish translation

M	po/tr.po

2015-12-29 16:30:15 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Update test profile prefs

M	test/html/FirefoxProfile/prefs.js

2015-12-24 02:42:11 +0100 Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>

        Updated Esperanto translation

M	po/eo.po

2015-12-24 01:47:37 +0100 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	help/cs/cs.po
M	po/cs.po

2015-12-24 01:08:22 +0100 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	po/cs.po

2015-12-21 09:13:46 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Hack around Gtk+ bug 759736

M	src/orca/scripts/toolkits/gtk/script_utilities.py

2015-12-16 11:08:38 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2015-12-16 11:01:59 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for the 3.19.3 release

M	NEWS
M	README
M	configure.ac

2015-12-06 18:01:46 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Apply voice when generating current line of text

M	src/orca/scripts/apps/soffice/speech_generator.py
M	src/orca/scripts/default.py
M	src/orca/speech_generator.py

2015-12-06 16:26:49 +0100 Joanmarie Diggs <jdiggs@igalia.com>

        Fix nit in debugging line

M	src/orca/script_utilities.py

2015-12-05 23:29:13 +0000 Muhammet Kara <muhammetk@gmail.com>

        Updated Turkish translation

M	po/tr.po

2015-12-02 15:23:37 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Tweak debugging output for events

M	src/orca/event_manager.py

2015-12-02 12:26:09 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Call gdk_notify_startup_complete()

M	src/orca/orca.py

2015-12-02 11:05:23 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Updated tests

M	test/harness/orca-customizations.py.in
M	test/harness/user-settings.conf.in
M	test/html/so.html
M	test/keystrokes/firefox/aria_alert.py
M	test/keystrokes/firefox/aria_alert_dialog.py
M	test/keystrokes/firefox/aria_button.py
M	test/keystrokes/firefox/aria_button_dojo.py
M	test/keystrokes/firefox/aria_button_toggle.py
M	test/keystrokes/firefox/aria_checkbox.py
M	test/keystrokes/firefox/aria_checkbox_dojo.py
M	test/keystrokes/firefox/aria_combobox_dojo.py
M	test/keystrokes/firefox/aria_dialog_dismissed.py
M	test/keystrokes/firefox/aria_dialog_dojo.py
M	test/keystrokes/firefox/aria_editor_navigation_dojo.py
M	test/keystrokes/firefox/aria_landmarks.py
M	test/keystrokes/firefox/aria_list.py
M	test/keystrokes/firefox/aria_menu.py
M	test/keystrokes/firefox/aria_progressbar.py
M	test/keystrokes/firefox/aria_radiobutton.py
M	test/keystrokes/firefox/aria_roledescription_where_am_i.py
M	test/keystrokes/firefox/aria_slider.py
M	test/keystrokes/firefox/aria_slider_dojo.py
M	test/keystrokes/firefox/aria_slider_tpg.py
M	test/keystrokes/firefox/aria_sliders.py
M	test/keystrokes/firefox/aria_spinner_dojo.py
M	test/keystrokes/firefox/aria_tabcontainer_dojo.py
M	test/keystrokes/firefox/aria_tabpanel.py
M	test/keystrokes/firefox/aria_tabpanel2.py
M	test/keystrokes/firefox/aria_tabpanel_text_dojo.py
M	test/keystrokes/firefox/aria_toolbar_dojo.py
M	test/keystrokes/firefox/aria_tree.py
M	test/keystrokes/firefox/aria_tree_dojo.py
M	test/keystrokes/firefox/aria_treegrid.py
M	test/keystrokes/firefox/find_wiki.py
M	test/keystrokes/firefox/flat_review_combo_box.py
M	test/keystrokes/firefox/flat_review_hidden_elements.py
M	test/keystrokes/firefox/flat_review_text_by_line.py
M	test/keystrokes/firefox/flat_review_text_by_word_and_char.py
M	test/keystrokes/firefox/focus_tracking_descriptions.py
M	test/keystrokes/firefox/focus_tracking_imagemap.py
M	test/keystrokes/firefox/focus_tracking_input_type_number.py
M	test/keystrokes/firefox/focus_tracking_link_child_of_body.py
M	test/keystrokes/firefox/focus_tracking_links.py
M	test/keystrokes/firefox/focus_tracking_radios_with_label_and_name.py
M	test/keystrokes/firefox/focus_tracking_roledescriptions.py
M	test/keystrokes/firefox/html_page_summary.py
M	test/keystrokes/firefox/html_role_combo_box.py
M	test/keystrokes/firefox/html_role_links.py
M	test/keystrokes/firefox/html_role_list_item_where_am_i.py
M	test/keystrokes/firefox/html_struct_nav_activate_link.py
M	test/keystrokes/firefox/html_struct_nav_blockquote.py
M	test/keystrokes/firefox/html_struct_nav_bug_554616.py
M	test/keystrokes/firefox/html_struct_nav_bug_556470.py
M	test/keystrokes/firefox/html_struct_nav_bug_567984.py
M	test/keystrokes/firefox/html_struct_nav_bug_591592.py
M	test/keystrokes/firefox/html_struct_nav_clickable_text_change.py
M	test/keystrokes/firefox/html_struct_nav_descriptions.py
M	test/keystrokes/firefox/html_struct_nav_heading_empty.py
M	test/keystrokes/firefox/html_struct_nav_heading_in_div_with_text.py
M	test/keystrokes/firefox/html_struct_nav_heading_with_child_text.py
M	test/keystrokes/firefox/html_struct_nav_heading_with_clickable.py
M	test/keystrokes/firefox/html_struct_nav_headings_buried_deep.py
M	test/keystrokes/firefox/html_struct_nav_headings_with_hidden_anchors.py
M	test/keystrokes/firefox/html_struct_nav_hidden_paragraphs.py
M	test/keystrokes/firefox/html_struct_nav_large_obj.py
M	test/keystrokes/firefox/html_struct_nav_link_with_child_text.py
M	test/keystrokes/firefox/html_struct_nav_links.py
M	test/keystrokes/firefox/html_struct_nav_list_item.py
M	test/keystrokes/firefox/html_struct_nav_lists.py
M	test/keystrokes/firefox/label_inference_bug_546815.py
M	test/keystrokes/firefox/label_inference_bugzilla_search.py
M	test/keystrokes/firefox/label_inference_entries.py
M	test/keystrokes/firefox/label_inference_labels_without_for_far_away.py
M	test/keystrokes/firefox/label_inference_mailman.py
M	test/keystrokes/firefox/line_nav_bug_546815.py
M	test/keystrokes/firefox/line_nav_bug_549128.py
M	test/keystrokes/firefox/line_nav_bug_552887a.py
M	test/keystrokes/firefox/line_nav_bug_554616.py
M	test/keystrokes/firefox/line_nav_bug_555055.py
M	test/keystrokes/firefox/line_nav_bug_570757.py
M	test/keystrokes/firefox/line_nav_bug_577239.py
M	test/keystrokes/firefox/line_nav_bug_592383.py
M	test/keystrokes/firefox/line_nav_bugzilla_search_down.py
M	test/keystrokes/firefox/line_nav_bugzilla_search_up.py
M	test/keystrokes/firefox/line_nav_button_in_link_position_relative_on_focus.py
M	test/keystrokes/firefox/line_nav_canvas.py
M	test/keystrokes/firefox/line_nav_clickables.py
M	test/keystrokes/firefox/line_nav_descriptions.py
M	test/keystrokes/firefox/line_nav_display_table_cell.py
M	test/keystrokes/firefox/line_nav_empty_anchor.py
M	test/keystrokes/firefox/line_nav_empty_block_link.py
M	test/keystrokes/firefox/line_nav_empty_textarea.py
M	test/keystrokes/firefox/line_nav_enter_bug.py
M	test/keystrokes/firefox/line_nav_entries.py
M	test/keystrokes/firefox/line_nav_focused_link.py
M	test/keystrokes/firefox/line_nav_follow_same_page_link.py
M	test/keystrokes/firefox/line_nav_follow_same_page_link_2.py
M	test/keystrokes/firefox/line_nav_follow_same_page_link_3.py
M	test/keystrokes/firefox/line_nav_fontawesome_link.py
M	test/keystrokes/firefox/line_nav_heading_section.py
M	test/keystrokes/firefox/line_nav_hidden_buttons.py
M	test/keystrokes/firefox/line_nav_hidden_elements.py
M	test/keystrokes/firefox/line_nav_hidden_float.py
M	test/keystrokes/firefox/line_nav_hidden_label.py
M	test/keystrokes/firefox/line_nav_hidden_links.py
M	test/keystrokes/firefox/line_nav_iframes_blogger.py
M	test/keystrokes/firefox/line_nav_iframes_in_inline_block.py
M	test/keystrokes/firefox/line_nav_iframes_in_inline_block2.py
M	test/keystrokes/firefox/line_nav_iframes_nested.py
M	test/keystrokes/firefox/line_nav_image_in_link.py
M	test/keystrokes/firefox/line_nav_imagemap.py
M	test/keystrokes/firefox/line_nav_images_in_links.py
M	test/keystrokes/firefox/line_nav_images_in_table_and_floating_div.py
M	test/keystrokes/firefox/line_nav_inline_block_spans.py
M	test/keystrokes/firefox/line_nav_link_position_relative_on_focus.py
M	test/keystrokes/firefox/line_nav_lists.py
M	test/keystrokes/firefox/line_nav_lists_broken.py
M	test/keystrokes/firefox/line_nav_lists_without_items.py
M	test/keystrokes/firefox/line_nav_multi_line_text.py
M	test/keystrokes/firefox/line_nav_nested_tables.py
M	test/keystrokes/firefox/line_nav_offscreen_text_with_tiny_width.py
M	test/keystrokes/firefox/line_nav_paragraphs_in_links.py
M	test/keystrokes/firefox/line_nav_pre_lines.py
M	test/keystrokes/firefox/line_nav_pre_links.py
M	test/keystrokes/firefox/line_nav_role_application.py
M	test/keystrokes/firefox/line_nav_roledescriptions.py
M	test/keystrokes/firefox/line_nav_simple_form.py
M	test/keystrokes/firefox/line_nav_slash_test.py
M	test/keystrokes/firefox/line_nav_sun_java.py
M	test/keystrokes/firefox/line_nav_table_captions.py
M	test/keystrokes/firefox/line_nav_table_cell_links.py
M	test/keystrokes/firefox/line_nav_textarea_last_line.py
M	test/keystrokes/firefox/line_nav_twitter_bug.py
M	test/keystrokes/firefox/line_nav_wiki_down.py
M	test/keystrokes/firefox/line_nav_wiki_up.py
M	test/keystrokes/firefox/link_where_am_i.py
M	test/keystrokes/firefox/longdesc_1.py
M	test/keystrokes/firefox/longdesc_10.py
M	test/keystrokes/firefox/longdesc_11.py
M	test/keystrokes/firefox/longdesc_12.py
M	test/keystrokes/firefox/longdesc_13.py
M	test/keystrokes/firefox/longdesc_14.py
M	test/keystrokes/firefox/longdesc_15.py
M	test/keystrokes/firefox/longdesc_2.py
M	test/keystrokes/firefox/longdesc_3.py
M	test/keystrokes/firefox/longdesc_4.py
M	test/keystrokes/firefox/longdesc_5.py
M	test/keystrokes/firefox/longdesc_6.py
M	test/keystrokes/firefox/longdesc_7.py
M	test/keystrokes/firefox/longdesc_8.py
M	test/keystrokes/firefox/longdesc_9.py
M	test/keystrokes/firefox/math_line_nav_fraction.py
M	test/keystrokes/firefox/math_line_nav_math_in_dialog.py
M	test/keystrokes/firefox/math_line_nav_mathvariant.py
M	test/keystrokes/firefox/math_line_nav_menclose.py
M	test/keystrokes/firefox/math_line_nav_mfenced.py
M	test/keystrokes/firefox/math_line_nav_mroot.py
M	test/keystrokes/firefox/math_line_nav_mrow.py
M	test/keystrokes/firefox/math_line_nav_scripts.py
M	test/keystrokes/firefox/math_line_nav_table.py
M	test/keystrokes/firefox/math_line_nav_torture_test.py
M	test/keystrokes/firefox/mouseover_javascript_alert.py
M	test/keystrokes/firefox/object_nav_descriptions_down.py
M	test/keystrokes/firefox/object_nav_descriptions_up.py
M	test/keystrokes/firefox/object_nav_link_in_quotes.py
M	test/keystrokes/firefox/object_nav_links_in_text.py
M	test/keystrokes/firefox/object_nav_links_on_line.py
M	test/keystrokes/firefox/object_nav_simple_form_down.py
M	test/keystrokes/firefox/object_nav_simple_form_up.py
M	test/keystrokes/firefox/say_all_blockquote.py
M	test/keystrokes/firefox/say_all_bug_511389.py
M	test/keystrokes/firefox/say_all_bug_591351_1.py
M	test/keystrokes/firefox/say_all_bugzilla_search.py
M	test/keystrokes/firefox/say_all_empty_anchor.py
M	test/keystrokes/firefox/say_all_enter_bug.py
M	test/keystrokes/firefox/say_all_entries.py
M	test/keystrokes/firefox/say_all_heading_section.py
M	test/keystrokes/firefox/say_all_hidden_elements.py
M	test/keystrokes/firefox/say_all_imagemap.py
M	test/keystrokes/firefox/say_all_multi_line_text.py
M	test/keystrokes/firefox/say_all_nested_tables.py
M	test/keystrokes/firefox/say_all_onmouseup.py
M	test/keystrokes/firefox/say_all_role_combo_box.py
M	test/keystrokes/firefox/say_all_role_links.py
M	test/keystrokes/firefox/say_all_role_lists.py
M	test/keystrokes/firefox/say_all_simple_form.py
M	test/keystrokes/firefox/say_all_table_caption.py
M	test/keystrokes/firefox/say_all_table_cell_links.py
M	test/keystrokes/firefox/say_all_wiki.py
M	test/keystrokes/firefox/spelling_errors.py
M	test/keystrokes/firefox/ui_doc_tabs.py
M	test/keystrokes/firefox/ui_role_radio_button.py
M	test/keystrokes/firefox/ui_role_radio_menu_item.py
M	test/keystrokes/firefox/word_nav_links.py
M	test/keystrokes/firefox/word_nav_list_items.py
M	test/keystrokes/gtk-demo/role_accel_label.py
M	test/keystrokes/gtk-demo/role_alert.py
M	test/keystrokes/gtk-demo/role_check_menu_item.py
M	test/keystrokes/gtk-demo/role_column_header.py
M	test/keystrokes/gtk-demo/role_combo_box.py
M	test/keystrokes/gtk-demo/role_combo_box2.py
M	test/keystrokes/gtk-demo/role_icon.py
M	test/keystrokes/gtk-demo/role_menu.py
M	test/keystrokes/gtk-demo/role_page_tab.py
M	test/keystrokes/gtk-demo/role_radio_button.py
M	test/keystrokes/gtk-demo/role_spin_button.py
M	test/keystrokes/gtk-demo/role_table.py
M	test/keystrokes/gtk-demo/role_text_multiline.py
M	test/keystrokes/gtk-demo/role_text_multiline_flatreview.py
M	test/keystrokes/gtk-demo/role_text_multiline_navigation.py
M	test/keystrokes/gtk-demo/role_tooltip.py
M	test/keystrokes/gtk-demo/role_tree_table.py
M	test/keystrokes/gtk3-demo/role_accel_label.py
M	test/keystrokes/gtk3-demo/role_alert.py
M	test/keystrokes/gtk3-demo/role_check_box.py
M	test/keystrokes/gtk3-demo/role_check_menu_item.py
M	test/keystrokes/gtk3-demo/role_color_chooser.py
M	test/keystrokes/gtk3-demo/role_column_header.py
M	test/keystrokes/gtk3-demo/role_combo_box.py
M	test/keystrokes/gtk3-demo/role_combo_box2.py
M	test/keystrokes/gtk3-demo/role_dialog.py
M	test/keystrokes/gtk3-demo/role_icon.py
M	test/keystrokes/gtk3-demo/role_info_bar.py
M	test/keystrokes/gtk3-demo/role_menu.py
M	test/keystrokes/gtk3-demo/role_page_tab.py
M	test/keystrokes/gtk3-demo/role_radio_button.py
M	test/keystrokes/gtk3-demo/role_radio_menu_item.py
M	test/keystrokes/gtk3-demo/role_spin_button.py
M	test/keystrokes/gtk3-demo/role_split_pane.py
M	test/keystrokes/gtk3-demo/role_table.py
M	test/keystrokes/gtk3-demo/role_text_multiline.py
M	test/keystrokes/gtk3-demo/role_text_multiline_flatreview.py
M	test/keystrokes/gtk3-demo/role_text_multiline_navigation.py
M	test/keystrokes/gtk3-demo/role_toggle_button.py
M	test/keystrokes/gtk3-demo/role_tooltip.py
M	test/keystrokes/gtk3-demo/role_tree_table.py
M	test/keystrokes/oowriter/document_nav_line.py

2015-12-01 22:09:21 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix regression in presenting text selection

M	src/orca/scripts/default.py

2015-12-01 16:31:34 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Re-present just the locusOfFocus after tooltip has been dismissed

M	src/orca/scripts/default.py
M	src/orca/speech_generator.py

2015-12-01 14:50:39 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Only update the locusOfFocus in response to caret events from active window

M	src/orca/scripts/default.py

2015-12-01 13:53:04 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix double-presentation of top-level Gtk+ alerts

M	src/orca/scripts/toolkits/gtk/script.py

2015-12-01 11:29:30 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	help/es/es.po

2015-11-30 16:30:54 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Cache the string in addition to the offsets for selected text

M	src/orca/script_utilities.py
M	src/orca/scripts/apps/evince/script.py
M	src/orca/scripts/apps/soffice/script.py
M	src/orca/scripts/default.py

2015-11-30 15:29:36 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add more sanity checks for defunct objects

M	src/orca/script_utilities.py

2015-11-30 15:55:53 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	help/es/es.po

2015-11-30 11:26:26 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	help/es/es.po

2015-11-30 11:25:20 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2015-11-29 04:07:11 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix traceback

M	src/orca/speech_generator.py

2015-11-29 00:02:28 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Improve performance of presentation of web listboxes

M	src/orca/braille_generator.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py
M	src/orca/speech_generator.py

2015-11-28 23:36:08 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix debugging line

M	src/orca/event_manager.py

2015-11-28 11:20:10 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Adjust the ellipsis regex

M	src/orca/speechdispatcherfactory.py

2015-11-28 08:39:48 +0000 Pedro Albuquerque <palbuquerque73@gmail.com>

        Updated Portuguese translation

M	po/pt.po

2015-11-27 18:48:46 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Create separate cell-vs-row reading options for documents, spreadsheets, and GUI

M	help/C/howto_tables.page
M	help/C/preferences_speech.page
M	src/orca/generator.py
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py
M	src/orca/script_utilities.py
M	src/orca/scripts/apps/soffice/braille_generator.py
M	src/orca/scripts/apps/soffice/script.py
M	src/orca/scripts/apps/soffice/script_utilities.py
M	src/orca/scripts/apps/soffice/speech_generator.py
M	src/orca/scripts/default.py
M	src/orca/settings.py
M	src/orca/tutorialgenerator.py

2015-11-27 19:36:23 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Stop filtering out events from ROLE_FILLER.

M	src/orca/event_manager.py

2015-11-27 15:52:48 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't treat a series of periods as an ellipsis

M	src/orca/speechdispatcherfactory.py

2015-11-27 13:31:36 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix positional argument issue from earlier commit

M	src/orca/scripts/default.py

2015-11-27 12:20:55 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Only update locusOfFocus for menu item focus: events if we're not in that menu

M	src/orca/scripts/toolkits/GAIL/script.py
M	src/orca/scripts/toolkits/gtk/script.py

2015-11-27 11:49:41 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle more instances of defunct apps

M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py

2015-11-27 11:00:48 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add optional argument to not reset punctuation and capitalization styles for messages

M	src/orca/scripts/default.py
M	src/orca/scripts/web/script.py

2015-11-27 10:41:09 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Only change the locusOfFocus in onActiveChanged if not in the current window

M	src/orca/scripts/default.py

2015-11-27 10:27:52 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't update punctuation and capitalization styles for messages in default voice

M	src/orca/scripts/default.py

2015-11-26 15:24:29 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add timestamps to debugging output

M	src/orca/debug.py
M	src/orca/event_manager.py
M	src/orca/generator.py
M	src/orca/orca.py
M	src/orca/script.py
M	src/orca/script_manager.py
M	src/orca/script_utilities.py
M	src/orca/scripts/apps/Thunderbird/script.py
M	src/orca/scripts/apps/soffice/script.py
M	src/orca/scripts/apps/soffice/script_utilities.py
M	src/orca/scripts/apps/soffice/spellcheck.py
M	src/orca/scripts/default.py
M	src/orca/scripts/toolkits/Gecko/script.py
M	src/orca/scripts/toolkits/Gecko/script_utilities.py
M	src/orca/scripts/toolkits/WebKitGtk/script.py
M	src/orca/scripts/toolkits/clutter/script.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py
M	src/orca/settings_manager.py
M	src/orca/speech.py
M	src/orca/speechdispatcherfactory.py

2015-11-26 21:13:35 +0100 Frédéric Péters <fpeters@0d.be>

        Fix tags in French help translation

M	help/fr/fr.po

2015-11-26 12:59:59 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix loading capitalization style value in Preferences dialog

M	src/orca/orca_gui_prefs.py
M	src/orca/speechdispatcherfactory.py

2015-11-26 12:21:48 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Treat ROLE_PAGE as a top-level object when doing Zombie checks

M	src/orca/script_utilities.py

2015-11-26 08:13:33 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Set window activate time and locusOfFocus for frames in onActiveChanged()

M	src/orca/scripts/default.py

2015-11-26 07:13:35 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add GUI option to configure capitalization style

M	help/C/preferences_voice.page
M	src/orca/guilabels.py
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py
M	src/orca/scripts/default.py
M	src/orca/settings.py

2015-11-26 04:14:44 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't verbalize punctuation or capitalization for messages

M	src/orca/orca.py
M	src/orca/scripts/default.py

2015-11-26 01:57:15 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Improve presentation of headings which contain embedded objects

M	src/orca/scripts/web/script.py

2015-11-26 01:24:11 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Improve presentation of non-empty anchors

M	src/orca/scripts/web/braille_generator.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py

2015-11-26 00:51:18 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Distinguish between empty anchors and anchors with accessible text

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2015-11-25 21:05:57 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2015-11-25 21:03:27 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for the 3.19.2 release

M	NEWS
M	README
M	configure.ac

2015-11-25 15:54:18 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2015-11-24 22:56:15 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Update the soffice script to work better with setLocusOfFocus and onCaretMoved

M	src/orca/scripts/apps/soffice/script.py

2015-11-24 18:24:23 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add more logic for fragments, and more verbose debugging

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2015-11-24 15:24:24 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	help/es/es.po

2015-11-24 09:37:15 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Additional debugging to make identifying broken tables easier

M	src/orca/script_utilities.py
M	src/orca/structural_navigation.py

2015-11-24 09:23:56 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Treat all lists as not layout only by default

M	src/orca/script_utilities.py

2015-11-24 06:13:48 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't double/multi-present selection-state messages

M	src/orca/scripts/default.py

2015-11-24 05:55:19 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add dedicated, unbound commands to present selected text and link details

M	help/C/commands_reading.page
M	src/orca/cmdnames.py
M	src/orca/common_keyboardmap.py
M	src/orca/messages.py
M	src/orca/scripts/default.py
M	src/orca/speech_generator.py

2015-11-24 01:39:29 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't treat labels as text block elements

M	src/orca/scripts/web/script_utilities.py

2015-11-24 00:11:47 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Filter out hidden elements when presenting content

M	src/orca/scripts/web/script_utilities.py

2015-11-23 23:23:05 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fall back on displayed text if a list item has no name

M	src/orca/formatting.py

2015-11-23 23:04:17 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't fail to generate a substring on the basis of the name being the same

M	src/orca/generator.py

2015-11-23 23:02:17 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't treat panels as text block elements

M	src/orca/scripts/web/script_utilities.py

2015-11-23 16:09:44 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Work around multiple issues related to active windows

M	src/orca/script_utilities.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2015-11-23 19:05:00 +0100 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2015-11-22 14:42:55 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Use Gecko's onChildrenChanged callback for Thunderbird; not the default script's

M	src/orca/scripts/apps/Thunderbird/script.py

2015-11-22 12:28:31 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        More debugging output to track down another bug I cannot reproduce

M	src/orca/scripts/apps/Thunderbird/script.py
M	src/orca/scripts/default.py
M	src/orca/scripts/web/script.py

2015-11-22 11:40:19 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Use isLink() rather than a role check to eliminate false positive from anchor

M	src/orca/scripts/web/script.py

2015-11-22 09:45:38 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't look for replicant for zombie locusOfFocus when in focus mode

M	src/orca/scripts/web/script.py

2015-11-22 00:46:53 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Update orca_state.activeWindow in response to object:state-changed:active

M	src/orca/scripts/default.py

2015-11-22 00:31:09 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Only present progress bar reaching 100% if it's a bar we should present

M	src/orca/script_utilities.py

2015-11-21 08:48:23 +0000 Pedro Albuquerque <palbuquerque73@gmail.com>

        Updated Portuguese translation

M	po/pt.po

2015-11-21 08:44:19 +0000 Pedro Albuquerque <palbuquerque73@gmail.com>

        Updated Portuguese translation

M	po/pt.po

2015-11-20 17:30:24 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove the zombie check from commonAncestor as it causes chattiness

M	src/orca/script_utilities.py

2015-11-20 17:17:56 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't bother processing active-descendant-changed events for zombie descendant

M	src/orca/event_manager.py

2015-11-20 14:41:15 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove unused method

M	src/orca/scripts/default.py

2015-11-20 13:03:43 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add pkg.m4 and yelp.m4 to .gitignore

M	m4/.gitignore

2015-11-20 12:49:57 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Rewrite progressbar code

M	help/C/preferences_general.page
M	help/C/preferences_speech.page
M	src/orca/braille_generator.py
M	src/orca/formatting.py
M	src/orca/generator.py
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py
M	src/orca/script_utilities.py
M	src/orca/scripts/default.py
M	src/orca/scripts/toolkits/Gecko/script.py
M	src/orca/scripts/toolkits/WebKitGtk/script.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/settings.py
M	src/orca/speech_generator.py

2015-11-19 16:17:05 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Prefer the name of focusable list items over its displayed text

M	src/orca/formatting.py
M	src/orca/scripts/web/speech_generator.py

2015-11-19 15:44:20 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle more instances of the undead (zombies); start handling the dead

M	src/orca/orca.py
M	src/orca/script_utilities.py
M	src/orca/scripts/default.py

2015-11-19 12:09:20 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Check if the roles are the same when getting common ancestor of a zombie

M	src/orca/script_utilities.py

2015-11-19 09:08:55 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle exception getting name from defunct active window

M	src/orca/scripts/default.py

2015-11-19 11:10:36 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	help/es/es.po

2015-11-18 19:47:47 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Print exception when event could not be processed

M	src/orca/event_manager.py

2015-11-18 19:21:49 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Updated regression test

M	test/keystrokes/firefox/aria_landmarks.py

2015-11-18 19:13:29 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Move ARIA landmark types out of settings and into script utilities

M	src/orca/script_utilities.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/settings.py
M	src/orca/structural_navigation.py

2015-11-18 18:40:47 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove application from the list of ARIA landmark types (ARIA 1.1 compliance)

M	src/orca/settings.py

2015-11-18 18:26:42 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Present newly-shown GtkInfoBars

M	src/orca/scripts/apps/evince/script.py
M	src/orca/scripts/toolkits/gtk/script.py

2015-11-18 17:16:51 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        More aggressively filter out object:state-changed:showing events

M	src/orca/event_manager.py

2015-11-18 16:53:05 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Always ignore events from ROLE_FILLER

M	src/orca/event_manager.py

2015-11-18 16:40:09 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix double-presentation and incorrect ordering of frame name changes

M	src/orca/script_utilities.py
M	src/orca/scripts/default.py

2015-11-17 19:04:37 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Rewrite setLocusOfFocus and default script's onCaretMoved

M	src/orca/orca.py
M	src/orca/scripts/default.py

2015-11-17 18:57:42 +0100 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	po/es.po

2015-11-16 23:34:18 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix traceback

M	src/orca/keybindings.py

2015-11-16 13:12:29 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Improve presentation of GtkEntryCompletion

M	src/orca/script_utilities.py
M	src/orca/scripts/toolkits/gtk/script.py
M	src/orca/scripts/toolkits/gtk/script_utilities.py

2015-11-14 07:01:29 +0000 Pedro Albuquerque <palbuquerque73@gmail.com>

        Updated Portuguese translation

M	po/pt.po

2015-11-12 17:49:29 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Generate all child widgets of GtkListBox items

M	src/orca/braille_generator.py
M	src/orca/formatting.py
M	src/orca/speech_generator.py

2015-11-12 17:31:47 +0100 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	help/cs/cs.po

2015-11-12 17:10:34 +0100 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	po/cs.po

2015-11-12 05:27:20 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove 'context' attribute from new translatable strings in .ui file

M	src/orca/orca-setup.ui

2015-11-12 04:50:33 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove single quote symbols from new translator notes in .ui file

M	src/orca/orca-setup.ui

2015-11-12 01:32:13 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add GUI to enable rewind/fast-forward and structural navigation in Say All

M	help/C/preferences_general.page
M	help/C/preferences_voice.page
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py
M	src/orca/settings.py

2015-11-11 22:33:10 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Make the use of color names configurable via GUI

M	help/C/preferences_speech.page
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py

2015-11-11 16:18:46 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Make speech and braille message settings configurable via GUI

M	help/C/preferences_braille.page
M	help/C/preferences_speech.page
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py
M	src/orca/scripts/default.py
M	src/orca/settings.py

2015-11-11 17:56:32 +0000 Wolfgang Stöggl <c72578@yahoo.de>

        Updated German translation

M	po/de.po

2015-11-10 23:41:36 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Don't display shortcuts if braille verbosity is set to brief

M	src/orca/braille_generator.py

2015-11-10 20:09:40 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add explicit time format option for 12-hour time with seconds

M	src/orca/messages.py
M	src/orca/orca_gui_prefs.py

2015-11-10 19:35:50 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add preference and unbound keybinding to have Orca speak numbers as digits

M	help/C/commands_speech_settings.page
M	help/C/preferences_voice.page
M	src/orca/cmdnames.py
M	src/orca/common_keyboardmap.py
M	src/orca/messages.py
M	src/orca/orca-setup.ui
M	src/orca/orca_gui_prefs.py
M	src/orca/script_utilities.py
M	src/orca/scripts/default.py
M	src/orca/settings.py

2015-11-10 16:52:48 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove two unused settings

M	src/orca/settings.py

2015-10-02 10:58:44 -0500 Michael Catanzaro <mcatanzaro@gnome.org>

        Add NotShowIn=GNOME; to the desktop file

M	orca.desktop.in

2015-11-10 14:32:14 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove the gdm-simple-greeter script

M	configure.ac
M	src/orca/scripts/apps/Makefile.am
D	src/orca/scripts/apps/gdm-simple-greeter/Makefile.am
D	src/orca/scripts/apps/gdm-simple-greeter/__init__.py
D	src/orca/scripts/apps/gdm-simple-greeter/script.py

2015-11-10 13:53:40 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Remove the gdmlogin script

M	configure.ac
M	src/orca/scripts/apps/Makefile.am
M	src/orca/scripts/apps/__init__.py
D	src/orca/scripts/apps/gdmlogin/Makefile.am
D	src/orca/scripts/apps/gdmlogin/__init__.py
D	src/orca/scripts/apps/gdmlogin/script.py

2015-11-10 04:03:15 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Separate space out from other "action" keys for the purpose of key echo

M	help/C/howto_text_setup.page
M	help/C/preferences_key_echo.page
M	src/orca/input_event.py
M	src/orca/messages.py
M	src/orca/orca-setup.ui
M	src/orca/orca_console_prefs.py
M	src/orca/orca_gui_prefs.py
M	src/orca/settings.py

2015-11-10 00:31:43 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Break up printable-keys keyecho into alpha, numeric, and punctuation

M	help/C/howto_text_setup.page
M	help/C/preferences_key_echo.page
M	src/orca/input_event.py
M	src/orca/messages.py
M	src/orca/orca-setup.ui
M	src/orca/orca_console_prefs.py
M	src/orca/orca_gui_prefs.py
M	src/orca/scripts/default.py
M	src/orca/settings.py

2015-11-09 16:02:35 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2015-11-09 15:54:57 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for the 3.18.2 release

M	NEWS
M	README
M	configure.ac

2015-11-09 14:00:42 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Fix typeahead search in the list-of-elements dialogs

M	src/orca/orca_gui_navlist.py

2015-11-08 16:05:35 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Handle exceptions getting pitch and rate during debugging

M	src/orca/speechdispatcherfactory.py

2015-11-06 01:17:25 -0500 Joanmarie Diggs <jdiggs@igalia.com>

        Add some debugging to illustrate the weird voice speech-dispatcher/espeak bug

M	src/orca/speech.py
M	src/orca/speechdispatcherfactory.py

2015-11-02 12:56:35 +0000 Attila Hammer <hammera@pickup.hu>

        Updated Hungarian translation

M	po/hu.po

2015-10-29 15:57:40 +0900 Joanmarie Diggs <jdiggs@igalia.com>

        Add some more debugging to the event manager

M	src/orca/event_manager.py

2015-10-29 14:43:26 +0900 Joanmarie Diggs <jdiggs@igalia.com>

        Remove redundant ancestry ascension

M	src/orca/scripts/web/script.py

2015-10-28 10:30:23 +0100 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	po/cs.po

2015-10-24 13:49:00 +0200 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	help/cs/cs.po

2015-10-24 11:01:53 +0200 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	po/cs.po

2015-10-24 11:00:49 +0200 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	po/cs.po

2015-10-23 03:37:53 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Remove busy check for focus events

M	src/orca/scripts/web/script.py

2015-10-23 00:29:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Use isDocument method when looking for documentFrame

M	src/orca/scripts/web/script_utilities.py

2015-10-23 00:13:16 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Only treat URIs that start with "http" as top-level web app candidates

M	src/orca/scripts/web/script_utilities.py

2015-10-22 22:49:18 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't check if an object is a top-level web app if it is still busy

M	src/orca/scripts/web/script.py

2015-10-22 22:25:07 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Check for a URI before concluding a document frame is a top-level web app

M	src/orca/scripts/web/script_utilities.py

2015-10-20 16:48:41 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        If we get a text change from a focused password field, update the locusOfFocus

M	src/orca/scripts/default.py

2015-10-20 16:33:03 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Be sure we have an active window and focused object when a key is pressed

M	src/orca/orca.py
M	src/orca/script_utilities.py
M	src/orca/scripts/default.py

2015-10-20 12:15:42 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Present text changes resulting from onclick handlers

M	src/orca/orca_gui_navlist.py
M	src/orca/scripts/web/script.py
A	test/html/clickable-text-change.html
A	test/keystrokes/firefox/html_struct_nav_clickable_text_change.params
A	test/keystrokes/firefox/html_struct_nav_clickable_text_change.py

2015-10-18 16:27:18 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't generate ancestors for MathML elements and filter out empty utterances

M	src/orca/scripts/web/speech_generator.py

2015-10-17 02:27:27 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate another instance of Gecko chattiness

M	src/orca/scripts/toolkits/Gecko/script.py

2015-10-17 01:59:34 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Switch to sticky focus mode in top-level web applications

M	src/orca/scripts/web/script.py

2015-10-17 01:47:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Attempt to work around Google Docs editor exposed as ROLE_UNKNOWN by Firefox

M	src/orca/scripts/web/script.py

2015-10-17 01:36:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        For web apps: Don't infer labels; do present focus events even if app is busy

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2015-10-16 21:52:54 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Filter out more browser chrome event spam

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2015-10-16 20:27:51 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add sanity check for broken accessibility trees when getting the focused child

M	src/orca/script_utilities.py

2015-10-16 19:54:20 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Use existing script utilities to generate focused item and selected items

M	src/orca/braille_generator.py
M	src/orca/speech_generator.py

2015-10-16 16:33:44 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate some chattiness from focus events when page is still loading

M	src/orca/scripts/web/script.py

2015-10-16 15:22:31 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't present sticky-focus-mode message if already in that mode

M	src/orca/scripts/web/script.py

2015-10-16 15:17:37 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Treat role embedded as a focus-mode widget

M	src/orca/scripts/web/script_utilities.py

2015-10-15 20:05:56 +0000 Christian Kirbach <Christian.Kirbach@gmail.com>

        Updated German translation

M	po/de.po

2015-10-15 12:25:29 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Use Orca's web support to say word contents for editable messages in Thunderbird

M	src/orca/scripts/apps/Thunderbird/script.py

2015-10-14 21:35:22 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around broken lists in web content

M	src/orca/scripts/web/script_utilities.py
A	test/html/bogus-ol.html
A	test/keystrokes/firefox/line_nav_lists_broken.params
A	test/keystrokes/firefox/line_nav_lists_broken.py

2015-10-14 17:03:11 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't return the child of a non-descendable element as the last document object

M	src/orca/scripts/web/script_utilities.py

2015-10-14 15:21:47 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't descend links with author-provided names

M	src/orca/scripts/web/script_utilities.py
A	test/html/pretty-links.html
A	test/keystrokes/firefox/line_nav_fontawesome_link.params
A	test/keystrokes/firefox/line_nav_fontawesome_link.py

2015-10-14 13:58:25 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Update Gedit spellcheck support for 3.18 and improve heuristic performance

M	src/orca/scripts/apps/gedit/spellcheck.py

2015-10-14 13:03:05 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Do not try to calculate node level for non-tree descendants

M	src/orca/script_utilities.py

2015-10-14 11:48:37 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2015-10-14 11:44:57 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for the 3.18.1 release

M	NEWS
M	README
M	configure.ac

2015-10-13 19:27:37 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add sanity check that we have an object before querying its text interface

M	src/orca/scripts/web/script_utilities.py

2015-10-13 13:32:18 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix infinite recursion checking links for useless canvas descendants

M	src/orca/scripts/web/script_utilities.py

2015-10-13 10:42:09 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Revert "Clear cached text when clearing cached objects; not when clearing context cache"

M	src/orca/scripts/web/script_utilities.py

2015-10-13 09:10:08 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Check that the focusable context object is not the document after page load

M	src/orca/scripts/web/script.py

2015-10-13 09:03:08 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add more Zombie checks and cache clearing

M	src/orca/scripts/web/script_utilities.py

2015-10-13 07:38:19 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Clear cached text when clearing cached objects; not when clearing context cache

M	src/orca/scripts/web/script_utilities.py

2015-10-13 00:21:58 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Speak "image link" for links whose content is canvas without fallback content

M	src/orca/scripts/web/speech_generator.py

2015-10-12 23:56:35 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Treat links whose content is canvas without fallback content as graphical links

M	src/orca/scripts/web/script_utilities.py

2015-10-13 02:56:36 +0000 Tiago Casal <tcasal@intervox.nce.ufrj.br>

        Updated Brazilian Portuguese translation

M	po/pt_BR.po

2015-10-12 18:58:17 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Only filter sizeless elements if they lack text

M	src/orca/scripts/web/script_utilities.py

2015-10-12 18:20:14 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't present canvas elements which lack fallback content

M	src/orca/scripts/web/script_utilities.py
A	test/html/canvas-fallback.html
A	test/keystrokes/firefox/line_nav_canvas.params
A	test/keystrokes/firefox/line_nav_canvas.py

2015-10-12 18:03:22 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't filter contents with length 1

M	src/orca/scripts/web/script_utilities.py

2015-10-12 16:47:49 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add initial delay to some of the UI regression tests

M	test/keystrokes/firefox/ui_role_menu_bar.py
M	test/keystrokes/firefox/ui_role_page_tab.py
M	test/keystrokes/firefox/ui_role_push_button.py
M	test/keystrokes/firefox/ui_role_radio_button.py
M	test/keystrokes/firefox/ui_role_radio_menu_item.py
M	test/keystrokes/firefox/ui_role_tree.py
M	test/keystrokes/firefox/ui_role_tree_table.py

2015-10-12 13:02:10 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Always treat web objects with document roles as in document content

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2015-10-12 13:23:19 +0000 Milo Casagrande <milo@ubuntu.com>

        Updated Italian translation

M	po/it.po

2015-10-11 12:14:35 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Do loading check first when processing busy events; more debugging output

M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2015-10-10 12:35:06 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't filter out state-changed:busy events just on the basis of the locusOfFocus

M	src/orca/scripts/web/script.py

2015-10-09 15:12:01 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't filter out web caret-moved events just on the basis of the locusOfFocus

M	src/orca/scripts/web/script.py

2015-10-09 13:42:48 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Updated tests

M	test/keystrokes/firefox/line_nav_bug_552887a.py
M	test/keystrokes/firefox/line_nav_bug_554616.py
M	test/keystrokes/firefox/line_nav_follow_same_page_link.py
M	test/keystrokes/firefox/line_nav_follow_same_page_link_2.py
M	test/keystrokes/firefox/line_nav_iframes_blogger.py
M	test/keystrokes/firefox/line_nav_iframes_nested.py
M	test/keystrokes/firefox/line_nav_simple_form.py
M	test/keystrokes/firefox/line_nav_sun_java.py

2015-10-08 11:45:19 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Updated tests

M	test/keystrokes/firefox/aria_alert.py
M	test/keystrokes/firefox/aria_alert_dialog.py
M	test/keystrokes/firefox/aria_button.py
M	test/keystrokes/firefox/aria_button_dojo.py
M	test/keystrokes/firefox/aria_button_toggle.py
M	test/keystrokes/firefox/aria_combobox_dojo.py
M	test/keystrokes/firefox/aria_editor_navigation_dojo.py
M	test/keystrokes/firefox/aria_landmarks.py
M	test/keystrokes/firefox/aria_slider_dojo.py
M	test/keystrokes/firefox/focus_tracking_links.py
M	test/keystrokes/firefox/html_struct_nav_links.py
M	test/keystrokes/firefox/label_inference_entries.py
M	test/keystrokes/firefox/label_inference_mailman.py
M	test/keystrokes/firefox/object_nav_descriptions_down.py

2015-10-07 18:48:36 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        If label inference comes up with nothing, increase left proximity and retry.

M	src/orca/label_inference.py
A	test/html/poorly-labeled-form.html
A	test/keystrokes/firefox/label_inference_labels_without_for_far_away.params
A	test/keystrokes/firefox/label_inference_labels_without_for_far_away.py

2015-10-07 17:44:23 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Present Firefox "door hanger" alerts

M	src/orca/formatting.py
M	src/orca/scripts/toolkits/Gecko/script.py
M	src/orca/scripts/web/script_utilities.py

2015-10-07 17:26:42 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Filter out selection event spam from browser chrome autocompletes

M	src/orca/scripts/toolkits/Gecko/script.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2015-10-07 17:04:38 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Filter out duplicate object:state-changed events

M	src/orca/script.py

2015-10-06 14:20:40 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prefer name over displayed text for widgets in web content

M	src/orca/formatting.py
M	src/orca/scripts/web/braille_generator.py
M	src/orca/scripts/web/speech_generator.py

2015-10-06 11:40:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't look for caret context in siblings of objects whose index in parent is -1

M	src/orca/scripts/web/script_utilities.py

2015-10-02 14:34:49 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't filter out labels without names when getting unrelated labels

M	src/orca/script_utilities.py

2015-10-01 19:59:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Present aria-roledescription for non-focusable landmarks

M	src/orca/formatting.py
M	src/orca/scripts/web/script_utilities.py

2015-10-01 23:37:20 +0000 Милош Поповић <gpopac@gmail.com>

        Updated Serbian Latin translation

M	po/sr@latin.po

2015-10-01 23:36:18 +0000 Марко Костић <marko.m.kostic@gmail.com>

        Updated Serbian translation

M	po/sr.po

2015-10-01 14:36:16 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add sanity check for elements reporting children but having none

M	src/orca/scripts/web/script_utilities.py

2015-10-01 10:38:41 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Additional debugging output

M	src/orca/debug.py
M	src/orca/generator.py
M	src/orca/script_manager.py
M	src/orca/script_utilities.py

2015-09-30 20:52:03 +0000 Wolfgang Stöggl <c72578@yahoo.de>

        Updated German translation

M	help/de/de.po

2015-09-30 12:05:13 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Include object role in the list of landmarks dialog

M	src/orca/structural_navigation.py

2015-09-30 09:42:50 +0300 Dimitris Spingos <dmtrs32@gmail.com>

        Updated Greek translation

M	help/el/el.po

2015-09-27 22:12:00 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Revert "Treat web documents as top-level roles for the purpose of Zombie detection"

M	src/orca/script_utilities.py

2015-09-27 16:04:38 +0000 Милош Поповић <gpopac@gmail.com>

        Updated Serbian Latin translation

M	po/sr@latin.po

2015-09-27 16:03:40 +0000 Марко Костић <marko.m.kostic@gmail.com>

        Updated Serbian translation

M	po/sr.po

2015-09-27 09:01:12 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Several additional changes to make children-changed processing more performant

M	src/orca/scripts/web/script.py

2015-09-27 08:25:59 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Check if the document is busy before fully processing children-changed events

M	src/orca/scripts/web/script.py

2015-09-26 16:42:54 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add sanity checks and more debugging for intermittant Firefox-related hang

M	src/orca/debug.py
M	src/orca/event_manager.py
M	src/orca/script_utilities.py
M	src/orca/scripts/toolkits/Gecko/script.py
M	src/orca/scripts/web/script.py
M	src/orca/scripts/web/script_utilities.py

2015-09-25 20:18:33 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add debugging output

M	src/orca/event_manager.py

2015-09-22 14:54:25 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        New test case

A	test/html/aria-role-application.html
A	test/keystrokes/firefox/line_nav_role_application.params
A	test/keystrokes/firefox/line_nav_role_application.py

2015-09-22 13:12:11 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add debugging output

M	src/orca/scripts/web/script_utilities.py

2015-09-22 12:06:40 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Updated tests

M	test/keystrokes/firefox/aria_alert.py
M	test/keystrokes/firefox/aria_alert_dialog.py
M	test/keystrokes/firefox/aria_button_dojo.py
M	test/keystrokes/firefox/aria_button_toggle.py
M	test/keystrokes/firefox/aria_checkbox.py
M	test/keystrokes/firefox/aria_checkbox_dojo.py
M	test/keystrokes/firefox/aria_combobox_dojo.py
M	test/keystrokes/firefox/aria_dialog_dismissed.py
M	test/keystrokes/firefox/aria_dialog_dojo.py
M	test/keystrokes/firefox/aria_editor_navigation_dojo.py
M	test/keystrokes/firefox/aria_landmarks.py
M	test/keystrokes/firefox/aria_list.py
M	test/keystrokes/firefox/aria_menu.py
M	test/keystrokes/firefox/aria_progressbar.py
M	test/keystrokes/firefox/aria_radiobutton.py
M	test/keystrokes/firefox/aria_roledescription_where_am_i.py
M	test/keystrokes/firefox/aria_slider.py
M	test/keystrokes/firefox/aria_slider_dojo.py
M	test/keystrokes/firefox/aria_slider_tpg.py
M	test/keystrokes/firefox/aria_sliders.py
M	test/keystrokes/firefox/aria_spinner_dojo.py
M	test/keystrokes/firefox/aria_tabcontainer_dojo.py
M	test/keystrokes/firefox/aria_tabpanel.py
M	test/keystrokes/firefox/aria_tabpanel2.py
M	test/keystrokes/firefox/aria_tabpanel_text_dojo.py
M	test/keystrokes/firefox/aria_toolbar_dojo.py
M	test/keystrokes/firefox/aria_tree.py
M	test/keystrokes/firefox/aria_tree_dojo.py
M	test/keystrokes/firefox/aria_treegrid.py
M	test/keystrokes/firefox/find_wiki.py
M	test/keystrokes/firefox/flat_review_combo_box.py
M	test/keystrokes/firefox/flat_review_hidden_elements.py
M	test/keystrokes/firefox/flat_review_text_by_line.py
M	test/keystrokes/firefox/flat_review_text_by_word_and_char.py
M	test/keystrokes/firefox/focus_tracking_descriptions.py
M	test/keystrokes/firefox/focus_tracking_imagemap.py
M	test/keystrokes/firefox/focus_tracking_input_type_number.py
M	test/keystrokes/firefox/focus_tracking_link_child_of_body.py
M	test/keystrokes/firefox/focus_tracking_links.py
M	test/keystrokes/firefox/focus_tracking_radios_with_label_and_name.py
M	test/keystrokes/firefox/focus_tracking_roledescriptions.py
M	test/keystrokes/firefox/html_page_summary.py
M	test/keystrokes/firefox/html_role_combo_box.py
M	test/keystrokes/firefox/html_role_links.py
M	test/keystrokes/firefox/html_role_list_item_where_am_i.py
M	test/keystrokes/firefox/html_struct_nav_activate_link.py
M	test/keystrokes/firefox/html_struct_nav_blockquote.py
M	test/keystrokes/firefox/html_struct_nav_bug_554616.py
M	test/keystrokes/firefox/html_struct_nav_bug_556470.py
M	test/keystrokes/firefox/html_struct_nav_bug_567984.py
M	test/keystrokes/firefox/html_struct_nav_bug_591592.py
M	test/keystrokes/firefox/html_struct_nav_descriptions.py
M	test/keystrokes/firefox/html_struct_nav_heading_empty.py
M	test/keystrokes/firefox/html_struct_nav_heading_in_div_with_text.py
M	test/keystrokes/firefox/html_struct_nav_heading_with_child_text.py
M	test/keystrokes/firefox/html_struct_nav_heading_with_clickable.py
M	test/keystrokes/firefox/html_struct_nav_headings_buried_deep.py
M	test/keystrokes/firefox/html_struct_nav_headings_with_hidden_anchors.py
M	test/keystrokes/firefox/html_struct_nav_hidden_paragraphs.py
M	test/keystrokes/firefox/html_struct_nav_large_obj.py
M	test/keystrokes/firefox/html_struct_nav_link_with_child_text.py
M	test/keystrokes/firefox/html_struct_nav_links.py
M	test/keystrokes/firefox/html_struct_nav_list_item.py
M	test/keystrokes/firefox/html_struct_nav_lists.py
M	test/keystrokes/firefox/label_inference_bug_546815.py
M	test/keystrokes/firefox/label_inference_bugzilla_search.py
M	test/keystrokes/firefox/label_inference_entries.py
M	test/keystrokes/firefox/label_inference_mailman.py
M	test/keystrokes/firefox/line_nav_bug_546815.py
M	test/keystrokes/firefox/line_nav_bug_549128.py
M	test/keystrokes/firefox/line_nav_bug_552887a.py
M	test/keystrokes/firefox/line_nav_bug_554616.py
M	test/keystrokes/firefox/line_nav_bug_555055.py
M	test/keystrokes/firefox/line_nav_bug_570757.py
M	test/keystrokes/firefox/line_nav_bug_577239.py
M	test/keystrokes/firefox/line_nav_bug_592383.py
M	test/keystrokes/firefox/line_nav_bugzilla_search_down.py
M	test/keystrokes/firefox/line_nav_bugzilla_search_up.py
M	test/keystrokes/firefox/line_nav_button_in_link_position_relative_on_focus.py
M	test/keystrokes/firefox/line_nav_clickables.py
M	test/keystrokes/firefox/line_nav_descriptions.py
M	test/keystrokes/firefox/line_nav_display_table_cell.py
M	test/keystrokes/firefox/line_nav_empty_anchor.py
M	test/keystrokes/firefox/line_nav_empty_block_link.py
M	test/keystrokes/firefox/line_nav_empty_textarea.py
M	test/keystrokes/firefox/line_nav_enter_bug.py
M	test/keystrokes/firefox/line_nav_entries.py
M	test/keystrokes/firefox/line_nav_focused_link.py
M	test/keystrokes/firefox/line_nav_follow_same_page_link.py
M	test/keystrokes/firefox/line_nav_follow_same_page_link_2.py
M	test/keystrokes/firefox/line_nav_follow_same_page_link_3.py
M	test/keystrokes/firefox/line_nav_heading_section.py
M	test/keystrokes/firefox/line_nav_hidden_buttons.py
M	test/keystrokes/firefox/line_nav_hidden_elements.py
M	test/keystrokes/firefox/line_nav_hidden_float.py
M	test/keystrokes/firefox/line_nav_hidden_label.py
M	test/keystrokes/firefox/line_nav_hidden_links.py
M	test/keystrokes/firefox/line_nav_iframes_blogger.py
M	test/keystrokes/firefox/line_nav_iframes_in_inline_block.py
M	test/keystrokes/firefox/line_nav_iframes_in_inline_block2.py
M	test/keystrokes/firefox/line_nav_iframes_nested.py
M	test/keystrokes/firefox/line_nav_image_in_link.py
M	test/keystrokes/firefox/line_nav_imagemap.py
M	test/keystrokes/firefox/line_nav_images_in_links.py
M	test/keystrokes/firefox/line_nav_images_in_table_and_floating_div.py
M	test/keystrokes/firefox/line_nav_inline_block_spans.py
M	test/keystrokes/firefox/line_nav_link_position_relative_on_focus.py
M	test/keystrokes/firefox/line_nav_lists.py
M	test/keystrokes/firefox/line_nav_lists_without_items.py
M	test/keystrokes/firefox/line_nav_multi_line_text.py
M	test/keystrokes/firefox/line_nav_nested_tables.py
M	test/keystrokes/firefox/line_nav_offscreen_text_with_tiny_width.py
M	test/keystrokes/firefox/line_nav_paragraphs_in_links.py
M	test/keystrokes/firefox/line_nav_pre_lines.py
M	test/keystrokes/firefox/line_nav_pre_links.py
M	test/keystrokes/firefox/line_nav_roledescriptions.py
M	test/keystrokes/firefox/line_nav_simple_form.py
M	test/keystrokes/firefox/line_nav_slash_test.py
M	test/keystrokes/firefox/line_nav_sun_java.py
M	test/keystrokes/firefox/line_nav_table_captions.py
M	test/keystrokes/firefox/line_nav_table_cell_links.py
M	test/keystrokes/firefox/line_nav_textarea_last_line.py
M	test/keystrokes/firefox/line_nav_twitter_bug.py
M	test/keystrokes/firefox/line_nav_wiki_down.py
M	test/keystrokes/firefox/line_nav_wiki_up.py
M	test/keystrokes/firefox/link_where_am_i.py
M	test/keystrokes/firefox/longdesc_1.py
M	test/keystrokes/firefox/longdesc_10.py
M	test/keystrokes/firefox/longdesc_11.py
M	test/keystrokes/firefox/longdesc_12.py
M	test/keystrokes/firefox/longdesc_13.py
M	test/keystrokes/firefox/longdesc_14.py
M	test/keystrokes/firefox/longdesc_15.py
M	test/keystrokes/firefox/longdesc_2.py
M	test/keystrokes/firefox/longdesc_3.py
M	test/keystrokes/firefox/longdesc_4.py
M	test/keystrokes/firefox/longdesc_5.py
M	test/keystrokes/firefox/longdesc_6.py
M	test/keystrokes/firefox/longdesc_7.py
M	test/keystrokes/firefox/longdesc_8.py
M	test/keystrokes/firefox/longdesc_9.py
M	test/keystrokes/firefox/math_line_nav_fraction.py
M	test/keystrokes/firefox/math_line_nav_math_in_dialog.py
M	test/keystrokes/firefox/math_line_nav_mathvariant.py
M	test/keystrokes/firefox/math_line_nav_menclose.py
M	test/keystrokes/firefox/math_line_nav_mfenced.py
M	test/keystrokes/firefox/math_line_nav_mroot.py
M	test/keystrokes/firefox/math_line_nav_mrow.py
M	test/keystrokes/firefox/math_line_nav_scripts.py
M	test/keystrokes/firefox/math_line_nav_table.py
M	test/keystrokes/firefox/math_line_nav_torture_test.py
M	test/keystrokes/firefox/mouseover_javascript_alert.py
M	test/keystrokes/firefox/object_nav_descriptions_down.py
M	test/keystrokes/firefox/object_nav_descriptions_up.py
M	test/keystrokes/firefox/object_nav_link_in_quotes.py
M	test/keystrokes/firefox/object_nav_links_in_text.py
M	test/keystrokes/firefox/object_nav_links_on_line.py
M	test/keystrokes/firefox/object_nav_simple_form_down.py
M	test/keystrokes/firefox/object_nav_simple_form_up.py
M	test/keystrokes/firefox/say_all_blockquote.py
M	test/keystrokes/firefox/say_all_bug_511389.py
M	test/keystrokes/firefox/say_all_bug_591351_1.py
M	test/keystrokes/firefox/say_all_bugzilla_search.py
M	test/keystrokes/firefox/say_all_empty_anchor.py
M	test/keystrokes/firefox/say_all_enter_bug.py
M	test/keystrokes/firefox/say_all_entries.py
M	test/keystrokes/firefox/say_all_heading_section.py
M	test/keystrokes/firefox/say_all_hidden_elements.py
M	test/keystrokes/firefox/say_all_imagemap.py
M	test/keystrokes/firefox/say_all_multi_line_text.py
M	test/keystrokes/firefox/say_all_nested_tables.py
M	test/keystrokes/firefox/say_all_onmouseup.py
M	test/keystrokes/firefox/say_all_role_combo_box.py
M	test/keystrokes/firefox/say_all_role_links.py
M	test/keystrokes/firefox/say_all_role_lists.py
M	test/keystrokes/firefox/say_all_simple_form.py
M	test/keystrokes/firefox/say_all_table_caption.py
M	test/keystrokes/firefox/say_all_table_cell_links.py
M	test/keystrokes/firefox/say_all_wiki.py
M	test/keystrokes/firefox/spelling_errors.py
M	test/keystrokes/firefox/ui_doc_tabs.py
M	test/keystrokes/firefox/word_nav_links.py
M	test/keystrokes/firefox/word_nav_list_items.py

2015-09-22 16:12:05 +0200 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	po/cs.po

2015-09-22 12:53:39 +0200 Marek Černocký <marek@manet.cz>

        Updated Czech translation

M	po/cs.po

2015-09-21 20:29:47 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prefer name over label when generating labelOrName for web content

M	src/orca/scripts/web/braille_generator.py
M	src/orca/scripts/web/speech_generator.py
A	test/html/radio-with-label-and-name.html
A	test/keystrokes/firefox/focus_tracking_radios_with_label_and_name.params
A	test/keystrokes/firefox/focus_tracking_radios_with_label_and_name.py

2015-09-21 16:58:57 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't treat objects with ROLE_LABEL as an ancestor

M	src/orca/scripts/web/speech_generator.py

2015-09-21 11:56:26 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2015-09-21 11:52:40 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for the 3.18.0 release

M	NEWS
M	README
M	configure.ac

2015-09-21 11:29:15 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Fix flatreview traceback

M	src/orca/flat_review.py

2015-09-21 14:16:50 +0200 Kenneth Nielsen <k.nielsen81@gmail.com>

        Updated Danish translation

M	po/da.po

2015-09-20 19:22:48 +0000 Rafael Fontenelle <rffontenelle@gmail.com>

        Updated Brazilian Portuguese translation

M	po/pt_BR.po

2015-09-20 17:35:10 +0000 Rafael Fontenelle <rffontenelle@gmail.com>

        Updated Brazilian Portuguese translation

M	po/pt_BR.po

2015-09-20 14:34:11 +0000 Attila Hammer <hammera@pickup.hu>

        Updated Hungarian translation

M	help/hu/hu.po

2015-09-20 12:28:51 +0200 Kjartan Maraas <kmaraas@gnome.org>

        Updated Norwegian bokmål translation.

M	po/nb.po

2015-09-20 09:10:14 +0000 Andika Triwidada <andika@gmail.com>

        Updated Indonesian translation

M	po/id.po

2015-09-19 18:03:48 +0000 Julien Hardelin <jhardlin@orange.fr>

        Updated French translation

M	help/fr/fr.po

2015-09-17 11:11:53 +0000 Muhammet Kara <muhammetk@gmail.com>

        Updated Turkish translation

M	po/tr.po

2015-09-16 09:43:46 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2015-09-16 09:39:20 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for 3.17.92

M	NEWS
M	README
M	configure.ac

2015-09-11 13:14:20 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Handle tracebacks resulting from Calc crashing

M	src/orca/script_utilities.py
M	src/orca/scripts/apps/soffice/script_utilities.py
M	src/orca/tutorialgenerator.py

2015-09-11 08:17:06 +0200 Claude Paroz <claude@2xlibre.net>

        Updated French translation

M	po/fr.po

2015-09-10 22:02:33 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Explicitly deregister keystroke listeners before shutting down

M	src/orca/orca.py

2015-09-10 19:46:03 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add ROLE_SPLIT_PANE to the heuristic identifying the tbird spellcheck window

M	src/orca/scripts/apps/Thunderbird/spellcheck.py

2015-09-10 19:22:16 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Filter out more objects for which we do not want unrelated labels

M	src/orca/script_utilities.py

2015-09-09 21:10:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add support for aria-roledescription

M	src/orca/braille_generator.py
M	src/orca/formatting.py
M	src/orca/scripts/web/braille_generator.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py
M	src/orca/speech_generator.py
A	test/html/aria-roledescription.html
A	test/keystrokes/firefox/aria_roledescription_where_am_i.params
A	test/keystrokes/firefox/aria_roledescription_where_am_i.py
A	test/keystrokes/firefox/focus_tracking_roledescriptions.params
A	test/keystrokes/firefox/focus_tracking_roledescriptions.py
A	test/keystrokes/firefox/line_nav_roledescriptions.params
A	test/keystrokes/firefox/line_nav_roledescriptions.py

2015-09-09 13:11:36 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around two more missing object:state-changed:focused events from Gecko

M	src/orca/scripts/toolkits/Gecko/script.py

2015-09-09 09:31:06 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around a missing object:state-changed:focused event from Gecko

M	src/orca/scripts/toolkits/Gecko/script.py

2015-09-08 14:14:41 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Remove extra and undefined voice argument in presentObject()

M	src/orca/scripts/default.py

2015-09-08 13:26:33 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't look for unrelated labels if the root object contains a page tab list

M	src/orca/script_utilities.py

2015-09-08 11:35:29 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Ignore state-changed:busy events resulting from Thunderbird print dialog

M	src/orca/scripts/apps/Thunderbird/script.py

2015-09-07 21:19:13 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Work around detached iframe children and their associated broken hierarchy

M	src/orca/scripts/web/script_utilities.py

2015-09-07 11:04:04 -0300 José Vilmar Estácio de Souza <vilmar@invormal.com.br>

        Add braille output to the notification-daemon

M	src/orca/scripts/apps/notification-daemon/script.py

2015-09-07 15:50:52 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Don't return a "useless" as the next/previous caret context

M	src/orca/scripts/web/script_utilities.py
M	test/keystrokes/firefox/line_nav_iframes_blogger.py

2015-09-07 14:33:02 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        New test case

M	test/keystrokes/firefox/line_nav_iframes_blogger.py

2015-09-07 12:46:15 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Eliminate false positive identifying Thunderbird spellcheck dialog

M	src/orca/scripts/apps/Thunderbird/spellcheck.py

2015-09-06 00:30:59 -0300 José Vilmar Estácio de Souza <vilmar@invormal.com.br>

        Add save messages to notification-daemon script

M	src/orca/scripts/apps/notification-daemon/script.py

2015-09-04 22:42:49 +0000 Christian Kirbach <Christian.Kirbach@gmail.com>

        Updated German translation

M	po/de.po

2015-09-04 13:51:46 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Get object contents of internal frames directly from the child document

M	src/orca/scripts/web/script_utilities.py
M	test/keystrokes/firefox/line_nav_iframes_blogger.py

2015-09-04 12:41:16 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        New test case

A	test/html/blogger-navbar.html
A	test/keystrokes/firefox/line_nav_iframes_blogger.params
A	test/keystrokes/firefox/line_nav_iframes_blogger.py

2015-09-03 17:02:33 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Look in the child for the first caret context of internal frames

M	src/orca/scripts/web/script_utilities.py
M	test/keystrokes/firefox/line_nav_iframes_nested.py

2015-09-03 16:33:09 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        New test case

A	test/html/inner-iframe.html
A	test/html/outer-iframe.html
A	test/keystrokes/firefox/line_nav_iframes_nested.params
A	test/keystrokes/firefox/line_nav_iframes_nested.py

2015-09-02 10:53:36 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Post-release version bump

M	README
M	configure.ac

2015-09-02 10:46:06 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Prep for the 3.17.91 release

M	NEWS
M	README
M	configure.ac

2015-09-02 10:18:13 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add ability to override object role when generating tutorial messages

M	src/orca/speech_generator.py
M	src/orca/tutorialgenerator.py

2015-09-01 19:22:07 +0200 Piotr Drąg <piotrdrag@gmail.com>

        Updated Polish translation

M	po/pl.po

2015-09-01 13:04:25 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Treat (un)ordered HTML lists without list items as if they were divs

M	src/orca/scripts/web/braille_generator.py
M	src/orca/scripts/web/script_utilities.py
M	src/orca/scripts/web/speech_generator.py
A	test/html/ul-no-li.html
A	test/keystrokes/firefox/line_nav_lists_without_items.params
A	test/keystrokes/firefox/line_nav_lists_without_items.py

2015-09-01 11:40:12 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Handle instance of an AT-SPI2 hung-process error for LibreOffice

M	src/orca/scripts/apps/soffice/script_utilities.py

2015-09-01 11:30:13 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Handle more event floods from LibreOffice and gnome-shell

M	src/orca/event_manager.py

2015-09-01 13:56:24 +0200 Daniel Mustieles <daniel.mustieles@gmail.com>

        Updated Spanish translation

M	help/es/es.po

2015-08-31 22:12:17 +0000 Gábor Kelemen <kelemeng@openscope.org>

        Updated Hungarian translation

M	po/hu.po

2015-08-31 15:33:18 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Clear the cache and try once more when the next/previous context cannot be found

M	src/orca/scripts/web/script_utilities.py

2015-08-31 14:57:57 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Treat web documents as top-level roles for the purpose of Zombie detection

M	src/orca/script_utilities.py

2015-08-30 09:18:25 +0000 Tom Tryfonidis <tomtryf@gmail.com>

        Updated Greek translation

M	po/el.po

2015-08-29 03:07:59 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Update the forms how-to docs to reflect that Orca now has browse and focus modes

M	help/C/howto_forms.page

2015-08-29 02:32:40 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add focus/browse mode commands to the reading commands documentation

M	help/C/commands_reading.page

2015-08-29 02:04:35 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Remove non-existent command from documentation

M	help/C/commands_structural_navigation.page

2015-08-29 01:48:08 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add documentation for the 'Automatic focus mode' checkboxes

M	help/C/preferences_gecko.page

2015-08-29 00:32:27 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Add documentation for the 'Enable layout mode for content' checkbox

M	help/C/preferences_gecko.page

2015-08-28 23:01:14 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Remove obsolete Gecko setting from docs

M	help/C/preferences_gecko.page

2015-08-28 22:31:23 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Remove the temporary "disableDeadAccessibleFilter" setting/hackaround

M	src/orca/event_manager.py
M	src/orca/settings.py

2015-04-02 17:17:51 +0200 Anders Jonsson <anders.jonsson@norsjovallen.se>

        Fix typo (currenty) in documentation

M	help/C/howto_forms.page

2015-08-28 22:04:45 -0400 Joanmarie Diggs <jdiggs@igalia.com>

        Remove whereAmI bookmark debugging(?) functionality

M	help/C/commands_bookmarks.page
M	help/C/howto_bookmarks.page
M	src/orca/bookmarks.py
M	src/orca/common_keyboardmap.py
